// Add nop command.
.org 0x806F198
	.dw	npc_cmdNop|1

// Restart NPC script after their jack out time.
.org 0x806EF30
	.dw	npc_waitJackOut|1
.org 0x806F5C4
	ldr	r0,=npc_clearAfterJackOut|1
	bx	r0
	.pool

// Always set jack in if this is not the first jack in/out attempt.
.org 0x806F57C
	ldr	r1,=npc_setJackIn|1
	bx	r1
	.pool

// Check both timestamps when checking jack in/jack out time.
.org 0x806F5E2
.area 0x14
	ldr	r0,=npc_withinActiveTime|1
	mov	r14,r15
	bx	r0
	bne	0x806F5F6
	b	0x806F5FA

	.pool
.endarea
.org 0x806F614
.area 0x1E
	ldr	r0,=npc_withinActiveTime|1
	mov	r14,r15
	bx	r0
	beq	0x806F632
	b	0x806F636

	.pool
.endarea

// Don't jack out if already waiting for jack in.
.org 0x806F640
	ldr	r0,=npc_startJackOut|1
	bx	r0
	.pool

// Set jack in/jack out time for time conditional jump.
.org 0x806FA16
	blt	@npc_timeConditionalJumpFalse
.org 0x806FA24
	bgt	@npc_timeConditionalJumpFalse
.org 0x806FA26
.area 0xE
@npc_timeConditionalJumpTrue:
	ldr	r0,=npc_timeConditionalJumpTrue|1
	bx	r0

@npc_timeConditionalJumpFalse:
	ldr	r0,=npc_timeConditionalJumpTrue|1
	add	r0,(npc_timeConditionalJumpFalse - npc_timeConditionalJumpTrue)
	bx	r0

	.pool
.endarea

// Start jack in set by time conditional jump.
.org 0x806F2A8
	.dw	npc_waitPlayerRadius|1


// Swap two NPC scripts in Internet12
// Prevents NPCs from walking into each other.
.org 0x805CF4F
	.dw	0x805CFEE
.org 0x805CFD5
	.dw	0x805CF72


// Fix Official Tournament desk Navi being too close to the desk.
.org 0x805CDD7
	.dh	0xFF08	// from 0xFF0E


// Remove proximity spawn from NPCs that don't need it.
.org 0x805FE86	::	.db	0x01	// Player's HP		Mr. Prog
.org 0x805FEA3	::	.db	0x01	// Player's HP		Mr. Prog
.org 0x805FEC0	::	.db	0x01	// Player's HP		Mr. Prog
.org 0x805FEDD	::	.db	0x01	// Player's HP		Mr. Prog
.org 0x805FEFA	::	.db	0x01	// Player's HP		Mr. Prog
.org 0x805FF17	::	.db	0x01	// Player's HP		Mr. Prog
.org 0x805FF34	::	.db	0x01	// Player's HP		Mr. Prog
.org 0x805FF51	::	.db	0x01	// Player's HP		Mr. Prog
.org 0x805FF6E	::	.db	0x01	// Player's HP		Mr. Prog
.org 0x805FF8B	::	.db	0x01	// Player's HP		Mr. Prog
.org 0x805FFA8	::	.db	0x01	// Player's HP		Mr. Prog
.org 0x805FFC5	::	.db	0x01	// Player's HP		Mr. Prog
.org 0x805FFE2	::	.db	0x01	// Player's HP		Mr. Prog
.org 0x805FFFF	::	.db	0x01	// Player's HP		Mr. Prog
.org 0x806001C	::	.db	0x01	// Player's HP		Mr. Prog
.org 0x8060039	::	.db	0x01	// Player's HP		Mr. Prog
.org 0x806004F	::	.db	0x01	// Player's HP		Mr. Prog
.org 0x8057785	::	.db	0x01	// Internet 2		Exam Center desk
.org 0x8057A16	::	.db	0x01	// Internet 3		Silver Tournament desk
.org 0x8057A32	::	.db	0x01	// Internet 3		Apprentice License desk
.org 0x8057E08	::	.db	0x01	// Internet 3		NetDealer
.org 0x805820A	::	.db	0x01	// Internet 4		CutKey seller
.org 0x8059A30	::	.db	0x01	// Internet 6		SubChipDealer
.org 0x805A3DD	::	.db	0x01	// Internet 8		Gold Tournament desk
.org 0x805A52C	::	.db	0x01	// Internet 8		NetDealer
.org 0x805BCDB	::	.db	0x01	// Internet 9		Official Tournament examiner
.org 0x805BDBE	::	.db	0x01	// Internet 9		BugFrag trader
.org 0x805C142	::	.db	0x01	// Internet 10		BlackWorks HeelNavi
.org 0x805C90C	::	.db	0x01	// Internet 11		BlackWorks HeelNavi #1
.org 0x805C940	::	.db	0x01	// Internet 11		BlackWorks HeelNavi #2
.org 0x805C974	::	.db	0x01	// Internet 11		BlackWorks HeelNavi #3
.org 0x805C9A2	::	.db	0x01	// Internet 11		BlackWorks HeelNavi Boss
.org 0x805C9BE	::	.db	0x01	// Internet 11		NetDealer
.org 0x805CDE5	::	.db	0x01	// Internet 12		Official Tournament desk
.org 0x805E1BB	::	.db	0x01	// Undernet 1		SubChipDealer
.org 0x805E629	::	.db	0x01	// Undernet 4		Under Tournament desk
.org 0x8061C2B	::	.db	0x01	// Car Comp 2		Gold Mr. Prog
.org 0x80611C5	::	.db	0x01	// Elec Stove Comp	SubChipDealer
.org 0x8061A7C	::	.db	0x01	// Golf Course Comp 2	SubChipDealer
.org 0x8061B4C	::	.db	0x01	// Golf Course Comp 3	Gold Mr. Prog
.org 0x80629F0	::	.db	0x01	// Haikyo Comp 1	Dead Mr. Prog
.org 0x8063079	::	.db	0x01	// Haikyo Comp 3	Dead Navi
.org 0x8062C37	::	.db	0x01	// Old TV Comp 2	Black Market dealer
.org 0x8062CB2	::	.db	0x01	// Old TV Comp 3	Gold Mr. Prog
.org 0x8061D8E	::	.db	0x01	// Toilet Comp 2	Gold Mr. Prog
.org 0x8061614	::	.db	0x01	// Toy Box Comp		NetDealer
.org 0x806121B	::	.db	0x01	// Elec Stove Comp	Everyday Tournament host
.org 0x806170A	::	.db	0x01	// Broken Radio Comp	Everyday Tournament host
.org 0x8061E3D	::	.db	0x01	// Fridge Comp		Everyday Tournament host
.org 0x8062D7D	::	.db	0x01	// Pipe Organ Comp	Everyday Tournament host


// For NPC time-conditional spawning, use real time instead of world update time.
.org 0x8057983	::	.db	0x44,0x04,	01,24,	58,29	// Match jack in/out time
.org 0x805800D	::	.db	0x44,0x04,	00,06,	59,29	// Prevent jack in/out in same spot
.org 0x8058017	::	.db	0x44,0x04,	00,06,	59,29	// Prevent jack in/out in same spot
.org 0x8058021	::	.db	0x44,0x04,	00,06,	59,29	// Prevent jack in/out in same spot
.org 0x805802B	::	.db	0x44,0x04,	00,06,	59,29	// Prevent jack in/out in same spot
.org 0x8058081	::	.db	0x44,0x04
.org 0x805808B	::	.db	0x44,0x04
.org 0x805958E	::	.db	0x44,0x04
.org 0x8059598	::	.db	0x44,0x04
.org 0x80595A2	::	.db	0x44,0x04
.org 0x80595AC	::	.db	0x44,0x04
.org 0x8059A39	::	.db	0x44,0x04
.org 0x8059A43	::	.db	0x44,0x04
.org 0x8059A4D	::	.db	0x44,0x04
.org 0x8059A57	::	.db	0x44,0x04
.org 0x8059AC8	::	.db	0x44,0x04
.org 0x8059AD2	::	.db	0x44,0x04
.org 0x8059ADC	::	.db	0x44,0x04
.org 0x8059AE6	::	.db	0x44,0x04
.org 0x8059F50	::	.db	0x44,0x04
.org 0x8059F5A	::	.db	0x44,0x04
.org 0x8059F64	::	.db	0x44,0x04,	00,18,	59,29	// Prevent jack in/out in same spot
.org 0x8059F6E	::	.db	0x44,0x04,	00,18,	59,29	// Prevent jack in/out in same spot
.org 0x8059FD2	::	.db	0x44,0x04
.org 0x8059FDC	::	.db	0x44,0x04
.org 0x8059FE6	::	.db	0x44,0x04
.org 0x805A033	::	.db	0x44,0x04
.org 0x805A03D	::	.db	0x44,0x04
.org 0x805A047	::	.db	0x44,0x04
.org 0x805A051	::	.db	0x44,0x04
.org 0x805A54D	::	.db	0x44,0x04,	01,24,	58,29	// Match jack in/out time
.org 0x805A5B2	::	.db	0x44,0x04
.org 0x805A5BC	::	.db	0x44,0x04
.org 0x805A5C6	::	.db	0x44,0x04
.org 0x805A5D0	::	.db	0x44,0x04
.org 0x805A635	::	.db	0x44,0x04
.org 0x805A63F	::	.db	0x44,0x04
.org 0x805A649	::	.db	0x44,0x04
.org 0x805A653	::	.db	0x44,0x04
.org 0x805BDDC	::	.db	0x44,0x04
.org 0x805BDE6	::	.db	0x44,0x04
.org 0x805BDF0	::	.db	0x44,0x04
.org 0x805BDFA	::	.db	0x44,0x04
.org 0x805BE5B	::	.db	0x44,0x04
.org 0x805BE65	::	.db	0x44,0x04
.org 0x805BE6F	::	.db	0x44,0x04
.org 0x805C211	::	.db	0x44,0x04
.org 0x805C21B	::	.db	0x44,0x04
.org 0x805C225	::	.db	0x44,0x04
.org 0x805C22F	::	.db	0x44,0x04
.org 0x805C299	::	.db	0x44,0x04
.org 0x805C2A3	::	.db	0x44,0x04
.org 0x805C2AD	::	.db	0x44,0x04
.org 0x805C2B7	::	.db	0x44,0x04
.org 0x805C9C7	::	.db	0x44,0x04
.org 0x805C9D1	::	.db	0x44,0x04
.org 0x805C9DB	::	.db	0x44,0x04
.org 0x805C9E5	::	.db	0x44,0x04
.org 0x805CA45	::	.db	0x44,0x04
.org 0x805CA4F	::	.db	0x44,0x04
.org 0x805CA59	::	.db	0x44,0x04
.org 0x805CA63	::	.db	0x44,0x04
.org 0x805CEEA	::	.db	0x44,0x04,	01,24,	58,29	// Match jack in/out time
.org 0x805CF49	::	.db	0x44,0x04
.org 0x805CF53	::	.db	0x44,0x04
.org 0x805CF5D	::	.db	0x44,0x04
.org 0x805CF67	::	.db	0x44,0x04
.org 0x805CFCF	::	.db	0x44,0x04
.org 0x805CFD9	::	.db	0x44,0x04
.org 0x805CFE3	::	.db	0x44,0x04
.org 0x805E787	::	.db	0x44,0x04,	01,24,	58,29	// Match jack in/out time
.org 0x8061227	::	.db	0x44,0x04,	00,09,	59,09	// Match jack in/out time
.org 0x8061231	::	.db	0x44,0x04,	00,13,	59,13	// Match jack in/out time
.org 0x806123B	::	.db	0x44,0x04,	00,16,	59,16	// Match jack in/out time
.org 0x8061245	::	.db	0x44,0x04,	00,20,	59,20	// Match jack in/out time
.org 0x80612B2	::	.db	0x44,0x04,	00,09,	59,09	// Match jack in/out time
.org 0x80612BC	::	.db	0x44,0x04,	00,13,	59,13	// Match jack in/out time
.org 0x80612C6	::	.db	0x44,0x04,	00,16,	59,16	// Match jack in/out time
.org 0x80612D0	::	.db	0x44,0x04,	00,20,	59,20	// Match jack in/out time
.org 0x806133D	::	.db	0x44,0x04,	00,09,	59,09	// Match jack in/out time
.org 0x8061347	::	.db	0x44,0x04,	00,13,	59,13	// Match jack in/out time
.org 0x8061351	::	.db	0x44,0x04,	00,16,	59,16	// Match jack in/out time
.org 0x806135B	::	.db	0x44,0x04,	00,20,	59,20	// Match jack in/out time
.org 0x80613C8	::	.db	0x44,0x04,	00,09,	59,09	// Match jack in/out time
.org 0x80613D2	::	.db	0x44,0x04,	00,13,	59,13	// Match jack in/out time
.org 0x80613DC	::	.db	0x44,0x04,	00,16,	59,16	// Match jack in/out time
.org 0x80613E6	::	.db	0x44,0x04,	00,20,	59,20	// Match jack in/out time
.org 0x8061453	::	.db	0x44,0x04,	00,09,	59,09	// Match jack in/out time
.org 0x806145D	::	.db	0x44,0x04,	00,13,	59,13	// Match jack in/out time
.org 0x8061467	::	.db	0x44,0x04,	00,16,	59,16	// Match jack in/out time
.org 0x8061471	::	.db	0x44,0x04,	00,20,	59,20	// Match jack in/out time
.org 0x8061716	::	.db	0x44,0x04,	00,09,	59,09	// Match jack in/out time
.org 0x8061720	::	.db	0x44,0x04,	00,13,	59,13	// Match jack in/out time
.org 0x806172A	::	.db	0x44,0x04,	00,16,	59,16	// Match jack in/out time
.org 0x8061734	::	.db	0x44,0x04,	00,20,	59,20	// Match jack in/out time
.org 0x80617A1	::	.db	0x44,0x04,	00,09,	59,09	// Match jack in/out time
.org 0x80617AB	::	.db	0x44,0x04,	00,13,	59,13	// Match jack in/out time
.org 0x80617B5	::	.db	0x44,0x04,	00,16,	59,16	// Match jack in/out time
.org 0x80617BF	::	.db	0x44,0x04,	00,20,	59,20	// Match jack in/out time
.org 0x806182C	::	.db	0x44,0x04,	00,09,	59,09	// Match jack in/out time
.org 0x8061836	::	.db	0x44,0x04,	00,13,	59,13	// Match jack in/out time
.org 0x8061840	::	.db	0x44,0x04,	00,16,	59,16	// Match jack in/out time
.org 0x806184A	::	.db	0x44,0x04,	00,20,	59,20	// Match jack in/out time
.org 0x80618B7	::	.db	0x44,0x04,	00,09,	59,09	// Match jack in/out time
.org 0x80618C1	::	.db	0x44,0x04,	00,13,	59,13	// Match jack in/out time
.org 0x80618CB	::	.db	0x44,0x04,	00,16,	59,16	// Match jack in/out time
.org 0x80618D5	::	.db	0x44,0x04,	00,20,	59,20	// Match jack in/out time
.org 0x8061942	::	.db	0x44,0x04,	00,09,	59,09	// Match jack in/out time
.org 0x806194C	::	.db	0x44,0x04,	00,13,	59,13	// Match jack in/out time
.org 0x8061956	::	.db	0x44,0x04,	00,16,	59,16	// Match jack in/out time
.org 0x8061960	::	.db	0x44,0x04,	00,20,	59,20	// Match jack in/out time
.org 0x8061E49	::	.db	0x44,0x04,	00,09,	59,09	// Match jack in/out time
.org 0x8061E53	::	.db	0x44,0x04,	00,13,	59,13	// Match jack in/out time
.org 0x8061E5D	::	.db	0x44,0x04,	00,16,	59,16	// Match jack in/out time
.org 0x8061E67	::	.db	0x44,0x04,	00,20,	59,20	// Match jack in/out time
.org 0x8061ED4	::	.db	0x44,0x04,	00,09,	59,09	// Match jack in/out time
.org 0x8061EDE	::	.db	0x44,0x04,	00,13,	59,13	// Match jack in/out time
.org 0x8061EE8	::	.db	0x44,0x04,	00,16,	59,16	// Match jack in/out time
.org 0x8061EF2	::	.db	0x44,0x04,	00,20,	59,20	// Match jack in/out time
.org 0x8061F5F	::	.db	0x44,0x04,	00,09,	59,09	// Match jack in/out time
.org 0x8061F69	::	.db	0x44,0x04,	00,13,	59,13	// Match jack in/out time
.org 0x8061F73	::	.db	0x44,0x04,	00,16,	59,16	// Match jack in/out time
.org 0x8061F7D	::	.db	0x44,0x04,	00,20,	59,20	// Match jack in/out time
.org 0x8061FEA	::	.db	0x44,0x04,	00,09,	59,09	// Match jack in/out time
.org 0x8061FF4	::	.db	0x44,0x04,	00,13,	59,13	// Match jack in/out time
.org 0x8061FFE	::	.db	0x44,0x04,	00,16,	59,16	// Match jack in/out time
.org 0x8062008	::	.db	0x44,0x04,	00,20,	59,20	// Match jack in/out time
.org 0x8062075	::	.db	0x44,0x04,	00,09,	59,09	// Match jack in/out time
.org 0x806207F	::	.db	0x44,0x04,	00,13,	59,13	// Match jack in/out time
.org 0x8062089	::	.db	0x44,0x04,	00,16,	59,16	// Match jack in/out time
.org 0x8062093	::	.db	0x44,0x04,	00,20,	59,20	// Match jack in/out time
.org 0x8062D89	::	.db	0x44,0x04,	00,09,	59,09	// Match jack in/out time
.org 0x8062D93	::	.db	0x44,0x04,	00,13,	59,13	// Match jack in/out time
.org 0x8062D9D	::	.db	0x44,0x04,	00,16,	59,16	// Match jack in/out time
.org 0x8062DA7	::	.db	0x44,0x04,	00,20,	59,20	// Match jack in/out time
.org 0x8062E14	::	.db	0x44,0x04,	00,09,	59,09	// Match jack in/out time
.org 0x8062E1E	::	.db	0x44,0x04,	00,13,	59,13	// Match jack in/out time
.org 0x8062E28	::	.db	0x44,0x04,	00,16,	59,16	// Match jack in/out time
.org 0x8062E32	::	.db	0x44,0x04,	00,20,	59,20	// Match jack in/out time
.org 0x8062E9F	::	.db	0x44,0x04,	00,09,	59,09	// Match jack in/out time
.org 0x8062EA9	::	.db	0x44,0x04,	00,13,	59,13	// Match jack in/out time
.org 0x8062EB3	::	.db	0x44,0x04,	00,16,	59,16	// Match jack in/out time
.org 0x8062EBD	::	.db	0x44,0x04,	00,20,	59,20	// Match jack in/out time
.org 0x8062F2A	::	.db	0x44,0x04,	00,09,	59,09	// Match jack in/out time
.org 0x8062F34	::	.db	0x44,0x04,	00,13,	59,13	// Match jack in/out time
.org 0x8062F3E	::	.db	0x44,0x04,	00,16,	59,16	// Match jack in/out time
.org 0x8062F48	::	.db	0x44,0x04,	00,20,	59,20	// Match jack in/out time
.org 0x8062FB5	::	.db	0x44,0x04,	00,09,	59,09	// Match jack in/out time
.org 0x8062FBF	::	.db	0x44,0x04,	00,13,	59,13	// Match jack in/out time
.org 0x8062FC9	::	.db	0x44,0x04,	00,16,	59,16	// Match jack in/out time
.org 0x8062FD3	::	.db	0x44,0x04,	00,20,	59,20	// Match jack in/out time


// Set jack out time before jack in time
.org 0x80570D5	::	.db	0x24, 0x1,  0, 17	::	.db	0x24, 0x0,  0,  9
.org 0x80570F5	::	.db	0x24, 0x1,  0, 17	::	.db	0x24, 0x0,  0,  9
.org 0x8057115	::	.db	0x24, 0x1,  0, 17	::	.db	0x24, 0x0,  0,  9
.org 0x805713B	::	.db	0x24, 0x1, 50,  8	::	.db	0x24, 0x0, 45,  6
.org 0x805715A	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  5,  6
.org 0x8057208	::	.db	0x24, 0x1,  0, 16	::	.db	0x24, 0x0,  0,  8
.org 0x8057225	::	.db	0x24, 0x1,  0, 17	::	.db	0x24, 0x0,  0, 12
.org 0x805727B	::	.db	0x24, 0x1, 59, 29	::	.db	0x24, 0x0, 40, 20
.org 0x805729B	::	.db	0x24, 0x1, 59, 29	::	.db	0x24, 0x0, 40, 20
.org 0x80572CC	::	.db	0x24, 0x1, 40, 21	::	.db	0x24, 0x0,  0, 17
.org 0x8057303	::	.db	0x24, 0x1, 25, 25	::	.db	0x24, 0x0, 30, 19
.org 0x805733A	::	.db	0x24, 0x1, 25, 25	::	.db	0x24, 0x0, 30, 19
.org 0x8057370	::	.db	0x24, 0x1,  0, 15	::	.db	0x24, 0x0, 35, 11
.org 0x8057390	::	.db	0x24, 0x1,  0, 13	::	.db	0x24, 0x0,  0, 12
.org 0x80573BE	::	.db	0x24, 0x1,  0, 13	::	.db	0x24, 0x0,  0, 12
.org 0x80574CA	::	.db	0x24, 0x1, 59, 23	::	.db	0x24, 0x0,  0,  6
.org 0x8057567	::	.db	0x24, 0x1, 15, 19	::	.db	0x24, 0x0, 10,  6
.org 0x80575A8	::	.db	0x24, 0x1, 50, 19	::	.db	0x24, 0x0,  0, 15
.org 0x80575C8	::	.db	0x24, 0x1,  0, 16	::	.db	0x24, 0x0,  0,  9
.org 0x80575EE	::	.db	0x24, 0x1, 10, 23	::	.db	0x24, 0x0,  5,  6
.org 0x8057608	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  5,  6
.org 0x8057637	::	.db	0x24, 0x1, 50, 17	::	.db	0x24, 0x0,  0, 10
.org 0x8057666	::	.db	0x24, 0x1, 50, 17	::	.db	0x24, 0x0,  0, 10
.org 0x80576A9	::	.db	0x24, 0x1,  0, 19	::	.db	0x24, 0x0,  0, 10
.org 0x80576DA	::	.db	0x24, 0x1,  2, 13	::	.db	0x24, 0x0,  3, 12
.org 0x8057708	::	.db	0x24, 0x1,  0, 13	::	.db	0x24, 0x0,  0, 12
.org 0x805773E	::	.db	0x24, 0x1, 15, 28	::	.db	0x24, 0x0,  0, 20
.org 0x805775E	::	.db	0x24, 0x1, 15, 28	::	.db	0x24, 0x0,  0, 20
.org 0x805788E	::	.db	0x24, 0x1, 59, 23	::	.db	0x24, 0x0,  0,  6
.org 0x80578B2	::	.db	0x24, 0x1, 59, 23	::	.db	0x24, 0x0,  0,  6
.org 0x8057999	::	.db	0x24, 0x1, 15, 18	::	.db	0x24, 0x0,  0,  7
.org 0x80579DB	::	.db	0x24, 0x1, 59, 29	::	.db	0x24, 0x0,  1, 24
.org 0x8057A0E	::	.db	0x24, 0x1,  0, 24	::	.db	0x24, 0x0,  0,  6
.org 0x8057AD4	::	.db	0x24, 0x1, 10, 18	::	.db	0x24, 0x0,  0,  8
.org 0x8057AF1	::	.db	0x24, 0x1, 55, 18	::	.db	0x24, 0x0, 30,  9
.org 0x8057B57	::	.db	0x24, 0x1,  0, 25	::	.db	0x24, 0x0,  5, 18
.org 0x8057B7E	::	.db	0x24, 0x1,  0, 25	::	.db	0x24, 0x0,  5, 18
.org 0x8057BA4	::	.db	0x24, 0x1, 50, 17	::	.db	0x24, 0x0,  0,  9
.org 0x8057BC4	::	.db	0x24, 0x1, 50, 17	::	.db	0x24, 0x0,  5, 10
.org 0x8057BF5	::	.db	0x24, 0x1,  0, 10	::	.db	0x24, 0x0,  0,  7
.org 0x8057C3F	::	.db	0x24, 0x1, 58, 12	::	.db	0x24, 0x0,  0, 12
.org 0x8057C5C	::	.db	0x24, 0x1, 55, 19	::	.db	0x24, 0x0, 45, 10
.org 0x8057C79	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  0,  6
.org 0x8057CE6	::	.db	0x24, 0x1, 10, 20	::	.db	0x24, 0x0, 40,  9
.org 0x8057E2D	::	.db	0x24, 0x1, 59, 23	::	.db	0x24, 0x0,  0,  6
.org 0x8057FD7	::	.db	0x24, 0x1, 59, 23	::	.db	0x24, 0x0,  0,  6
.org 0x8057FFB	::	.db	0x24, 0x1, 59, 23	::	.db	0x24, 0x0,  0,  6
.org 0x8058156	::	.db	0x24, 0x1, 55, 23	::	.db	0x24, 0x0, 10,  6
.org 0x80581B2	::	.db	0x24, 0x1, 55, 23	::	.db	0x24, 0x0, 10,  6
.org 0x80581D8	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  5,  6
.org 0x805965B	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  0,  6
.org 0x8059677	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  0,  6
.org 0x8059693	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  0,  6
.org 0x80596AF	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  0,  6
.org 0x80596C8	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  0,  6
.org 0x80596E1	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  0,  6
.org 0x80596FA	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  0,  6
.org 0x8059743	::	.db	0x24, 0x1, 51, 23	::	.db	0x24, 0x0,  1,  6
.org 0x8059762	::	.db	0x24, 0x1, 51, 23	::	.db	0x24, 0x0,  1,  6
.org 0x8059781	::	.db	0x24, 0x1, 51, 23	::	.db	0x24, 0x0,  1,  6
.org 0x80597A0	::	.db	0x24, 0x1, 51, 23	::	.db	0x24, 0x0,  1,  6
.org 0x80597BF	::	.db	0x24, 0x1, 51, 23	::	.db	0x24, 0x0,  1,  6
.org 0x80597F5	::	.db	0x24, 0x1, 52, 23	::	.db	0x24, 0x0,  2,  6
.org 0x8059814	::	.db	0x24, 0x1, 52, 23	::	.db	0x24, 0x0,  2,  6
.org 0x8059830	::	.db	0x24, 0x1, 52, 23	::	.db	0x24, 0x0,  2,  6
.org 0x8059859	::	.db	0x24, 0x1, 53, 23	::	.db	0x24, 0x0,  3,  6
.org 0x8059886	::	.db	0x24, 0x1, 59, 23	::	.db	0x24, 0x0,  0,  6
.org 0x8059B87	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  0,  6
.org 0x8059BA0	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  0,  6
.org 0x8059BB9	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  0,  6
.org 0x8059BD5	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  0,  6
.org 0x8059BEE	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  0,  6
.org 0x8059C07	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  0,  6
.org 0x8059C20	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  0,  6
.org 0x8059C69	::	.db	0x24, 0x1, 51, 23	::	.db	0x24, 0x0,  1,  6
.org 0x8059C88	::	.db	0x24, 0x1, 51, 23	::	.db	0x24, 0x0,  1,  6
.org 0x8059CA5	::	.db	0x24, 0x1, 51, 23	::	.db	0x24, 0x0,  1,  6
.org 0x8059CC1	::	.db	0x24, 0x1, 51, 23	::	.db	0x24, 0x0,  1,  6
.org 0x8059CE0	::	.db	0x24, 0x1, 51, 23	::	.db	0x24, 0x0,  1,  6
.org 0x8059D06	::	.db	0x24, 0x1, 52, 23	::	.db	0x24, 0x0,  2,  6
.org 0x8059D2F	::	.db	0x24, 0x1, 53, 23	::	.db	0x24, 0x0,  3,  6
.org 0x8059D64	::	.db	0x24, 0x1, 59, 23	::	.db	0x24, 0x0,  0,  6
.org 0x8059D88	::	.db	0x24, 0x1, 59, 23	::	.db	0x24, 0x0,  0,  6
.org 0x805A0FF	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  0,  6
.org 0x805A11B	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  0,  6
.org 0x805A134	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  0,  6
.org 0x805A151	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  0,  6
.org 0x805A16A	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  0,  6
.org 0x805A183	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  0,  6
.org 0x805A19C	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  0,  6
.org 0x805A1E5	::	.db	0x24, 0x1, 51, 23	::	.db	0x24, 0x0,  1,  6
.org 0x805A201	::	.db	0x24, 0x1, 51, 23	::	.db	0x24, 0x0,  1,  6
.org 0x805A21E	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  0,  6
.org 0x805A237	::	.db	0x24, 0x1, 51, 23	::	.db	0x24, 0x0,  1,  6
.org 0x805A253	::	.db	0x24, 0x1, 51, 23	::	.db	0x24, 0x0,  1,  6
.org 0x805A27C	::	.db	0x24, 0x1, 52, 23	::	.db	0x24, 0x0,  2,  6
.org 0x805A2AC	::	.db	0x24, 0x1, 59, 23	::	.db	0x24, 0x0,  0,  6
.org 0x805A3D5	::	.db	0x24, 0x1,  0, 24	::	.db	0x24, 0x0,  0,  6
.org 0x805A5A3	::	.db	0x24, 0x1, 59, 29	::	.db	0x24, 0x0,  1, 24
.org 0x805A6FC	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  0,  6
.org 0x805A715	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  0,  6
.org 0x805A731	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  0,  6
.org 0x805A74B	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  0,  6
.org 0x805A764	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  0,  6
.org 0x805A780	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  0,  6
.org 0x805A799	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  0,  6
.org 0x805A7D7	::	.db	0x24, 0x1, 51, 23	::	.db	0x24, 0x0,  1,  6
.org 0x805A7F3	::	.db	0x24, 0x1, 51, 23	::	.db	0x24, 0x0,  1,  6
.org 0x805A813	::	.db	0x24, 0x1, 51, 23	::	.db	0x24, 0x0,  1,  6
.org 0x805A82F	::	.db	0x24, 0x1, 51, 23	::	.db	0x24, 0x0,  1,  6
.org 0x805A85D	::	.db	0x24, 0x1, 52, 23	::	.db	0x24, 0x0,  2,  6
.org 0x805A879	::	.db	0x24, 0x1, 52, 23	::	.db	0x24, 0x0,  2,  6
.org 0x805A89F	::	.db	0x24, 0x1, 53, 23	::	.db	0x24, 0x0,  3,  6
.org 0x805A8D4	::	.db	0x24, 0x1, 59, 23	::	.db	0x24, 0x0,  0,  6
.org 0x805A8F8	::	.db	0x24, 0x1, 59, 23	::	.db	0x24, 0x0,  0,  6
.org 0x805BEF0	::	.db	0x24, 0x1, 59, 23	::	.db	0x24, 0x0,  0,  6
.org 0x805BF47	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  0,  6
.org 0x805BF63	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  0,  6
.org 0x805BF80	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  0,  6
.org 0x805BF99	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  0,  6
.org 0x805BFB5	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  0,  6
.org 0x805BFD1	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  0,  6
.org 0x805C017	::	.db	0x24, 0x1, 51, 23	::	.db	0x24, 0x0,  1,  6
.org 0x805C034	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  0,  6
.org 0x805C050	::	.db	0x24, 0x1, 51, 23	::	.db	0x24, 0x0,  1,  6
.org 0x805C06C	::	.db	0x24, 0x1, 51, 23	::	.db	0x24, 0x0,  1,  6
.org 0x805C08B	::	.db	0x24, 0x1, 51, 23	::	.db	0x24, 0x0,  1,  6
.org 0x805C335	::	.db	0x24, 0x1, 59, 23	::	.db	0x24, 0x0,  0,  6
.org 0x805C38C	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  0,  6
.org 0x805C3A8	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  0,  6
.org 0x805C3C4	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  0,  6
.org 0x805C3DD	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  0,  6
.org 0x805C3F9	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  0,  6
.org 0x805C412	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  0,  6
.org 0x805C42B	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  0,  6
.org 0x805C474	::	.db	0x24, 0x1, 51, 23	::	.db	0x24, 0x0,  1,  6
.org 0x805C490	::	.db	0x24, 0x1, 51, 23	::	.db	0x24, 0x0,  1,  6
.org 0x805C4AC	::	.db	0x24, 0x1, 51, 23	::	.db	0x24, 0x0,  1,  6
.org 0x805C4CB	::	.db	0x24, 0x1, 51, 23	::	.db	0x24, 0x0,  1,  6
.org 0x805C4E7	::	.db	0x24, 0x1, 51, 23	::	.db	0x24, 0x0,  1,  6
.org 0x805C526	::	.db	0x24, 0x1, 59, 20	::	.db	0x24, 0x0,  0, 19
.org 0x805C543	::	.db	0x24, 0x1, 59, 20	::	.db	0x24, 0x0,  0, 19
.org 0x805C573	::	.db	0x24, 0x1, 59, 20	::	.db	0x24, 0x0,  0, 19
.org 0x805C5AA	::	.db	0x24, 0x1, 59, 20	::	.db	0x24, 0x0,  0, 19
.org 0x805C5C3	::	.db	0x24, 0x1, 59, 20	::	.db	0x24, 0x0,  0, 19
.org 0x805C5DD	::	.db	0x24, 0x1, 59, 20	::	.db	0x24, 0x0,  0, 19
.org 0x805C614	::	.db	0x24, 0x1, 59, 20	::	.db	0x24, 0x0,  0, 19
.org 0x805C62E	::	.db	0x24, 0x1, 59, 20	::	.db	0x24, 0x0,  0, 19
.org 0x805C648	::	.db	0x24, 0x1, 59, 20	::	.db	0x24, 0x0,  0, 19
.org 0x805C67E	::	.db	0x24, 0x1, 59, 20	::	.db	0x24, 0x0,  0, 19
.org 0x805C697	::	.db	0x24, 0x1, 59, 20	::	.db	0x24, 0x0,  0, 19
.org 0x805C6B0	::	.db	0x24, 0x1, 59, 20	::	.db	0x24, 0x0,  0, 19
.org 0x805C6E6	::	.db	0x24, 0x1, 59, 20	::	.db	0x24, 0x0,  0, 19
.org 0x805C6FF	::	.db	0x24, 0x1, 59, 20	::	.db	0x24, 0x0,  0, 19
.org 0x805C718	::	.db	0x24, 0x1, 59, 20	::	.db	0x24, 0x0,  0, 19
.org 0x805CB03	::	.db	0x24, 0x1, 59, 23	::	.db	0x24, 0x0,  0,  6
.org 0x805CB27	::	.db	0x24, 0x1, 59, 23	::	.db	0x24, 0x0,  0,  6
.org 0x805CB7E	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  0,  6
.org 0x805CB9A	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  0,  6
.org 0x805CBB3	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  0,  6
.org 0x805CBCC	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  0,  6
.org 0x805CBE5	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  0,  6
.org 0x805CC01	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  0,  6
.org 0x805CC1A	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  0,  6
.org 0x805CC63	::	.db	0x24, 0x1, 51, 23	::	.db	0x24, 0x0,  1,  6
.org 0x805CC82	::	.db	0x24, 0x1, 51, 23	::	.db	0x24, 0x0,  1,  6
.org 0x805CCA1	::	.db	0x24, 0x1, 51, 23	::	.db	0x24, 0x0,  1,  6
.org 0x805CCBD	::	.db	0x24, 0x1, 51, 23	::	.db	0x24, 0x0,  1,  6
.org 0x805CCD9	::	.db	0x24, 0x1, 51, 23	::	.db	0x24, 0x0,  1,  6
.org 0x805CCFF	::	.db	0x24, 0x1, 52, 23	::	.db	0x24, 0x0,  2,  6
.org 0x805CDDD	::	.db	0x24, 0x1,  0, 24	::	.db	0x24, 0x0,  0,  6
.org 0x805CF3A	::	.db	0x24, 0x1, 59, 29	::	.db	0x24, 0x0,  1, 24
.org 0x805D05A	::	.db	0x24, 0x1, 59, 23	::	.db	0x24, 0x0,  0,  6
.org 0x805D07E	::	.db	0x24, 0x1, 59, 23	::	.db	0x24, 0x0,  0,  6
.org 0x805D0D5	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  0,  6
.org 0x805D0F1	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  0,  6
.org 0x805D10A	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  0,  6
.org 0x805D126	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  0,  6
.org 0x805D143	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  0,  6
.org 0x805D15C	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  0,  6
.org 0x805D175	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  0,  6
.org 0x805D1BE	::	.db	0x24, 0x1, 51, 23	::	.db	0x24, 0x0,  1,  6
.org 0x805D1F2	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  0,  6
.org 0x805D20E	::	.db	0x24, 0x1, 51, 23	::	.db	0x24, 0x0,  1,  6
.org 0x805D22A	::	.db	0x24, 0x1, 51, 23	::	.db	0x24, 0x0,  1,  6
.org 0x805D250	::	.db	0x24, 0x1, 52, 23	::	.db	0x24, 0x0,  2,  6
.org 0x805E1F1	::	.db	0x24, 0x1, 59, 23	::	.db	0x24, 0x0,  0,  6
.org 0x805E217	::	.db	0x24, 0x1, 58, 23	::	.db	0x24, 0x0,  1,  6
.org 0x805E3A0	::	.db	0x24, 0x1, 59, 23	::	.db	0x24, 0x0,  0,  6
.org 0x805E3C6	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  5,  6
.org 0x805E537	::	.db	0x24, 0x1, 59, 23	::	.db	0x24, 0x0,  0,  6
.org 0x805E55E	::	.db	0x24, 0x1, 55, 23	::	.db	0x24, 0x0, 10,  6
.org 0x805E621	::	.db	0x24, 0x1,  0, 24	::	.db	0x24, 0x0,  0,  6
.org 0x805E6EC	::	.db	0x24, 0x1, 59, 23	::	.db	0x24, 0x0,  0,  6
.org 0x805E712	::	.db	0x24, 0x1, 55, 23	::	.db	0x24, 0x0,  5,  6
.org 0x805E738	::	.db	0x24, 0x1, 54, 23	::	.db	0x24, 0x0,  6,  6
.org 0x805E75E	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  4,  6
.org 0x805E7CC	::	.db	0x24, 0x1, 59, 29	::	.db	0x24, 0x0,  1, 24
.org 0x80611E3	::	.db	0x24, 0x1, 55, 23	::	.db	0x24, 0x0,  5,  6
.org 0x8061259	::	.db	0x24, 0x1,  0, 10	::	.db	0x24, 0x0,  0,  9
.org 0x8061270	::	.db	0x24, 0x1,  0, 14	::	.db	0x24, 0x0,  0, 13
.org 0x8061287	::	.db	0x24, 0x1,  0, 17	::	.db	0x24, 0x0,  0, 16
.org 0x806129E	::	.db	0x24, 0x1,  0, 21	::	.db	0x24, 0x0,  0, 20
.org 0x80612E4	::	.db	0x24, 0x1,  0, 10	::	.db	0x24, 0x0,  0,  9
.org 0x80612FB	::	.db	0x24, 0x1,  0, 14	::	.db	0x24, 0x0,  0, 13
.org 0x8061312	::	.db	0x24, 0x1,  0, 17	::	.db	0x24, 0x0,  0, 16
.org 0x8061329	::	.db	0x24, 0x1,  0, 21	::	.db	0x24, 0x0,  0, 20
.org 0x806136F	::	.db	0x24, 0x1,  0, 10	::	.db	0x24, 0x0,  0,  9
.org 0x8061386	::	.db	0x24, 0x1,  0, 14	::	.db	0x24, 0x0,  0, 13
.org 0x806139D	::	.db	0x24, 0x1,  0, 17	::	.db	0x24, 0x0,  0, 16
.org 0x80613B4	::	.db	0x24, 0x1,  0, 21	::	.db	0x24, 0x0,  0, 20
.org 0x80613FA	::	.db	0x24, 0x1,  0, 10	::	.db	0x24, 0x0,  0,  9
.org 0x8061411	::	.db	0x24, 0x1,  0, 14	::	.db	0x24, 0x0,  0, 13
.org 0x8061428	::	.db	0x24, 0x1,  0, 17	::	.db	0x24, 0x0,  0, 16
.org 0x806143F	::	.db	0x24, 0x1,  0, 21	::	.db	0x24, 0x0,  0, 20
.org 0x8061485	::	.db	0x24, 0x1,  0, 10	::	.db	0x24, 0x0,  0,  9
.org 0x806149C	::	.db	0x24, 0x1,  0, 14	::	.db	0x24, 0x0,  0, 13
.org 0x80614B3	::	.db	0x24, 0x1,  0, 17	::	.db	0x24, 0x0,  0, 16
.org 0x80614CA	::	.db	0x24, 0x1,  0, 21	::	.db	0x24, 0x0,  0, 20
.org 0x8061632	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  0,  6
.org 0x8061658	::	.db	0x24, 0x1, 51, 23	::	.db	0x24, 0x0,  1,  6
.org 0x8061748	::	.db	0x24, 0x1,  0, 10	::	.db	0x24, 0x0,  0,  9
.org 0x806175F	::	.db	0x24, 0x1,  0, 14	::	.db	0x24, 0x0,  0, 13
.org 0x8061776	::	.db	0x24, 0x1,  0, 17	::	.db	0x24, 0x0,  0, 16
.org 0x806178D	::	.db	0x24, 0x1,  0, 21	::	.db	0x24, 0x0,  0, 20
.org 0x80617D3	::	.db	0x24, 0x1,  0, 10	::	.db	0x24, 0x0,  0,  9
.org 0x80617EA	::	.db	0x24, 0x1,  0, 14	::	.db	0x24, 0x0,  0, 13
.org 0x8061801	::	.db	0x24, 0x1,  0, 17	::	.db	0x24, 0x0,  0, 16
.org 0x8061818	::	.db	0x24, 0x1,  0, 21	::	.db	0x24, 0x0,  0, 20
.org 0x806185E	::	.db	0x24, 0x1,  0, 10	::	.db	0x24, 0x0,  0,  9
.org 0x8061875	::	.db	0x24, 0x1,  0, 14	::	.db	0x24, 0x0,  0, 13
.org 0x806188C	::	.db	0x24, 0x1,  0, 17	::	.db	0x24, 0x0,  0, 16
.org 0x80618A3	::	.db	0x24, 0x1,  0, 21	::	.db	0x24, 0x0,  0, 20
.org 0x80618E9	::	.db	0x24, 0x1,  0, 10	::	.db	0x24, 0x0,  0,  9
.org 0x8061900	::	.db	0x24, 0x1,  0, 14	::	.db	0x24, 0x0,  0, 13
.org 0x8061917	::	.db	0x24, 0x1,  0, 17	::	.db	0x24, 0x0,  0, 16
.org 0x806192E	::	.db	0x24, 0x1,  0, 21	::	.db	0x24, 0x0,  0, 20
.org 0x8061974	::	.db	0x24, 0x1,  0, 10	::	.db	0x24, 0x0,  0,  9
.org 0x806198B	::	.db	0x24, 0x1,  0, 14	::	.db	0x24, 0x0,  0, 13
.org 0x80619A2	::	.db	0x24, 0x1,  0, 17	::	.db	0x24, 0x0,  0, 16
.org 0x80619B9	::	.db	0x24, 0x1,  0, 21	::	.db	0x24, 0x0,  0, 20
.org 0x8061A9A	::	.db	0x24, 0x1, 55, 23	::	.db	0x24, 0x0,  5,  6
.org 0x8061AC0	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0, 10,  6
.org 0x8061AE6	::	.db	0x24, 0x1, 55, 23	::	.db	0x24, 0x0, 15,  6
.org 0x8061C0E	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  0,  6
.org 0x8061CA9	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  0,  6
.org 0x8061CCF	::	.db	0x24, 0x1, 55, 23	::	.db	0x24, 0x0,  0,  6
.org 0x8061D71	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  0,  6
.org 0x8061E7B	::	.db	0x24, 0x1,  0, 10	::	.db	0x24, 0x0,  0,  9
.org 0x8061E92	::	.db	0x24, 0x1,  0, 14	::	.db	0x24, 0x0,  0, 13
.org 0x8061EA9	::	.db	0x24, 0x1,  0, 17	::	.db	0x24, 0x0,  0, 16
.org 0x8061EC0	::	.db	0x24, 0x1,  0, 21	::	.db	0x24, 0x0,  0, 20
.org 0x8061F06	::	.db	0x24, 0x1,  0, 10	::	.db	0x24, 0x0,  0,  9
.org 0x8061F1D	::	.db	0x24, 0x1,  0, 14	::	.db	0x24, 0x0,  0, 13
.org 0x8061F34	::	.db	0x24, 0x1,  0, 17	::	.db	0x24, 0x0,  0, 16
.org 0x8061F4B	::	.db	0x24, 0x1,  0, 21	::	.db	0x24, 0x0,  0, 20
.org 0x8061F91	::	.db	0x24, 0x1,  0, 10	::	.db	0x24, 0x0,  0,  9
.org 0x8061FA8	::	.db	0x24, 0x1,  0, 14	::	.db	0x24, 0x0,  0, 13
.org 0x8061FBF	::	.db	0x24, 0x1,  0, 17	::	.db	0x24, 0x0,  0, 16
.org 0x8061FD6	::	.db	0x24, 0x1,  0, 21	::	.db	0x24, 0x0,  0, 20
.org 0x806201C	::	.db	0x24, 0x1,  0, 10	::	.db	0x24, 0x0,  0,  9
.org 0x8062033	::	.db	0x24, 0x1,  0, 14	::	.db	0x24, 0x0,  0, 13
.org 0x806204A	::	.db	0x24, 0x1,  0, 17	::	.db	0x24, 0x0,  0, 16
.org 0x8062061	::	.db	0x24, 0x1,  0, 21	::	.db	0x24, 0x0,  0, 20
.org 0x80620A7	::	.db	0x24, 0x1,  0, 10	::	.db	0x24, 0x0,  0,  9
.org 0x80620BE	::	.db	0x24, 0x1,  0, 14	::	.db	0x24, 0x0,  0, 13
.org 0x80620D5	::	.db	0x24, 0x1,  0, 17	::	.db	0x24, 0x0,  0, 16
.org 0x80620EC	::	.db	0x24, 0x1,  0, 21	::	.db	0x24, 0x0,  0, 20
.org 0x8062A11	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  0,  6
.org 0x8062A37	::	.db	0x24, 0x1, 51, 23	::	.db	0x24, 0x0,  1,  6
.org 0x8062A5D	::	.db	0x24, 0x1, 52, 23	::	.db	0x24, 0x0,  2,  6
.org 0x8062ABC	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0,  0,  6
.org 0x8062AE2	::	.db	0x24, 0x1, 51, 23	::	.db	0x24, 0x0,  1,  6
.org 0x8062B08	::	.db	0x24, 0x1, 52, 23	::	.db	0x24, 0x0,  2,  6
.org 0x8062D3A	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0, 10,  6
.org 0x8062D60	::	.db	0x24, 0x1, 51, 23	::	.db	0x24, 0x0, 11,  6
.org 0x8062DBB	::	.db	0x24, 0x1,  0, 10	::	.db	0x24, 0x0,  0,  9
.org 0x8062DD2	::	.db	0x24, 0x1,  0, 14	::	.db	0x24, 0x0,  0, 13
.org 0x8062DE9	::	.db	0x24, 0x1,  0, 17	::	.db	0x24, 0x0,  0, 16
.org 0x8062E00	::	.db	0x24, 0x1,  0, 21	::	.db	0x24, 0x0,  0, 20
.org 0x8062E46	::	.db	0x24, 0x1,  0, 10	::	.db	0x24, 0x0,  0,  9
.org 0x8062E5D	::	.db	0x24, 0x1,  0, 14	::	.db	0x24, 0x0,  0, 13
.org 0x8062E74	::	.db	0x24, 0x1,  0, 17	::	.db	0x24, 0x0,  0, 16
.org 0x8062E8B	::	.db	0x24, 0x1,  0, 21	::	.db	0x24, 0x0,  0, 20
.org 0x8062ED1	::	.db	0x24, 0x1,  0, 10	::	.db	0x24, 0x0,  0,  9
.org 0x8062EE8	::	.db	0x24, 0x1,  0, 14	::	.db	0x24, 0x0,  0, 13
.org 0x8062EFF	::	.db	0x24, 0x1,  0, 17	::	.db	0x24, 0x0,  0, 16
.org 0x8062F16	::	.db	0x24, 0x1,  0, 21	::	.db	0x24, 0x0,  0, 20
.org 0x8062F5C	::	.db	0x24, 0x1,  0, 10	::	.db	0x24, 0x0,  0,  9
.org 0x8062F73	::	.db	0x24, 0x1,  0, 14	::	.db	0x24, 0x0,  0, 13
.org 0x8062F8A	::	.db	0x24, 0x1,  0, 17	::	.db	0x24, 0x0,  0, 16
.org 0x8062FA1	::	.db	0x24, 0x1,  0, 21	::	.db	0x24, 0x0,  0, 20
.org 0x8062FE7	::	.db	0x24, 0x1,  0, 10	::	.db	0x24, 0x0,  0,  9
.org 0x8062FFE	::	.db	0x24, 0x1,  0, 14	::	.db	0x24, 0x0,  0, 13
.org 0x8063015	::	.db	0x24, 0x1,  0, 17	::	.db	0x24, 0x0,  0, 16
.org 0x806302C	::	.db	0x24, 0x1,  0, 21	::	.db	0x24, 0x0,  0, 20
.org 0x8063119	::	.db	0x24, 0x1, 50, 23	::	.db	0x24, 0x0, 10,  6
.org 0x806313F	::	.db	0x24, 0x1, 51, 23	::	.db	0x24, 0x0, 11,  6
