.align 2
save_setLastRtcTime:
	push	r0,r4-r5
	ldr	r5,=0x2003D40

	// Copy the time
	ldr	r4,=0x8006145
	mov	r14,r15
	bx	r4
	strb	r0,[r5,0xC]

	add	r4,(0x800614B-0x8006145)
	mov	r14,r15
	bx	r4
	strb	r0,[r5,0xD]

	add	r4,(0x8006151-0x800614B)
	mov	r14,r15
	bx	r4
	strb	r0,[r5,0xE]

	add	r4,(0x800615D-0x8006151)
	mov	r14,r15
	bx	r4
	strb	r0,[r5,0xF]

	add	r4,(0x8006171-0x800615D)
	mov	r14,r15
	bx	r4
	strb	r0,[r5,0x10]

	sub	r4,(0x8006171-0x8006157)
	mov	r14,r15
	bx	r4
	strb	r0,[r5,0x11]

	pop	r0,r4-r5
	mov	r1,r10
	ldr	r1,[r1,0x44]
	add	r1,0x54
	mov	r2,0x14
	ldr	r3,=0x804AB45
	bx	r3


.align 2
save_checkSaveString:
	push	r4-r7,r14

	// Load and set build version in save file
	ldr	r1,=0x2003C80
	ldr	r2,[@buildVersion]
	ldr	r0,[r1]
	str	r2,[r1]
	cmp	r0,r2
	beq	@@checkSaveString

	// Force map reload if build version does not match
	mov	r1,r10
	ldr	r1,[r1,0x40]
	mov	r0,0x0
	str	r0,[r1,0x34]

@@checkSaveString:
	// Check English save string
	ldr	r0,=0x804ABA0
	bl	@compareSaveString
	tst	r0,r0
	beq	@@end

	// Check Japanese save string
	add	r0,=@jpSaveString
	bl	@compareSaveString
	tst	r0,r0
	bne	@@end

	// Perform save conversion
	// Clear last valid time/date
	ldr	r1,=0x2003D40
	mov	r0,0x0
	strb	r0,[r1,0xC]	// year
	mov	r0,0x1
	strb	r0,[r1,0xD]	// month
	strb	r0,[r1,0xE]	// day
	mov	r0,0x0
	strb	r0,[r1,0xF]	// hour
	strb	r0,[r1,0x10]	// minute
	mov	r0,0x6
	strb	r0,[r1,0x11]	// weekday

	// Clear multiplayer opponent/chip counts
	ldr	r0,=0x2000A50
	ldr	r1,=0x280
.if VAR_JP
	ldr	r2,=0x800092D	// memclear(dst, size), multiple of 0x20
	mov	r14,r2
	bl	r14
.else
	bl	0x800092C
.endif

	// Clear player strings + schedule
	ldr	r0,=0x2000E50
	ldr	r1,=0x2380
.if VAR_JP
	ldr	r2,=0x800092D
	mov	r14,r2
	bl	r14
.else
	bl	0x800092C
.endif

	// Re-initialize player strings
.if VAR_JP
	ldr	r0,=0x8035D81
	mov	r14,r0
	bl	r14
.else
	bl	0x8035D80
.endif

	// Re-initialize schedule
.if VAR_JP
	ldr	r0,=0x803678D
	mov	r14,r0
	bl	r14
.else
	bl	0x803678C
.endif

	// Truncate player name
	ldr	r1,=0x2000E50
	mov	r0,0xE5
	strb	r0,[r1,0x1]

	// Reset multiplayer battle/win counts
	mov	r1,r10
	ldr	r1,[r1,0x44]
	mov	r0,0x0
	str	r0,[r1,0x1C]	// stores 2 halfwords

	// Correct most used chip names, remove unrecognized ones
	ldr	r4,=0x2000CD0
	mov	r5,0xC
@@loop:
	ldr	r0,[r4]
	tst	r0,r0
	beq	@@next

	add	r0,r4,0x4
	bl	@chipNameToID
	tst	r0,r0
	beq	@@clear

@@updateName:
	// Get name for chip
.if VAR_JP
	ldr	r1,=0x803864D
	mov	r14,r1
	bl	r14
.else
	bl	0x803864C
.endif
	tst	r0,r0
	beq	@@clear
	mov	r6,r0

	// Clear old name
	mov	r0,0x0
	str	r0,[r4,0x4]
	str	r0,[r4,0x8]
	str	r0,[r4,0xC]
	str	r0,[r4,0x10]
	str	r0,[r4,0x14]
	str	r0,[r4,0x18]
	str	r0,[r4,0x1C]

	// Copy new name
	mov	r0,r6
	add	r1,r4,0x4
.if VAR_JP
	ldr	r2,=0x8032AC7
	mov	r14,r2
	bl	r14
.else
	bl	0x8032AC6
.endif

	b	@@next

@@clear:
	str	r0,[r4,0x0]
	str	r0,[r4,0x4]
	str	r0,[r4,0x8]
	str	r0,[r4,0xC]
	str	r0,[r4,0x10]
	str	r0,[r4,0x14]
	str	r0,[r4,0x18]
	str	r0,[r4,0x1C]

@@next:
	add	r4,0x20
	sub	r5,0x1
	bgt	@@loop

	// Sort most used chip lists
	// Sort Standard
	ldr	r0,=0x2000CD0
.if VAR_JP
	ldr	r1,=0x803885B
	mov	r14,r1
	bl	r14
.else
	bl	0x803885A
.endif
	// Sort Mega
	ldr	r0,=0x2000D50
.if VAR_JP
	ldr	r1,=0x803885B
	mov	r14,r1
	bl	r14
.else
	bl	0x803885A
.endif
	// Sort Giga
	ldr	r0,=0x2000DD0
.if VAR_JP
	ldr	r1,=0x803885B
	mov	r14,r1
	bl	r14
.else
	bl	0x803885A
.endif

	// Update most used chip names
	// Fav Standard 1
	mov	r0,0x5
	mov	r1,0x0
	mov	r2,0x0
.if VAR_JP
	ldr	r3,=0x80389D9
	mov	r14,r3
	bl	r14
.else
	bl	0x80389D8
.endif
	// Fav Standard 2
	mov	r0,0x6
	mov	r1,0x1
	mov	r2,0x0
.if VAR_JP
	ldr	r3,=0x80389D9
	mov	r14,r3
	bl	r14
.else
	bl	0x80389D8
.endif
	// Fav Standard 3
	mov	r0,0x7
	mov	r1,0x2
	mov	r2,0x0
.if VAR_JP
	ldr	r3,=0x80389D9
	mov	r14,r3
	bl	r14
.else
	bl	0x80389D8
.endif
	// Fav Mega
	mov	r0,0x8
	mov	r1,0x0
	mov	r2,0x0
.if VAR_JP
	ldr	r3,=0x80389D9
	mov	r14,r3
	bl	r14
.else
	bl	0x80389D8
.endif
	// Fav Giga
	mov	r0,0x9
	mov	r1,0x0
	mov	r2,0x0
.if VAR_JP
	ldr	r3,=0x80389D9
	mov	r14,r3
	bl	r14
.else
	bl	0x80389D8
.endif

	// Set English save string
.if VAR_JP
	ldr	r0,=0x804AB39
	mov	r14,r0
	bl	r14
.else
	bl	0x804AB38
.endif

	// Return valid save
	mov	r0,0x0
@@end:
	pop	r4-r7,r15


@compareSaveString:
	mov	r1,r10
	ldr	r1,[r1,0x44]
	add	r1,0x54
	mov	r2,0x13
@@loop:
	ldrb	r3,[r1,r2]
	ldrb	r4,[r0,r2]
	cmp	r3,r4
	bne	@@true
	sub	r2,0x1
	bge	@@loop
@@false:
	mov	r0,0x0
	b	@@end
@@true:
	mov	r0,0x1
@@end:
	bx	r14


.align 2
save_playerNameInputConfirm:
	ldrb	r0,[r5,0x7]
	cmp	r0,0x2
	bne	@@normal

	// End profile entry
	mov	r0,0x20
	b	@@setState

@@normal:
	// Continue to gender screen
	mov	r0,0x10
@@setState:
	strh	r0,[r5]
	mov	r0,0x0
	strb	r0,[r5,0x6]

	pop	r15


.align 2
save_rtcReinitConfirm:
	push	r14

	// Check if we're in Continue RTC re-initialization
	ldr	r1,=0x200F850
	ldrb	r0,[r1,0x9]
	cmp	r0,0x4
	bne	@@normal

	// Check if name needs to be initialized
	ldr	r0,=0x2000E50
	ldrb	r0,[r0]
	tst	r0,r0
	bne	@@normal

	// Set game state to profile entry
.if VAR_JP
	ldr	r0,=0x8039C53
	mov	r14,r0
	bl	r14
.else
	bl	0x8039C52
.endif

	// Skip a graphics glitch
	ldr	r1,=0x200F5E8
	mov	r0,0xC
	strb	r0,[r1]
	// Set profile entry to name only
	mov	r0,0x2
	strb	r0,[r1,0x7]

	pop	r15

@@normal:
	ldrb	r0,[r5,0x1]
	tst	r0,r0
	bne	@@state1
@@state0:
.if VAR_JP
	ldr	r0,=0x8029415
	mov	r14,r0
	bl	r14
.else
	bl	0x8029414
.endif
@@state1:
.if VAR_JP
	ldr	r0,=0x8029421
	mov	r14,r0
	bl	r14
.else
	bl	0x8029420
.endif


.align 2
save_profileEntryExit:
	tst	r0,r0
	beq	@@newGame
	cmp	r0,0x2
	bne	@@hpProg

@@continue:
	// Update player nickname
.if VAR_JP
	ldr	r0,=0x8038F61
	mov	r14,r0
	bl	r14
.else
	bl	0x8038F60
.endif

.if VAR_JP
	ldr	r0,=0x80041F5
	mov	r14,r0
	bl	r14
.else
	bl	0x80041F4
.endif

	// Undo music stop
	mov	r3,r10
	ldr	r3,[r3,0x40]
	mov	r0,0x38
	strb	r0,[r3,0x19]

	mov	r0,0x1E
	mov	r1,0x6
.if VAR_JP
	ldr	r3,=0x802871F
	mov	r14,r3
	bl	r14
.else
	bl	0x802871E
.endif

	mov	r0,0x1E
	mov	r1,0x1E
.if VAR_JP
	ldr	r3,=0x80287AF
	mov	r14,r3
	bl	r14
.else
	bl	0x80287AE
.endif
	bne	@@openNaviSelect

@@openOverworld:
.if VAR_JP
	ldr	r0,=0x8030755
	mov	r14,r0
	bl	r14
.else
	bl	0x8030754
.endif

	mov	r3,r10
	ldr	r0,[r3]
	mov	r1,0x4
	strb	r1,[r0]

.if VAR_JP
	ldr	r0,=0x803675D
	mov	r14,r0
	bl	r14
.else
	bl	0x803675C
.endif

.if VAR_JP
	ldr	r0,=0x80067DD
	mov	r14,r0
	bl	r14
.else
	bl	0x80067DC
.endif

	pop	r15

@@openNaviSelect:
.if VAR_JP
	ldr	r0,=0x8038DF5
	mov	r14,r0
	bl	r14
.else
	bl	0x8038DF4
.endif

	pop	r15

@@hpProg:
	mov	r3,r10
	ldr	r0,[r3]
.if VAR_JP
	ldr	r1,=0x8039F85
	mov	r14,r1
	bl	r14
.else
	bl	0x8039F84
.endif

@@newGame:
.if VAR_JP
	ldr	r0,=0x8039FA1
	mov	r14,r0
	bl	r14
.else
	bl	0x8039FA0
.endif

	.pool

@buildVersion:
.if VAR_JP
	.dw	0
.else
	.db	(VAR_VERSION_DATE >> 16) & 0xFF
	.db	(VAR_VERSION_DATE >>  8) & 0xFF
	.db	(VAR_VERSION_DATE >>  0) & 0xFF
	.db	(VAR_EU ? 1 : 0) | (VAR_DEBUG ? 2 : 0) | (VAR_VERSION_REVISION << 2)
.endif

@jpSaveString:
.if VAR_JP
	.ascii	"ROCKMANEXE4RO 041217"
.else
	.ascii	"ROCKMANEXE4RO 040607"
.endif



.align 2
@chipNameToID:
// in r0 = chip name ptr
// out r0 = chip ID (0 = none)
	push	r4-r5,r14
	mov	r5,r0

	// Read first char
	ldrb	r0,[r5]
	cmp	r0,0x9F
	bgt	@@notfound

	// Get pointer to first string to check
	add	r1,=@@chipNameTable
	lsl	r0,r0,0x1
	ldrh	r0,[r1,r0]
	tst	r0,r0
	beq	@@notfound
	add	r1,r1,r0

@@checkString:
	ldrb	r0,[r1]
	ldrb	r2,[r1,0x1]
	lsl	r2,r2,0x8
	orr	r0,r2
	beq	@@notfound

	add	r1,0x3
	add	r2,r5,0x1

@@checkChar:
	ldrb	r3,[r1]
	ldrb	r4,[r2]
	add	r1,0x1
	add	r2,0x1
	cmp	r3,r4
	bne	@@nextString
	cmp	r3,0xE5
	beq	@@end
	b	@@checkChar

@@nextString:
	cmp	r3,0xE5
	beq	@@checkString
	ldrb	r3,[r1]
	add	r1,0x1
	b	@@nextString

@@notfound:
	mov	r0,0x0

@@end:
	pop	r4-r5,r15

	.pool

.align 2
@@chipNameTable:
	.dh	@@chip_00 - @@chipNameTable	// 00
	.dh	@@chip___ - @@chipNameTable	// 01
	.dh	@@chip___ - @@chipNameTable	// 02
	.dh	@@chip___ - @@chipNameTable	// 03
	.dh	@@chip___ - @@chipNameTable	// 04
	.dh	@@chip___ - @@chipNameTable	// 05
	.dh	@@chip___ - @@chipNameTable	// 06
	.dh	@@chip___ - @@chipNameTable	// 07
	.dh	@@chip___ - @@chipNameTable	// 08
	.dh	@@chip___ - @@chipNameTable	// 09
	.dh	@@chip___ - @@chipNameTable	// 0A
	.dh	@@chip_0B - @@chipNameTable	// 0B
	.dh	@@chip_0C - @@chipNameTable	// 0C
	.dh	@@chip_0D - @@chipNameTable	// 0D
	.dh	@@chip_0E - @@chipNameTable	// 0E
	.dh	@@chip_0F - @@chipNameTable	// 0F
	.dh	@@chip_10 - @@chipNameTable	// 10
	.dh	@@chip_11 - @@chipNameTable	// 11
	.dh	@@chip_12 - @@chipNameTable	// 12
	.dh	@@chip_13 - @@chipNameTable	// 13
	.dh	@@chip_14 - @@chipNameTable	// 14
	.dh	@@chip_15 - @@chipNameTable	// 15
	.dh	@@chip_16 - @@chipNameTable	// 16
	.dh	@@chip_17 - @@chipNameTable	// 17
	.dh	@@chip_18 - @@chipNameTable	// 18
	.dh	@@chip_19 - @@chipNameTable	// 19
	.dh	@@chip_1A - @@chipNameTable	// 1A
	.dh	@@chip___ - @@chipNameTable	// 1B
	.dh	@@chip_1C - @@chipNameTable	// 1C
	.dh	@@chip_1D - @@chipNameTable	// 1D
	.dh	@@chip_1E - @@chipNameTable	// 1E
	.dh	@@chip_1F - @@chipNameTable	// 1F
	.dh	@@chip_20 - @@chipNameTable	// 20
	.dh	@@chip_21 - @@chipNameTable	// 21
	.dh	@@chip_22 - @@chipNameTable	// 22
	.dh	@@chip_23 - @@chipNameTable	// 23
	.dh	@@chip_24 - @@chipNameTable	// 24
	.dh	@@chip_25 - @@chipNameTable	// 25
	.dh	@@chip_26 - @@chipNameTable	// 26
	.dh	@@chip_27 - @@chipNameTable	// 27
	.dh	@@chip_28 - @@chipNameTable	// 28
	.dh	@@chip_29 - @@chipNameTable	// 29
	.dh	@@chip_2A - @@chipNameTable	// 2A
	.dh	@@chip_2B - @@chipNameTable	// 2B
	.dh	@@chip_2C - @@chipNameTable	// 2C
	.dh	@@chip_2D - @@chipNameTable	// 2D
	.dh	@@chip___ - @@chipNameTable	// 2E
	.dh	@@chip_2F - @@chipNameTable	// 2F
	.dh	@@chip___ - @@chipNameTable	// 30
	.dh	@@chip_31 - @@chipNameTable	// 31
	.dh	@@chip_32 - @@chipNameTable	// 32
	.dh	@@chip___ - @@chipNameTable	// 33
	.dh	@@chip_34 - @@chipNameTable	// 34
	.dh	@@chip_35 - @@chipNameTable	// 35
	.dh	@@chip_36 - @@chipNameTable	// 36
	.dh	@@chip___ - @@chipNameTable	// 37
	.dh	@@chip___ - @@chipNameTable	// 38
	.dh	@@chip___ - @@chipNameTable	// 39
	.dh	@@chip___ - @@chipNameTable	// 3A
	.dh	@@chip_3B - @@chipNameTable	// 3B
	.dh	@@chip_3C - @@chipNameTable	// 3C
	.dh	@@chip_3D - @@chipNameTable	// 3D
	.dh	@@chip___ - @@chipNameTable	// 3E
	.dh	@@chip_3F - @@chipNameTable	// 3F
	.dh	@@chip_40 - @@chipNameTable	// 40
	.dh	@@chip_41 - @@chipNameTable	// 41
	.dh	@@chip___ - @@chipNameTable	// 42
	.dh	@@chip___ - @@chipNameTable	// 43
	.dh	@@chip___ - @@chipNameTable	// 44
	.dh	@@chip_45 - @@chipNameTable	// 45
	.dh	@@chip___ - @@chipNameTable	// 46
	.dh	@@chip___ - @@chipNameTable	// 47
	.dh	@@chip_48 - @@chipNameTable	// 48
	.dh	@@chip_49 - @@chipNameTable	// 49
	.dh	@@chip_4A - @@chipNameTable	// 4A
	.dh	@@chip_4B - @@chipNameTable	// 4B
	.dh	@@chip_4C - @@chipNameTable	// 4C
	.dh	@@chip___ - @@chipNameTable	// 4D
	.dh	@@chip_4E - @@chipNameTable	// 4E
	.dh	@@chip_4F - @@chipNameTable	// 4F
	.dh	@@chip___ - @@chipNameTable	// 50
	.dh	@@chip_51 - @@chipNameTable	// 51
	.dh	@@chip___ - @@chipNameTable	// 52
	.dh	@@chip_53 - @@chipNameTable	// 53
	.dh	@@chip___ - @@chipNameTable	// 54
	.dh	@@chip___ - @@chipNameTable	// 55
	.dh	@@chip___ - @@chipNameTable	// 56
	.dh	@@chip___ - @@chipNameTable	// 57
	.dh	@@chip___ - @@chipNameTable	// 58
	.dh	@@chip___ - @@chipNameTable	// 59
	.dh	@@chip___ - @@chipNameTable	// 5A
	.dh	@@chip___ - @@chipNameTable	// 5B
	.dh	@@chip___ - @@chipNameTable	// 5C
	.dh	@@chip___ - @@chipNameTable	// 5D
	.dh	@@chip___ - @@chipNameTable	// 5E
	.dh	@@chip___ - @@chipNameTable	// 5F
	.dh	@@chip___ - @@chipNameTable	// 60
	.dh	@@chip___ - @@chipNameTable	// 61
	.dh	@@chip___ - @@chipNameTable	// 62
	.dh	@@chip___ - @@chipNameTable	// 63
	.dh	@@chip___ - @@chipNameTable	// 64
	.dh	@@chip___ - @@chipNameTable	// 65
	.dh	@@chip___ - @@chipNameTable	// 66
	.dh	@@chip___ - @@chipNameTable	// 67
	.dh	@@chip___ - @@chipNameTable	// 68
	.dh	@@chip___ - @@chipNameTable	// 69
	.dh	@@chip___ - @@chipNameTable	// 6A
	.dh	@@chip___ - @@chipNameTable	// 6B
	.dh	@@chip___ - @@chipNameTable	// 6C
	.dh	@@chip___ - @@chipNameTable	// 6D
	.dh	@@chip___ - @@chipNameTable	// 6E
	.dh	@@chip___ - @@chipNameTable	// 6F
	.dh	@@chip___ - @@chipNameTable	// 70
	.dh	@@chip___ - @@chipNameTable	// 71
	.dh	@@chip___ - @@chipNameTable	// 72
	.dh	@@chip___ - @@chipNameTable	// 73
	.dh	@@chip___ - @@chipNameTable	// 74
	.dh	@@chip___ - @@chipNameTable	// 75
	.dh	@@chip___ - @@chipNameTable	// 76
	.dh	@@chip_77 - @@chipNameTable	// 77
	.dh	@@chip___ - @@chipNameTable	// 78
	.dh	@@chip___ - @@chipNameTable	// 79
	.dh	@@chip___ - @@chipNameTable	// 7A
	.dh	@@chip___ - @@chipNameTable	// 7B
	.dh	@@chip___ - @@chipNameTable	// 7C
	.dh	@@chip___ - @@chipNameTable	// 7D
	.dh	@@chip_7E - @@chipNameTable	// 7E
	.dh	@@chip___ - @@chipNameTable	// 7F
	.dh	@@chip___ - @@chipNameTable	// 80
	.dh	@@chip___ - @@chipNameTable	// 81
	.dh	@@chip___ - @@chipNameTable	// 82
	.dh	@@chip___ - @@chipNameTable	// 83
	.dh	@@chip___ - @@chipNameTable	// 84
	.dh	@@chip___ - @@chipNameTable	// 85
	.dh	@@chip___ - @@chipNameTable	// 86
	.dh	@@chip___ - @@chipNameTable	// 87
	.dh	@@chip___ - @@chipNameTable	// 88
	.dh	@@chip___ - @@chipNameTable	// 89
	.dh	@@chip___ - @@chipNameTable	// 8A
	.dh	@@chip___ - @@chipNameTable	// 8B
	.dh	@@chip___ - @@chipNameTable	// 8C
	.dh	@@chip___ - @@chipNameTable	// 8D
	.dh	@@chip___ - @@chipNameTable	// 8E
	.dh	@@chip___ - @@chipNameTable	// 8F
	.dh	@@chip___ - @@chipNameTable	// 90
	.dh	@@chip___ - @@chipNameTable	// 91
	.dh	@@chip___ - @@chipNameTable	// 92
	.dh	@@chip___ - @@chipNameTable	// 93
	.dh	@@chip___ - @@chipNameTable	// 94
	.dh	@@chip___ - @@chipNameTable	// 95
	.dh	@@chip___ - @@chipNameTable	// 96
	.dh	@@chip___ - @@chipNameTable	// 97
	.dh	@@chip___ - @@chipNameTable	// 98
	.dh	@@chip___ - @@chipNameTable	// 99
	.dh	@@chip___ - @@chipNameTable	// 9A
	.dh	@@chip___ - @@chipNameTable	// 9B
	.dh	@@chip___ - @@chipNameTable	// 9C
	.dh	@@chip_9D - @@chipNameTable	// 9D
	.dh	@@chip___ - @@chipNameTable	// 9E
	.dh	@@chip___ - @@chipNameTable	// 9F

@@chip___:
	.dh 0x0000
@@chip_00:
	.dh 0x0184 :: .db 0x00,0xE5
	.dh 0x0000
@@chip_0B:
	.dh 0x017E :: .db 0x0B,0x0C,0x17,0x11,0x5B,0x82,0x4C,0xE5	// Japanese	アイスキューブ
	.dh 0x00B5 :: .db 0x0B,0x12,0x0B,0x0B,0x59,0x4F,0x82,0x02,0xE5	// Japanese	アクアアッパー1
	.dh 0x00B6 :: .db 0x0B,0x12,0x0B,0x0B,0x59,0x4F,0x82,0x03,0xE5	// Japanese	アクアアッパー2
	.dh 0x00B7 :: .db 0x0B,0x12,0x0B,0x0B,0x59,0x4F,0x82,0x04,0xE5	// Japanese	アクアアッパー3
	.dh 0x00FD :: .db 0x0B,0x12,0x0B,0x29,0x3A,0x61,0x70,0xE5	// Japanese	アクアマンDS
	.dh 0x00FC :: .db 0x0B,0x12,0x0B,0x29,0x3A,0x70,0x6D,0xE5	// Japanese	アクアマンSP
	.dh 0x00FB :: .db 0x0B,0x12,0x0B,0x29,0x3A,0xE5			// Japanese	アクアマン
	.dh 0x011F :: .db 0x0B,0x12,0x0B,0x4F,0x36,0x82,0xE5		// Japanese	アクアパワー
	.dh 0x0095 :: .db 0x0B,0x1A,0x59,0x12,0x7F,0x02,0x01,0xE5	// Japanese	アタック+10
	.dh 0x00CD :: .db 0x0B,0x1A,0x59,0x12,0x7F,0x04,0x01,0xE5	// Japanese	アタック+30
	.dh 0x003F :: .db 0x0B,0x2E,0x37,0x12,0x34,0x28,0x02,0xE5	// 2012 demo	AirHoc1
	.dh 0x0040 :: .db 0x0B,0x2E,0x37,0x12,0x34,0x28,0x03,0xE5	// 2012 demo	AirHoc2
	.dh 0x0041 :: .db 0x0B,0x2E,0x37,0x12,0x34,0x28,0x04,0xE5	// 2012 demo	AirHoc3
	.dh 0x0004 :: .db 0x0B,0x2E,0x37,0x1D,0x2D,0x34,0x39,0xE5	// 2012 demo	AirShot
	.dh 0x0091 :: .db 0x0B,0x32,0x38,0x2D,0x0E,0x31,0x2B,0xE5	// Spikeman	AntiDmg
	.dh 0x008E :: .db 0x0B,0x32,0x38,0x2D,0x0F,0x30,0x29,0x27,0xE5	// Spikeman	AntiElec
	.dh 0x008C :: .db 0x0B,0x32,0x38,0x2D,0x10,0x47,0x29,0xE5	// Spikeman	AntiFire
	.dh 0x0090 :: .db 0x0B,0x32,0x38,0x2D,0x18,0x25,0x3A,0x2D,0xE5	// Spikeman	AntiNavi
	.dh 0x0093 :: .db 0x0B,0x32,0x38,0x2D,0x1C,0x29,0x27,0x3A,0xE5	// Spikeman	AntiRecv
	.dh 0x0092 :: .db 0x0B,0x32,0x38,0x2D,0x1D,0x3B,0x36,0x28,0xE5	// Spikeman	AntiSwrd
	.dh 0x008D :: .db 0x0B,0x32,0x38,0x2D,0x21,0x25,0x38,0x36,0xE5	// Spikeman	AntiWatr
	.dh 0x008F :: .db 0x0B,0x32,0x38,0x2D,0x21,0x33,0x33,0x28,0xE5	// Spikeman	AntiWood
	.dh 0x00CC :: .db 0x0B,0x32,0x39,0x26,0x2D,0x37,0xE5		// Spikeman	Anubis
	.dh 0x0091 :: .db 0x0B,0x33,0x39,0x2E,0x0E,0x32,0x2C,0xE5	// 2012 demo	AntiDmg
	.dh 0x008E :: .db 0x0B,0x33,0x39,0x2E,0x0F,0x31,0x2A,0x28,0xE5	// 2012 demo	AntiElec
	.dh 0x008C :: .db 0x0B,0x33,0x39,0x2E,0x10,0x2E,0x37,0x2A,0xE5	// 2012 demo	AntiFire
	.dh 0x0090 :: .db 0x0B,0x33,0x39,0x2E,0x18,0x26,0x3B,0x2E,0xE5	// 2012 demo	AntiNavi
	.dh 0x0093 :: .db 0x0B,0x33,0x39,0x2E,0x1C,0x2A,0x28,0x3B,0xE5	// 2012 demo	AntiRecv
	.dh 0x0092 :: .db 0x0B,0x33,0x39,0x2E,0x1D,0x3C,0x37,0x29,0xE5	// 2012 demo	AntiSwrd
	.dh 0x008D :: .db 0x0B,0x33,0x39,0x2E,0x21,0x26,0x39,0x37,0xE5	// 2012 demo	AntiWatr
	.dh 0x008F :: .db 0x0B,0x33,0x39,0x2E,0x21,0x34,0x34,0x29,0xE5	// 2012 demo	AntiWood
	.dh 0x00CC :: .db 0x0B,0x33,0x3A,0x27,0x2E,0x38,0xE5		// 2012 demo	Anubis
	.dh 0x00FC :: .db 0x0B,0x35,0x39,0x25,0x17,0x3F,0x76,0xE5	// Spikeman	AquaManSP
	.dh 0x00FD :: .db 0x0B,0x35,0x39,0x25,0x17,0x3F,0x77,0xE5	// Spikeman	AquaManDS
	.dh 0x00FB :: .db 0x0B,0x35,0x39,0x25,0x17,0x3F,0xE5		// Spikeman	AquaMan
	.dh 0x011F :: .db 0x0B,0x35,0x39,0x25,0x1A,0x3B,0x36,0xE5	// Spikeman	AquaPwr
	.dh 0x00B5 :: .db 0x0B,0x35,0x39,0x25,0x1F,0x34,0x02,0xE5	// Spikeman	AquaUp1
	.dh 0x00B6 :: .db 0x0B,0x35,0x39,0x25,0x1F,0x34,0x03,0xE5	// Spikeman	AquaUp2
	.dh 0x00B7 :: .db 0x0B,0x35,0x39,0x25,0x1F,0x34,0x04,0xE5	// Spikeman	AquaUp3
	.dh 0x0075 :: .db 0x0B,0x36,0x29,0x25,0x11,0x36,0x25,0x26,0xE5	// Spikeman	AreaGrab
	.dh 0x00FC :: .db 0x0B,0x36,0x3A,0x26,0x17,0x26,0x33,0x43,0xE5	// 2012 demo	AquaManSP
	.dh 0x00FD :: .db 0x0B,0x36,0x3A,0x26,0x17,0x26,0x33,0x44,0xE5	// 2012 demo	AquaManDS
	.dh 0x00FB :: .db 0x0B,0x36,0x3A,0x26,0x17,0x26,0x33,0xE5	// 2012 demo	AquaMan
	.dh 0x011F :: .db 0x0B,0x36,0x3A,0x26,0x1A,0x34,0x3C,0x37,0xE5	// 2012 demo	AquaPowr
	.dh 0x00B5 :: .db 0x0B,0x36,0x3A,0x26,0x1F,0x35,0x02,0xE5	// 2012 demo	AquaUp1
	.dh 0x00B6 :: .db 0x0B,0x36,0x3A,0x26,0x1F,0x35,0x03,0xE5	// 2012 demo	AquaUp2
	.dh 0x00B7 :: .db 0x0B,0x36,0x3A,0x26,0x1F,0x35,0x04,0xE5	// 2012 demo	AquaUp3
	.dh 0x0075 :: .db 0x0B,0x37,0x2A,0x26,0x11,0x37,0x26,0x27,0xE5	// 2012 demo	AreaGrab
	.dh 0x0095 :: .db 0x0B,0x38,0x2F,0x7F,0x02,0x01,0xE5		// Spikeman	Atk+10
	.dh 0x00CD :: .db 0x0B,0x38,0x2F,0x7F,0x04,0x01,0xE5		// Spikeman	Atk+30
	.dh 0x0095 :: .db 0x0B,0x39,0x30,0x48,0x02,0x01,0xE5		// English	Atk+10
	.dh 0x00CD :: .db 0x0B,0x39,0x30,0x48,0x04,0x01,0xE5		// English	Atk+30
	.dh 0x0095 :: .db 0x0B,0x39,0x30,0x9E,0x02,0x01,0xE5		// 2012 demo	Atk+10
	.dh 0x00CD :: .db 0x0B,0x39,0x30,0x9E,0x04,0x01,0xE5		// 2012 demo	Atk+30
	.dh 0x003F :: .db 0x0B,0x47,0x12,0x33,0x27,0x02,0xE5		// Spikeman	AirHoc1
	.dh 0x0040 :: .db 0x0B,0x47,0x12,0x33,0x27,0x03,0xE5		// Spikeman	AirHoc2
	.dh 0x0041 :: .db 0x0B,0x47,0x12,0x33,0x27,0x04,0xE5		// Spikeman	AirHoc3
	.dh 0x0004 :: .db 0x0B,0x47,0x1D,0x2C,0x33,0x38,0xE5		// Spikeman	AirShot
	.dh 0x0000
@@chip_0C:
	.dh 0x0038 :: .db 0x0C,0x0B,0x0C,0x26,0x58,0x82,0x2B,0xE5	// Japanese	イアイフォーム
	.dh 0x0175 :: .db 0x0C,0x25,0x27,0x2C,0x2D,0xE5			// Spikeman	Bachi
	.dh 0x011B :: .db 0x0C,0x25,0x30,0x30,0x17,0x33,0x28,0x29,0xE5	// Spikeman	BallMode
	.dh 0x002C :: .db 0x0C,0x25,0x30,0x30,0xE5			// Spikeman	Ball
	.dh 0x0132 :: .db 0x0C,0x25,0x37,0x37,0x19,0x32,0x30,0x3D,0xE5	// Spikeman	BassOnly
	.dh 0x012D :: .db 0x0C,0x25,0x37,0x37,0xE5			// Spikeman	Bass
	.dh 0x011B :: .db 0x0C,0x26,0x31,0x31,0x17,0x34,0x29,0x2A,0xE5	// 2012 demo	BallMode
	.dh 0x0088 :: .db 0x0C,0x26,0x37,0x37,0x02,0x01,0x01,0xE5	// 2012 demo	Barr100
	.dh 0x0089 :: .db 0x0C,0x26,0x37,0x37,0x03,0x01,0x01,0xE5	// 2012 demo	Barr200
	.dh 0x0087 :: .db 0x0C,0x26,0x37,0x37,0x2E,0x2A,0x37,0xE5	// 2012 demo	Barrier
	.dh 0x0132 :: .db 0x0C,0x26,0x38,0x38,0x0B,0x33,0x31,0x3E,0xE5	// 2012 demo	BassAnly
	.dh 0x012D :: .db 0x0C,0x26,0x38,0x38,0xE5			// 2012 demo	Bass
	.dh 0x0180 :: .db 0x0C,0x29,0x25,0x38,0xE5			// Spikeman	Beat
	.dh 0x0180 :: .db 0x0C,0x2A,0x26,0x39,0xE5			// 2012 demo	Beat
	.dh 0x0068 :: .db 0x0C,0x2D,0x2B,0x12,0x25,0x31,0x36,0x02,0xE5	// Spikeman	BigHamr1
	.dh 0x0069 :: .db 0x0C,0x2D,0x2B,0x12,0x25,0x31,0x36,0x03,0xE5	// Spikeman	BigHamr2
	.dh 0x006A :: .db 0x0C,0x2D,0x2B,0x12,0x25,0x31,0x36,0x04,0xE5	// Spikeman	BigHamr3
	.dh 0x0068 :: .db 0x0C,0x2E,0x2C,0x12,0x26,0x32,0x37,0x02,0xE5	// 2012 demo	BigHamr1
	.dh 0x0069 :: .db 0x0C,0x2E,0x2C,0x12,0x26,0x32,0x37,0x03,0xE5	// 2012 demo	BigHamr2
	.dh 0x006A :: .db 0x0C,0x2E,0x2C,0x12,0x26,0x32,0x37,0x04,0xE5	// 2012 demo	BigHamr3
	.dh 0x0026 :: .db 0x0C,0x2E,0x33,0x29,0x2A,0x37,0x02,0xE5	// 2012 demo	Binder1
	.dh 0x0027 :: .db 0x0C,0x2E,0x33,0x29,0x2A,0x37,0x03,0xE5	// 2012 demo	Binder2
	.dh 0x0028 :: .db 0x0C,0x2E,0x33,0x29,0x2A,0x37,0x04,0xE5	// 2012 demo	Binder3
	.dh 0x0134 :: .db 0x0C,0x30,0x25,0x2F,0x0C,0x42,0x36,0xE5	// Spikeman	BlakBarr
	.dh 0x00D6 :: .db 0x0C,0x30,0x25,0x2F,0x21,0x43,0x2B,0xE5	// Spikeman	BlakWing
	.dh 0x0005 :: .db 0x0C,0x30,0x2D,0x3E,0x3E,0x42,0x28,0xE5	// Spikeman	Blizzard
	.dh 0x0121 :: .db 0x0C,0x30,0x2F,0x21,0x29,0x34,0x33,0x32,0xE5	// Spikeman	BlkWepon
	.dh 0x002E :: .db 0x0C,0x30,0x2F,0x40,0x45,0xE5			// Spikeman	BlkBomb
	.dh 0x0135 :: .db 0x0C,0x30,0x39,0x29,0x17,0x33,0x33,0x32,0xE5	// Spikeman	BlueMoon
	.dh 0x0081 :: .db 0x0C,0x30,0x43,0x28,0x41,0xE5			// Spikeman	Blinder
	.dh 0x0134 :: .db 0x0C,0x31,0x26,0x30,0x0C,0x26,0x37,0x37,0xE5	// 2012 demo	BlakBarr
	.dh 0x0121 :: .db 0x0C,0x31,0x26,0x30,0x21,0x2A,0x26,0x35,0xE5	// 2012 demo	BlakWeap
	.dh 0x00D6 :: .db 0x0C,0x31,0x26,0x30,0x21,0x2E,0x33,0x2C,0xE5	// 2012 demo	BlakWing
	.dh 0x0081 :: .db 0x0C,0x31,0x2E,0x33,0x29,0x2A,0x37,0xE5	// 2012 demo	Blinder
	.dh 0x0005 :: .db 0x0C,0x31,0x2E,0x3F,0x3F,0x26,0x37,0x29,0xE5	// 2012 demo	Blizzard
	.dh 0x002E :: .db 0x0C,0x31,0x30,0x0C,0x34,0x32,0x27,0xE5	// 2012 demo	BlkBomb
	.dh 0x0135 :: .db 0x0C,0x31,0x3A,0x2A,0x17,0x34,0x34,0x33,0xE5	// 2012 demo	BlueMoon
	.dh 0x015C :: .db 0x0C,0x34,0x29,0x3E,0x11,0x37,0x29,0xE5	// 2012 demo	BodyGrd
	.dh 0x004B :: .db 0x0C,0x34,0x34,0x32,0x2A,0x37,0x02,0xE5	// 2012 demo	Boomer1
	.dh 0x004C :: .db 0x0C,0x34,0x34,0x32,0x2A,0x37,0x03,0xE5	// 2012 demo	Boomer2
	.dh 0x004D :: .db 0x0C,0x34,0x34,0x32,0x2A,0x37,0x04,0xE5	// 2012 demo	Boomer3
	.dh 0x0055 :: .db 0x0C,0x34,0x3E,0x0C,0x34,0x32,0x27,0x02,0xE5	// 2012 demo	BoyBomb1
	.dh 0x0056 :: .db 0x0C,0x34,0x3E,0x0C,0x34,0x32,0x27,0x03,0xE5	// 2012 demo	BoyBomb2
	.dh 0x0057 :: .db 0x0C,0x34,0x3E,0x0C,0x34,0x32,0x27,0x04,0xE5	// 2012 demo	BoyBomb3
	.dh 0x0188 :: .db 0x0C,0x34,0x3E,0x0C,0x34,0x32,0x27,0xE5	// 2012 demo	BoyBomb
	.dh 0x0185 :: .db 0x0C,0x36,0x02,0xE5				// Japanese	イワ1
	.dh 0x0186 :: .db 0x0C,0x36,0x03,0xE5				// Japanese	イワ2
	.dh 0x014F :: .db 0x0C,0x38,0x39,0x10,0x26,0x33,0x2C,0x02,0xE5	// 2012 demo	BstFang1
	.dh 0x0150 :: .db 0x0C,0x38,0x39,0x10,0x26,0x33,0x2C,0x03,0xE5	// 2012 demo	BstFang2
	.dh 0x0151 :: .db 0x0C,0x38,0x39,0x10,0x26,0x33,0x2C,0x04,0xE5	// 2012 demo	BstFang3
	.dh 0x0018 :: .db 0x0C,0x39,0x26,0x1D,0x2D,0x28,0x29,0xE5	// Spikeman	BubSide
	.dh 0x0016 :: .db 0x0C,0x39,0x26,0x26,0x30,0x41,0xE5		// Spikeman	Bubbler
	.dh 0x0142 :: .db 0x0C,0x39,0x26,0x30,0x1D,0x34,0x36,0x28,0xE5	// Spikeman	BublSprd
	.dh 0x0017 :: .db 0x0C,0x39,0x26,0x82,0x20,0xE5			// Spikeman	Bub-V
	.dh 0x00D3 :: .db 0x0C,0x39,0x2B,0x0D,0x2C,0x25,0x43,0xE5	// Spikeman	BugChain
	.dh 0x0136 :: .db 0x0C,0x39,0x2B,0x0D,0x2C,0x42,0x2B,0xE5	// Spikeman	BugCharg
	.dh 0x012F :: .db 0x0C,0x39,0x2B,0x0D,0x39,0x36,0x37,0x29,0xE5	// Spikeman	BugCurse
	.dh 0x00CE :: .db 0x0C,0x39,0x2B,0x10,0x2D,0x3C,0xE5		// Spikeman	BugFix
	.dh 0x0029 :: .db 0x0C,0x39,0x2B,0x40,0x45,0xE5			// Spikeman	BugBomb
	.dh 0x0108 :: .db 0x0C,0x39,0x36,0x32,0x17,0x3F,0x76,0xE5	// Spikeman	BurnManSP
	.dh 0x0109 :: .db 0x0C,0x39,0x36,0x32,0x17,0x3F,0x77,0xE5	// Spikeman	BurnManDS
	.dh 0x0107 :: .db 0x0C,0x39,0x36,0x32,0x17,0x3F,0xE5		// Spikeman	BurnMan
	.dh 0x0142 :: .db 0x0C,0x3A,0x27,0x1D,0x35,0x37,0x29,0xE5	// 2012 demo	BubSprd
	.dh 0x0016 :: .db 0x0C,0x3A,0x27,0x27,0x31,0x2A,0x37,0xE5	// 2012 demo	Bubbler
	.dh 0x0018 :: .db 0x0C,0x3A,0x27,0x31,0x1D,0x2E,0x29,0x2A,0xE5	// 2012 demo	BublSide
	.dh 0x0017 :: .db 0x0C,0x3A,0x27,0x49,0x20,0xE5			// English	Bub-V
	.dh 0x0017 :: .db 0x0C,0x3A,0x27,0x98,0x20,0xE5			// 2012 demo	Bub-V
	.dh 0x0029 :: .db 0x0C,0x3A,0x2C,0x0C,0x34,0x32,0x27,0xE5	// 2012 demo	BugBomb
	.dh 0x00D3 :: .db 0x0C,0x3A,0x2C,0x0D,0x2D,0x26,0x2E,0x33,0xE5	// 2012 demo	BugChain
	.dh 0x0136 :: .db 0x0C,0x3A,0x2C,0x0D,0x2D,0x26,0x37,0x2C,0xE5	// 2012 demo	BugCharg
	.dh 0x012F :: .db 0x0C,0x3A,0x2C,0x0D,0x3A,0x37,0x38,0x2A,0xE5	// 2012 demo	BugCurse
	.dh 0x00CE :: .db 0x0C,0x3A,0x2C,0x10,0x2E,0x3D,0xE5		// 2012 demo	BugFix
	.dh 0x0108 :: .db 0x0C,0x3A,0x37,0x33,0x17,0x26,0x33,0x43,0xE5	// 2012 demo	BurnManSP
	.dh 0x0109 :: .db 0x0C,0x3A,0x37,0x33,0x17,0x26,0x33,0x44,0xE5	// 2012 demo	BurnManDS
	.dh 0x0107 :: .db 0x0C,0x3A,0x37,0x33,0x17,0x26,0x33,0xE5	// 2012 demo	BurnMan
	.dh 0x0108 :: .db 0x0C,0x3A,0x37,0x33,0x37,0x17,0x33,0x43,0xE5	// English	BurnrManSP
	.dh 0x0108 :: .db 0x0C,0x3A,0x37,0x33,0x37,0x17,0x33,0x44,0xE5	// English	BurnrManDS
	.dh 0x0107 :: .db 0x0C,0x3A,0x37,0x33,0x37,0x17,0x26,0x33,0xE5	// English	BurnrMan
	.dh 0x0085 :: .db 0x0C,0x3A,0x4B,0x41,0x4C,0x33,0xE5		// Japanese	インビジブル
	.dh 0x0088 :: .db 0x0C,0x42,0x36,0x02,0x01,0x01,0xE5		// Spikeman	Barr100
	.dh 0x0089 :: .db 0x0C,0x42,0x36,0x03,0x01,0x01,0xE5		// Spikeman	Barr200
	.dh 0x0087 :: .db 0x0C,0x42,0x36,0x2D,0x41,0xE5			// Spikeman	Barrier
	.dh 0x0026 :: .db 0x0C,0x43,0x28,0x41,0x02,0xE5			// Spikeman	Binder1
	.dh 0x0027 :: .db 0x0C,0x43,0x28,0x41,0x03,0xE5			// Spikeman	Binder2
	.dh 0x0028 :: .db 0x0C,0x43,0x28,0x41,0x04,0xE5			// Spikeman	Binder3
	.dh 0x0000
@@chip_0D:
	.dh 0x00E5 :: .db 0x0D,0x0C,0x3A,0x49,0x29,0x3A,0x61,0x70,0xE5	// Japanese	ウインドマンDS
	.dh 0x00E4 :: .db 0x0D,0x0C,0x3A,0x49,0x29,0x3A,0x70,0x6D,0xE5	// Japanese	ウインドマンSP
	.dh 0x00E3 :: .db 0x0D,0x0C,0x3A,0x49,0x29,0x3A,0xE5		// Japanese	ウインドマン
	.dh 0x002C :: .db 0x0D,0x26,0x33,0x33,0x0C,0x26,0x31,0x31,0xE5	// 2012 demo	CannBall
	.dh 0x011A :: .db 0x0D,0x26,0x33,0x33,0x17,0x34,0x29,0x2A,0xE5	// 2012 demo	CannMode
	.dh 0x0001 :: .db 0x0D,0x26,0x33,0x33,0x34,0x33,0xE5		// 2012 demo	Cannon
	.dh 0x0042 :: .db 0x0D,0x2E,0x37,0x28,0x11,0x3A,0x33,0x02,0xE5	// 2012 demo	CircGun1
	.dh 0x0043 :: .db 0x0D,0x2E,0x37,0x28,0x11,0x3A,0x33,0x03,0xE5	// 2012 demo	CircGun2
	.dh 0x0044 :: .db 0x0D,0x2E,0x37,0x28,0x11,0x3A,0x33,0x04,0xE5	// 2012 demo	CircGun3
	.dh 0x0094 :: .db 0x0D,0x33,0x34,0x3D,0x0E,0x31,0x2B,0xE5	// Spikeman	CopyDmg
	.dh 0x003C :: .db 0x0D,0x33,0x44,0x38,0x41,0x02,0xE5		// Spikeman	Counter1
	.dh 0x003D :: .db 0x0D,0x33,0x44,0x38,0x41,0x03,0xE5		// Spikeman	Counter2
	.dh 0x003E :: .db 0x0D,0x33,0x44,0x38,0x41,0x04,0xE5		// Spikeman	Counter3
	.dh 0x010B :: .db 0x0D,0x34,0x31,0x29,0x17,0x26,0x33,0x43,0xE5	// 2012 demo	ColdManSP
	.dh 0x010C :: .db 0x0D,0x34,0x31,0x29,0x17,0x26,0x33,0x44,0xE5	// 2012 demo	ColdManDS
	.dh 0x010A :: .db 0x0D,0x34,0x31,0x29,0x17,0x26,0x33,0xE5	// 2012 demo	ColdMan
	.dh 0x007F :: .db 0x0D,0x34,0x31,0x34,0x37,0x1A,0x39,0xE5	// 2012 demo	ColorPt
	.dh 0x0094 :: .db 0x0D,0x34,0x35,0x3E,0x0E,0x32,0x2C,0xE5	// 2012 demo	CopyDmg
	.dh 0x003C :: .db 0x0D,0x34,0x3A,0x33,0x39,0x2A,0x37,0x02,0xE5	// 2012 demo	Counter1
	.dh 0x003D :: .db 0x0D,0x34,0x3A,0x33,0x39,0x2A,0x37,0x03,0xE5	// 2012 demo	Counter2
	.dh 0x003E :: .db 0x0D,0x34,0x3A,0x33,0x39,0x2A,0x37,0x04,0xE5	// 2012 demo	Counter3
	.dh 0x005B :: .db 0x0D,0x36,0x25,0x2F,0x19,0x39,0x38,0xE5	// Spikeman	CrakOut
	.dh 0x0176 :: .db 0x0D,0x36,0x37,0x1D,0x3B,0x28,0xE5		// Spikeman	CrsSwd
	.dh 0x005B :: .db 0x0D,0x37,0x26,0x30,0x19,0x3A,0x39,0xE5	// 2012 demo	CrakOut
	.dh 0x0176 :: .db 0x0D,0x37,0x34,0x38,0x1D,0x3C,0x37,0x29,0xE5	// 2012 demo	CrosSwrd
	.dh 0x0036 :: .db 0x0D,0x39,0x37,0x38,0x1D,0x3B,0x36,0x28,0xE5	// Spikeman	CustSwrd
	.dh 0x0174 :: .db 0x0D,0x3A,0x37,0x38,0x2A,0xE5			// 2012 demo	Curse
	.dh 0x0036 :: .db 0x0D,0x3A,0x38,0x39,0x1D,0x3C,0x37,0x29,0xE5	// 2012 demo	CustSwrd
	.dh 0x011A :: .db 0x0D,0x3F,0x32,0x17,0x33,0x28,0x29,0xE5	// Spikeman	CannMode
	.dh 0x0001 :: .db 0x0D,0x3F,0x32,0x33,0x32,0xE5			// Spikeman	Cannon
	.dh 0x010B :: .db 0x0D,0x46,0x28,0x17,0x3F,0x76,0xE5		// Spikeman	ColdManSP
	.dh 0x010C :: .db 0x0D,0x46,0x28,0x17,0x3F,0x77,0xE5		// Spikeman	ColdManDS
	.dh 0x010A :: .db 0x0D,0x46,0x28,0x17,0x3F,0xE5			// Spikeman	ColdMan
	.dh 0x007F :: .db 0x0D,0x46,0x33,0x36,0x1A,0x38,0xE5		// Spikeman	ColorPt
	.dh 0x0042 :: .db 0x0D,0x47,0x27,0x11,0x44,0x02,0xE5		// Spikeman	CircGun1
	.dh 0x0043 :: .db 0x0D,0x47,0x27,0x11,0x44,0x03,0xE5		// Spikeman	CircGun2
	.dh 0x0044 :: .db 0x0D,0x47,0x27,0x11,0x44,0x04,0xE5		// Spikeman	CircGun3
	.dh 0x002B :: .db 0x0D,0x59,0x48,0x55,0x4F,0x0D,0x45,0x82,0xE5	// Japanese	ウッディパウダー
	.dh 0x0100 :: .db 0x0D,0x59,0x49,0x29,0x3A,0x61,0x70,0xE5	// Japanese	ウッドマンDS
	.dh 0x00FF :: .db 0x0D,0x59,0x49,0x29,0x3A,0x70,0x6D,0xE5	// Japanese	ウッドマンSP
	.dh 0x00FE :: .db 0x0D,0x59,0x49,0x29,0x3A,0xE5			// Japanese	ウッドマン
	.dh 0x0120 :: .db 0x0D,0x59,0x49,0x4F,0x36,0x82,0xE5		// Japanese	ウッドパワー
	.dh 0x0000
@@chip_0E:
	.dh 0x0004 :: .db 0x0E,0x0B,0x16,0x5B,0x82,0x1E,0xE5		// Japanese	エアシュート
	.dh 0x003F :: .db 0x0E,0x0B,0x28,0x59,0x13,0x82,0x02,0xE5	// Japanese	エアホッケー1
	.dh 0x0040 :: .db 0x0E,0x0B,0x28,0x59,0x13,0x82,0x03,0xE5	// Japanese	エアホッケー2
	.dh 0x0041 :: .db 0x0E,0x0B,0x28,0x59,0x13,0x82,0x04,0xE5	// Japanese	エアホッケー3
	.dh 0x001E :: .db 0x0E,0x1F,0x41,0x82,0x4E,0x2B,0xE5		// Japanese	エナジーボム
	.dh 0x00CF :: .db 0x0E,0x26,0x30,0x1A,0x33,0x43,0x38,0xE5	// Spikeman	DblPoint
	.dh 0x00BD :: .db 0x0E,0x26,0x37,0x30,0x0C,0x34,0x32,0x27,0xE5	// 2012 demo	DarkBomb
	.dh 0x0170 :: .db 0x0E,0x26,0x37,0x30,0x16,0x26,0x38,0x2A,0xE5	// 2012 demo	DarkLase
	.dh 0x0140 :: .db 0x0E,0x26,0x37,0x30,0x18,0x2A,0x34,0xE5	// 2012 demo	DarkNeo
	.dh 0x0178 :: .db 0x0E,0x27,0x31,0x0E,0x37,0x2A,0x26,0x32,0xE5	// 2012 demo	DblDream
	.dh 0x00CF :: .db 0x0E,0x27,0x31,0x1A,0x34,0x2E,0x33,0x39,0xE5	// 2012 demo	DblPoint
	.dh 0x012E :: .db 0x0E,0x29,0x30,0x38,0x25,0x1C,0x25,0x3D,0xE5	// Spikeman	DeltaRay
	.dh 0x012E :: .db 0x0E,0x2A,0x31,0x39,0x26,0x1C,0x26,0x3E,0xE5	// 2012 demo	DeltaRay
	.dh 0x0065 :: .db 0x0E,0x2D,0x37,0x27,0x33,0x36,0x28,0xE5	// Spikeman	Discord
	.dh 0x0065 :: .db 0x0E,0x2E,0x38,0x28,0x34,0x37,0x29,0xE5	// 2012 demo	Discord
	.dh 0x0075 :: .db 0x0E,0x32,0x0B,0x17,0x1B,0x82,0x33,0xE5	// Japanese	エリアスチール
	.dh 0x002A :: .db 0x0E,0x34,0x11,0x16,0x5C,0x59,0x12,0xE5	// Japanese	エレキショック
	.dh 0x001A :: .db 0x0E,0x34,0x2C,0x3A,0x1E,0x0B,0x0C,0x17,0xE5	// Japanese	エレメントアイス
	.dh 0x0080 :: .db 0x0E,0x34,0x2C,0x3A,0x1E,0x15,0x3A,0x49,0xE5	// Japanese	エレメントサンド
	.dh 0x0019 :: .db 0x0E,0x34,0x2C,0x3A,0x1E,0x26,0x34,0x0B,0xE5	// Japanese	エレメントフレア
	.dh 0x007E :: .db 0x0E,0x34,0x2C,0x3A,0x1E,0x32,0x82,0x26,0xE5	// Japanese	エレメントリーフ
	.dh 0x00D5 :: .db 0x0E,0x34,0x2C,0x3A,0x1E,0x45,0x82,0x12,0xE5	// Japanese	エレメントダーク
	.dh 0x0170 :: .db 0x0E,0x36,0x2F,0x16,0x25,0x37,0x36,0xE5	// Spikeman	DrkLasr
	.dh 0x00BF :: .db 0x0E,0x36,0x2F,0x16,0x3F,0x27,0x29,0xE5	// Spikeman	DrkLance
	.dh 0x00D8 :: .db 0x0E,0x36,0x2F,0x16,0x43,0x29,0xE5		// Spikeman	DrkLine
	.dh 0x0140 :: .db 0x0E,0x36,0x2F,0x17,0x29,0x37,0x2D,0x25,0xE5	// Spikeman	DrkMesia
	.dh 0x00C2 :: .db 0x0E,0x36,0x2F,0x1C,0x29,0x27,0x33,0x3A,0xE5	// Spikeman	DrkRecov
	.dh 0x0158 :: .db 0x0E,0x36,0x31,0x1D,0x3B,0x36,0x28,0xE5	// Spikeman	DrmSwrd
	.dh 0x00BB :: .db 0x0E,0x37,0x30,0x0D,0x26,0x33,0x34,0x33,0xE5	// 2012 demo	DrkCanon
	.dh 0x0052 :: .db 0x0E,0x37,0x30,0x12,0x34,0x31,0x2A,0xE5	// 2012 demo	DrkHole
	.dh 0x00BF :: .db 0x0E,0x37,0x30,0x16,0x26,0x33,0x28,0x2A,0xE5	// 2012 demo	DrkLance
	.dh 0x00D8 :: .db 0x0E,0x37,0x30,0x16,0x2E,0x33,0x2A,0xE5	// 2012 demo	DrkLine
	.dh 0x00C2 :: .db 0x0E,0x37,0x30,0x1C,0x2A,0x28,0x34,0x3B,0xE5	// 2012 demo	DrkRecov
	.dh 0x00C0 :: .db 0x0E,0x37,0x30,0x1D,0x35,0x37,0x2A,0x29,0xE5	// 2012 demo	DrkSpred
	.dh 0x00C1 :: .db 0x0E,0x37,0x30,0x1D,0x39,0x26,0x2C,0x2A,0xE5	// 2012 demo	DrkStage
	.dh 0x00BC :: .db 0x0E,0x37,0x30,0x1D,0x3C,0x34,0x37,0x29,0xE5	// 2012 demo	DrkSword
	.dh 0x00BE :: .db 0x0E,0x37,0x30,0x20,0x3A,0x31,0x28,0x33,0xE5	// 2012 demo	DrkVulcn
	.dh 0x005C :: .db 0x0E,0x39,0x26,0x30,0x0D,0x36,0x25,0x2F,0xE5	// Spikeman	DublCrak
	.dh 0x0178 :: .db 0x0E,0x39,0x26,0x30,0x0E,0x36,0x31,0xE5	// Spikeman	DublDrm
	.dh 0x005C :: .db 0x0E,0x3A,0x27,0x31,0x0D,0x37,0x26,0x30,0xE5	// 2012 demo	DublCrak
	.dh 0x00BB :: .db 0x0E,0x42,0x2F,0x0D,0x3F,0x32,0xE5		// Spikeman	DarkCann
	.dh 0x00C0 :: .db 0x0E,0x42,0x2F,0x1D,0x34,0x36,0x28,0xE5	// Spikeman	DarkSprd
	.dh 0x00C1 :: .db 0x0E,0x42,0x2F,0x1D,0x38,0x2B,0xE5		// Spikeman	DarkStg
	.dh 0x00BC :: .db 0x0E,0x42,0x2F,0x1D,0x3B,0x36,0x28,0xE5	// Spikeman	DarkSwrd
	.dh 0x00BE :: .db 0x0E,0x42,0x2F,0x20,0x39,0x30,0x27,0xE5	// Spikeman	DarkVulc
	.dh 0x00BD :: .db 0x0E,0x42,0x2F,0x40,0x45,0xE5			// Spikeman	DarkBomb
	.dh 0x0000
@@chip_0F:
	.dh 0x0064 :: .db 0x0F,0x0D,0x0E,0x3A,0x10,0xE5			// Japanese	オウエンカ
	.dh 0x011E :: .db 0x0F,0x30,0x29,0x27,0x1A,0x30,0x39,0x37,0xE5	// Spikeman	ElecPlus
	.dh 0x002A :: .db 0x0F,0x30,0x29,0x27,0x1D,0x2C,0x33,0x2F,0xE5	// Spikeman	ElecShok
	.dh 0x00D5 :: .db 0x0F,0x30,0x29,0x31,0x0E,0x42,0x2F,0xE5	// Spikeman	ElemDark
	.dh 0x0019 :: .db 0x0F,0x30,0x29,0x31,0x10,0x30,0x42,0xE5	// Spikeman	ElemFlar
	.dh 0x001A :: .db 0x0F,0x30,0x29,0x31,0x13,0x27,0x29,0xE5	// Spikeman	ElemIce
	.dh 0x007E :: .db 0x0F,0x30,0x29,0x31,0x16,0x29,0x25,0x2A,0xE5	// Spikeman	ElemLeaf
	.dh 0x0080 :: .db 0x0F,0x30,0x29,0x31,0x1D,0x3F,0x28,0xE5	// Spikeman	ElemSand
	.dh 0x002A :: .db 0x0F,0x31,0x2A,0x28,0x1D,0x2D,0x34,0x30,0xE5	// 2012 demo	ElecShok
	.dh 0x00D5 :: .db 0x0F,0x31,0x2A,0x32,0x0E,0x26,0x37,0x30,0xE5	// 2012 demo	ElemDark
	.dh 0x0019 :: .db 0x0F,0x31,0x2A,0x32,0x10,0x31,0x26,0x37,0xE5	// 2012 demo	ElemFlar
	.dh 0x001A :: .db 0x0F,0x31,0x2A,0x32,0x13,0x28,0x2A,0xE5	// 2012 demo	ElemIce
	.dh 0x007E :: .db 0x0F,0x31,0x2A,0x32,0x16,0x2A,0x26,0x2B,0xE5	// 2012 demo	ElemLeaf
	.dh 0x0080 :: .db 0x0F,0x31,0x2A,0x32,0x1D,0x26,0x33,0x29,0xE5	// 2012 demo	ElemSand
	.dh 0x001E :: .db 0x0F,0x33,0x2A,0x37,0x2C,0x0C,0x34,0x32,0xE5	// 2012 demo	EnergBom
	.dh 0x001E :: .db 0x0F,0x32,0x41,0x2B,0x40,0x31,0xE5		// Spikeman	EnergBom
	.dh 0x00CB :: .db 0x0F,0x41,0x44,0x0D,0x15,0x3A,0xE5		// Japanese	オジゾウサン
	.dh 0x0000
@@chip_10:
	.dh 0x003C :: .db 0x10,0x0D,0x3A,0x1A,0x82,0x02,0xE5		// Japanese	カウンター1
	.dh 0x003D :: .db 0x10,0x0D,0x3A,0x1A,0x82,0x03,0xE5		// Japanese	カウンター2
	.dh 0x003E :: .db 0x10,0x0D,0x3A,0x1A,0x82,0x04,0xE5		// Japanese	カウンター3
	.dh 0x0061 :: .db 0x10,0x0D,0x3A,0x1E,0x4E,0x2B,0xE5		// Japanese	カウントボム
	.dh 0x017B :: .db 0x10,0x10,0x32,0x3E,0x0C,0x14,0xE5		// Japanese	カカリゲイコ
	.dh 0x008C :: .db 0x10,0x11,0x3E,0x3A,0x11,0x3A,0xE5		// Japanese	カキゲンキン
	.dh 0x0036 :: .db 0x10,0x17,0x1A,0x2B,0x19,0x82,0x49,0xE5	// Japanese	カスタムソード
	.dh 0x0064 :: .db 0x10,0x26,0x33,0x2B,0x26,0x37,0x2A,0xE5	// 2012 demo	Fanfare
	.dh 0x0054 :: .db 0x10,0x26,0x33,0xE5				// 2012 demo	Fan
	.dh 0x0179 :: .db 0x10,0x26,0x38,0x39,0x10,0x3C,0x29,0xE5	// 2012 demo	FastFwd
	.dh 0x0060 :: .db 0x10,0x2D,0x3A,0x17,0x22,0x82,0x12,0xE5	// Japanese	カモンスネーク
	.dh 0x0122 :: .db 0x10,0x2E,0x33,0x26,0x31,0x11,0x3A,0x33,0xE5	// 2012 demo	FinalGun
	.dh 0x0182 :: .db 0x10,0x2E,0x33,0x26,0x31,0x11,0x3A,0x33,0xE5	// 2012 demo	FinalGun
	.dh 0x00EA :: .db 0x10,0x2E,0x37,0x2A,0x17,0x26,0x33,0x43,0xE5	// 2012 demo	FireManSP
	.dh 0x00EB :: .db 0x10,0x2E,0x37,0x2A,0x17,0x26,0x33,0x44,0xE5	// 2012 demo	FireManDS
	.dh 0x00E9 :: .db 0x10,0x2E,0x37,0x2A,0x17,0x26,0x33,0xE5	// 2012 demo	FireMan
	.dh 0x011D :: .db 0x10,0x2E,0x37,0x2A,0x1A,0x31,0x3A,0x38,0xE5	// 2012 demo	FirePlus
	.dh 0x0149 :: .db 0x10,0x30,0x31,0x0D,0x36,0x33,0x37,0x02,0xE5	// Spikeman	FlmCros1
	.dh 0x014A :: .db 0x10,0x30,0x31,0x0D,0x36,0x33,0x37,0x03,0xE5	// Spikeman	FlmCros2
	.dh 0x014B :: .db 0x10,0x30,0x31,0x0D,0x36,0x33,0x37,0x04,0xE5	// Spikeman	FlmCros3
	.dh 0x000C :: .db 0x10,0x30,0x31,0x16,0x43,0x29,0x02,0xE5	// Spikeman	FlmLine1
	.dh 0x000D :: .db 0x10,0x30,0x31,0x16,0x43,0x29,0x03,0xE5	// Spikeman	FlmLine2
	.dh 0x000E :: .db 0x10,0x30,0x31,0x16,0x43,0x29,0x04,0xE5	// Spikeman	FlmLine3
	.dh 0x0149 :: .db 0x10,0x31,0x32,0x0D,0x37,0x34,0x38,0x02,0xE5	// 2012 demo	FlmCros1
	.dh 0x014A :: .db 0x10,0x31,0x32,0x0D,0x37,0x34,0x38,0x03,0xE5	// 2012 demo	FlmCros2
	.dh 0x014B :: .db 0x10,0x31,0x32,0x0D,0x37,0x34,0x38,0x04,0xE5	// 2012 demo	FlmCros3
	.dh 0x000C :: .db 0x10,0x31,0x32,0x16,0x2E,0x33,0x2A,0x02,0xE5	// 2012 demo	FlmLine1
	.dh 0x000D :: .db 0x10,0x31,0x32,0x16,0x2E,0x33,0x2A,0x03,0xE5	// 2012 demo	FlmLine2
	.dh 0x000E :: .db 0x10,0x31,0x32,0x16,0x2E,0x33,0x2A,0x04,0xE5	// 2012 demo	FlmLine
	.dh 0x007F :: .db 0x10,0x31,0x82,0x53,0x0C,0x3A,0x1E,0xE5	// Japanese	カラーポイント
	.dh 0x0091 :: .db 0x10,0x36,0x32,0x2A,0xE5			// Japanese	カワリミ3
	.dh 0x0079 :: .db 0x10,0x37,0x38,0x11,0x25,0x39,0x2B,0x29,0xE5	// Spikeman	FstGauge
	.dh 0x0172 :: .db 0x10,0x38,0x36,0x1D,0x3B,0x33,0x36,0x28,0xE5	// Spikeman	FtrSword
	.dh 0x0079 :: .db 0x10,0x38,0x39,0x11,0x26,0x3A,0x2C,0x2A,0xE5	// 2012 demo	FstGauge
	.dh 0x00D1 :: .db 0x10,0x39,0x30,0x30,0x0D,0x39,0x37,0x38,0xE5	// Spikeman	FullCust
	.dh 0x0172 :: .db 0x10,0x39,0x37,0x1D,0x3C,0x34,0x37,0x29,0xE5	// 2012 demo	FtrSword
	.dh 0x002D :: .db 0x10,0x3A,0x13,0x1C,0x18,0x3A,0xE5		// Japanese	カンケツセン
	.dh 0x00D1 :: .db 0x10,0x3A,0x31,0x31,0x0D,0x3A,0x38,0x39,0xE5	// 2012 demo	FullCust
	.dh 0x0064 :: .db 0x10,0x3F,0x2A,0x42,0x29,0xE5			// Spikeman	Fanfare
	.dh 0x0054 :: .db 0x10,0x3F,0xE5				// Spikeman	Fan
	.dh 0x0122 :: .db 0x10,0x43,0x25,0x30,0x11,0x44,0xE5		// Spikeman	FinalGun
	.dh 0x0182 :: .db 0x10,0x43,0x25,0x30,0x11,0x44,0xE5		// Spikeman	FinalGun
	.dh 0x00EA :: .db 0x10,0x47,0x29,0x17,0x3F,0x76,0xE5		// Spikeman	FireManSP
	.dh 0x00EB :: .db 0x10,0x47,0x29,0x17,0x3F,0x77,0xE5		// Spikeman	FireManDS
	.dh 0x00E9 :: .db 0x10,0x47,0x29,0x17,0x3F,0xE5			// Spikeman	FireMan
	.dh 0x011D :: .db 0x10,0x47,0x29,0x1A,0x30,0x39,0x37,0xE5	// Spikeman	FirePlus
	.dh 0x012F :: .db 0x10,0x82,0x17,0x0F,0x4C,0x4A,0x3D,0xE5	// Japanese	カースオブバグ
	.dh 0x0000
@@chip_11:
	.dh 0x007B :: .db 0x11,0x29,0x28,0x28,0x33,0x32,0x02,0xE5	// Spikeman	Geddon1
	.dh 0x007C :: .db 0x11,0x29,0x28,0x28,0x33,0x32,0x03,0xE5	// Spikeman	Geddon2
	.dh 0x007D :: .db 0x11,0x29,0x28,0x28,0x33,0x32,0x04,0xE5	// Spikeman	Geddon3
	.dh 0x002D :: .db 0x11,0x29,0x3D,0x37,0x41,0xE5			// Spikeman	Geyser
	.dh 0x017C :: .db 0x11,0x2A,0x26,0x37,0x0D,0x2D,0x33,0x2C,0xE5	// 2012 demo	GearChng
	.dh 0x007B :: .db 0x11,0x2A,0x29,0x29,0x34,0x33,0x02,0xE5	// 2012 demo	Geddon1
	.dh 0x007C :: .db 0x11,0x2A,0x29,0x29,0x34,0x33,0x03,0xE5	// 2012 demo	Geddon2
	.dh 0x007D :: .db 0x11,0x2A,0x29,0x29,0x34,0x33,0x04,0xE5	// 2012 demo	Geddon3
	.dh 0x002D :: .db 0x11,0x2A,0x3E,0x38,0x2A,0x37,0xE5		// 2012 demo	Geyser
	.dh 0x015A :: .db 0x11,0x2D,0x2B,0x1E,0x2D,0x31,0x0C,0x31,0xE5	// Spikeman	GigTimBm
	.dh 0x0143 :: .db 0x11,0x2D,0x2B,0x25,0x0D,0x3F,0x02,0xE5	// Spikeman	GigaCan1
	.dh 0x0144 :: .db 0x11,0x2D,0x2B,0x25,0x0D,0x3F,0x03,0xE5	// Spikeman	GigaCan2
	.dh 0x0145 :: .db 0x11,0x2D,0x2B,0x25,0x0D,0x3F,0x04,0xE5	// Spikeman	GigaCan3
	.dh 0x0143 :: .db 0x11,0x2E,0x2C,0x26,0x0D,0x26,0x33,0x02,0xE5	// 2012 demo	GigaCan1
	.dh 0x0144 :: .db 0x11,0x2E,0x2C,0x26,0x0D,0x26,0x33,0x03,0xE5	// 2012 demo	GigaCan2
	.dh 0x0145 :: .db 0x11,0x2E,0x2C,0x26,0x0D,0x26,0x33,0x04,0xE5	// 2012 demo	GigaCan3
	.dh 0x00D7 :: .db 0x11,0x33,0x28,0x12,0x25,0x31,0x31,0x36,0xE5	// Spikeman	GodHammr
	.dh 0x00D7 :: .db 0x11,0x34,0x29,0x12,0x26,0x32,0x32,0x37,0xE5	// 2012 demo	GodHammr
	.dh 0x017C :: .db 0x11,0x36,0x0D,0x2C,0x32,0x2B,0xE5		// Spikeman	GrChng
	.dh 0x0077 :: .db 0x11,0x36,0x25,0x26,0x0C,0x32,0x37,0x2C,0xE5	// Spikeman	GrabBnsh
	.dh 0x0076 :: .db 0x11,0x36,0x25,0x26,0x1C,0x3A,0x32,0x2B,0xE5	// Spikeman	GrabRvng
	.dh 0x00B8 :: .db 0x11,0x36,0x29,0x29,0x32,0x21,0x28,0x02,0xE5	// Spikeman	GreenWd1
	.dh 0x00B9 :: .db 0x11,0x36,0x29,0x29,0x32,0x21,0x28,0x03,0xE5	// Spikeman	GreenWd2
	.dh 0x00BA :: .db 0x11,0x36,0x29,0x29,0x32,0x21,0x28,0x04,0xE5	// Spikeman	GreenWd3
	.dh 0x0077 :: .db 0x11,0x37,0x26,0x27,0x0C,0x33,0x38,0x2D,0xE5	// 2012 demo	GrabBnsh
	.dh 0x0076 :: .db 0x11,0x37,0x26,0x27,0x1C,0x3B,0x33,0x2C,0xE5	// 2012 demo	GrabRvng
	.dh 0x00B8 :: .db 0x11,0x37,0x2A,0x2A,0x33,0x21,0x29,0x02,0xE5	// 2012 demo	GreenWd1
	.dh 0x00B9 :: .db 0x11,0x37,0x2A,0x2A,0x33,0x21,0x29,0x03,0xE5	// 2012 demo	GreenWd2
	.dh 0x00BA :: .db 0x11,0x37,0x2A,0x2A,0x33,0x21,0x29,0x04,0xE5	// 2012 demo	GreenWd3
	.dh 0x0183 :: .db 0x11,0x38,0x37,0x17,0x27,0x2C,0x11,0x32,0xE5	// Spikeman	GtsMchGn
	.dh 0x009A :: .db 0x11,0x39,0x38,0x1A,0x32,0x27,0x2C,0x02,0xE5	// Spikeman	GutPnch1
	.dh 0x009B :: .db 0x11,0x39,0x38,0x1A,0x32,0x27,0x2C,0x03,0xE5	// Spikeman	GutPnch2
	.dh 0x009C :: .db 0x11,0x39,0x38,0x1A,0x32,0x27,0x2C,0x04,0xE5	// Spikeman	GutPnch3
	.dh 0x00E1 :: .db 0x11,0x39,0x38,0x37,0x17,0x3F,0x76,0xE5	// Spikeman	GutsManSP
	.dh 0x00E2 :: .db 0x11,0x39,0x38,0x37,0x17,0x3F,0x77,0xE5	// Spikeman	GutsManDS
	.dh 0x00E0 :: .db 0x11,0x39,0x38,0x37,0x17,0x3F,0xE5		// Spikeman	GutsMan
	.dh 0x0058 :: .db 0x11,0x39,0x42,0x28,0x02,0xE5			// Spikeman	Guard1
	.dh 0x0059 :: .db 0x11,0x39,0x42,0x28,0x03,0xE5			// Spikeman	Guard2
	.dh 0x005A :: .db 0x11,0x39,0x42,0x28,0x04,0xE5			// Spikeman	Guard3
	.dh 0x00CB :: .db 0x11,0x39,0x42,0x28,0x2D,0x3F,0xE5		// Spikeman	Guardian
	.dh 0x0058 :: .db 0x11,0x3A,0x26,0x37,0x29,0x02,0xE5		// 2012 demo	Guard1
	.dh 0x0059 :: .db 0x11,0x3A,0x26,0x37,0x29,0x03,0xE5		// 2012 demo	Guard2
	.dh 0x005A :: .db 0x11,0x3A,0x26,0x37,0x29,0x04,0xE5		// 2012 demo	Guard3
	.dh 0x00CB :: .db 0x11,0x3A,0x26,0x37,0x29,0x2E,0x26,0x33,0xE5	// 2012 demo	Guardian
	.dh 0x00DB :: .db 0x11,0x3A,0x33,0x0E,0x2A,0x31,0x0F,0x22,0xE5	// 2012 demo	GunDelEX
	.dh 0x0020 :: .db 0x11,0x3A,0x33,0x0E,0x2A,0x31,0x1D,0x02,0xE5	// 2012 demo	GunDelS1
	.dh 0x0021 :: .db 0x11,0x3A,0x33,0x0E,0x2A,0x31,0x1D,0x03,0xE5	// 2012 demo	GunDelS2
	.dh 0x0022 :: .db 0x11,0x3A,0x33,0x0E,0x2A,0x31,0x1D,0x04,0xE5	// 2012 demo	GunDelS3
	.dh 0x009A :: .db 0x11,0x3A,0x39,0x1A,0x33,0x28,0x2D,0x02,0xE5	// 2012 demo	GutPnch1
	.dh 0x009B :: .db 0x11,0x3A,0x39,0x1A,0x33,0x28,0x2D,0x03,0xE5	// 2012 demo	GutPnch2
	.dh 0x009C :: .db 0x11,0x3A,0x39,0x1A,0x33,0x28,0x2D,0x04,0xE5	// 2012 demo	GutPnch3
	.dh 0x0183 :: .db 0x11,0x3A,0x39,0x38,0x17,0x11,0xE5		// 2012 demo	GutsMG
	.dh 0x00E1 :: .db 0x11,0x3A,0x39,0x38,0x17,0x26,0x33,0x43,0xE5	// 2012 demo	GutsManSP
	.dh 0x00E2 :: .db 0x11,0x3A,0x39,0x38,0x17,0x26,0x33,0x44,0xE5	// 2012 demo	GutsManDS
	.dh 0x00E0 :: .db 0x11,0x3A,0x39,0x38,0x17,0x26,0x33,0xE5	// 2012 demo	GutsMan
	.dh 0x0020 :: .db 0x11,0x44,0x1D,0x46,0x02,0xE5			// Spikeman	GunSol1
	.dh 0x0021 :: .db 0x11,0x44,0x1D,0x46,0x03,0xE5			// Spikeman	GunSol2
	.dh 0x0022 :: .db 0x11,0x44,0x1D,0x46,0x04,0xE5			// Spikeman	GunSol3
	.dh 0x00DB :: .db 0x11,0x44,0x1D,0x46,0x0F,0x22,0xE5		// Spikeman	GunSolEX
	.dh 0x011A :: .db 0x11,0x5A,0x23,0x3A,0x2D,0x82,0x49,0xE5	// Japanese	キャノンモード
	.dh 0x0001 :: .db 0x11,0x5A,0x23,0x3A,0xE5			// Japanese	キャノン
	.dh 0x0000
@@chip_12:
	.dh 0x0079 :: .db 0x12,0x0C,0x59,0x12,0x3E,0x82,0x41,0xE5	// Japanese	クイックゲージ
	.dh 0x00A9 :: .db 0x12,0x25,0x3B,0x2F,0x0D,0x39,0x38,0x02,0xE5	// Spikeman	HawkCut1
	.dh 0x00AA :: .db 0x12,0x25,0x3B,0x2F,0x0D,0x39,0x38,0x03,0xE5	// Spikeman	HawkCut2
	.dh 0x00AB :: .db 0x12,0x25,0x3B,0x2F,0x0D,0x39,0x38,0x04,0xE5	// Spikeman	HawkCut3
	.dh 0x0179 :: .db 0x12,0x25,0x3D,0x25,0x33,0xE5			// Spikeman	Hayao
	.dh 0x00A9 :: .db 0x12,0x26,0x3C,0x30,0x0D,0x3A,0x39,0x02,0xE5	// 2012 demo	HawkCut1
	.dh 0x00AA :: .db 0x12,0x26,0x3C,0x30,0x0D,0x3A,0x39,0x03,0xE5	// 2012 demo	HawkCut2
	.dh 0x00AB :: .db 0x12,0x26,0x3C,0x30,0x0D,0x3A,0x39,0x04,0xE5	// 2012 demo	HawkCut3
	.dh 0x0006 :: .db 0x12,0x29,0x25,0x38,0x0C,0x36,0x38,0x2C,0xE5	// Spikeman	HeatBrth
	.dh 0x0013 :: .db 0x12,0x29,0x25,0x38,0x1D,0x2C,0x33,0x38,0xE5	// Spikeman	HeatShot
	.dh 0x0015 :: .db 0x12,0x29,0x25,0x38,0x1D,0x2D,0x28,0x29,0xE5	// Spikeman	HeatSide
	.dh 0x0141 :: .db 0x12,0x29,0x25,0x38,0x1D,0x34,0x36,0x28,0xE5	// Spikeman	HeatSprd
	.dh 0x0014 :: .db 0x12,0x29,0x25,0x38,0x82,0x20,0xE5		// Spikeman	Heat-V
	.dh 0x014C :: .db 0x12,0x29,0x30,0x30,0x0C,0x31,0x36,0x02,0xE5	// Spikeman	HellBmr1
	.dh 0x014D :: .db 0x12,0x29,0x30,0x30,0x0C,0x31,0x36,0x03,0xE5	// Spikeman	HellBmr2
	.dh 0x014E :: .db 0x12,0x29,0x30,0x30,0x0C,0x31,0x36,0x04,0xE5	// Spikeman	HellBmr3
	.dh 0x0006 :: .db 0x12,0x2A,0x26,0x39,0x0C,0x37,0x39,0x2D,0xE5	// 2012 demo	HeatBrth
	.dh 0x0013 :: .db 0x12,0x2A,0x26,0x39,0x1D,0x2D,0x34,0x39,0xE5	// 2012 demo	HeatShot
	.dh 0x0015 :: .db 0x12,0x2A,0x26,0x39,0x1D,0x2E,0x29,0x2A,0xE5	// 2012 demo	HeatSide
	.dh 0x0141 :: .db 0x12,0x2A,0x26,0x39,0x1D,0x35,0x37,0x29,0xE5	// 2012 demo	HeatSprd
	.dh 0x0014 :: .db 0x12,0x2A,0x26,0x39,0x49,0x20,0xE5		// English	Heat-V
	.dh 0x0014 :: .db 0x12,0x2A,0x26,0x39,0x98,0x20,0xE5		// 2012 demo	Heat-V
	.dh 0x0002 :: .db 0x12,0x2D,0x0D,0x3F,0x32,0x33,0x32,0xE5	// Spikeman	HiCannon
	.dh 0x0002 :: .db 0x12,0x2E,0x0D,0x26,0x33,0x33,0x34,0x33,0xE5	// 2012 demo	HiCannon
	.dh 0x005B :: .db 0x12,0x31,0x59,0x12,0x0B,0x0D,0x1E,0xE5	// Japanese	クラックアウト
	.dh 0x0133 :: .db 0x12,0x34,0x31,0x3E,0x0E,0x37,0x2A,0x32,0xE5	// 2012 demo	HolyDrem
	.dh 0x008B :: .db 0x12,0x34,0x31,0x3E,0x1A,0x26,0x33,0x31,0xE5	// 2012 demo	HolyPanl
	.dh 0x0176 :: .db 0x12,0x35,0x17,0x19,0x82,0x49,0xE5		// Japanese	クロスソード
	.dh 0x015D :: .db 0x12,0x3D,0x34,0x36,0x0C,0x36,0x37,0x38,0xE5	// Spikeman	HyprBrst
	.dh 0x0052 :: .db 0x12,0x46,0x29,0xE5				// Spikeman	Hole
	.dh 0x0133 :: .db 0x12,0x46,0x3D,0x0E,0x36,0x29,0x31,0xE5	// Spikeman	HolyDrem
	.dh 0x008B :: .db 0x12,0x46,0x3D,0x1A,0x3F,0x30,0xE5		// Spikeman	HolyPanl
	.dh 0x015D :: .db 0x12,0x49,0x0C,0x3A,0x37,0x38,0x39,0xE5	// English	H-Burst
	.dh 0x015D :: .db 0x12,0x98,0x0C,0x3A,0x37,0x38,0x39,0xE5	// 2012 demo	H-Burst
	.dh 0x0000
@@chip_13:
	.dh 0x017E :: .db 0x13,0x27,0x29,0x0D,0x39,0x26,0x29,0xE5	// Spikeman	IceCube
	.dh 0x017E :: .db 0x13,0x28,0x2A,0x0D,0x3A,0x27,0x2A,0xE5	// 2012 demo	IceCube
	.dh 0x0085 :: .db 0x13,0x32,0x3A,0x2D,0x37,0xE5			// Spikeman	Invis
	.dh 0x0085 :: .db 0x13,0x33,0x3B,0x2E,0x38,0x2E,0x27,0x31,0xE5	// 2012 demo	Invisibl
	.dh 0x0085 :: .db 0x13,0x33,0x3B,0x2E,0x38,0xE5			// English	Invis
	.dh 0x0185 :: .db 0x13,0x3B,0x25,0x02,0xE5			// Spikeman	Iwa1
	.dh 0x0186 :: .db 0x13,0x3B,0x25,0x03,0xE5			// Spikeman	Iwa2
	.dh 0x0115 :: .db 0x13,0x3A,0x49,0x82,0x29,0x3A,0x61,0x70,0xE5	// Japanese	ケンドーマンDS
	.dh 0x0114 :: .db 0x13,0x3A,0x49,0x82,0x29,0x3A,0x70,0x6D,0xE5	// Japanese	ケンドーマンSP
	.dh 0x0113 :: .db 0x13,0x3A,0x49,0x82,0x29,0x3A,0xE5		// Japanese	ケンドーマン
	.dh 0x0000
@@chip_14:
	.dh 0x00D4 :: .db 0x14,0x29,0x25,0x30,0x33,0x39,0x37,0x3D,0xE5	// Spikeman	Jealousy
	.dh 0x00D4 :: .db 0x14,0x2A,0x26,0x31,0x34,0x3A,0x38,0x3E,0xE5	// 2012 demo	Jealousy
	.dh 0x00F9 :: .db 0x14,0x3A,0x33,0x30,0x17,0x26,0x33,0x43,0xE5	// 2012 demo	JunkManSP
	.dh 0x00FA :: .db 0x14,0x3A,0x33,0x30,0x17,0x26,0x33,0x44,0xE5	// 2012 demo	JunkManDS
	.dh 0x00F8 :: .db 0x14,0x3A,0x33,0x30,0x17,0x26,0x33,0xE5	// 2012 demo	JunkMan
	.dh 0x00F9 :: .db 0x14,0x44,0x2F,0x17,0x3F,0x76,0xE5		// Spikeman	JunkManSP
	.dh 0x00FA :: .db 0x14,0x44,0x2F,0x17,0x3F,0x77,0xE5		// Spikeman	JunkManDS
	.dh 0x00F8 :: .db 0x14,0x44,0x2F,0x17,0x3F,0xE5			// Spikeman	JunkMan
	.dh 0x0094 :: .db 0x14,0x50,0x82,0x45,0x2C,0x82,0x41,0xE5	// Japanese	コピーダメージ
	.dh 0x010C :: .db 0x14,0x82,0x33,0x49,0x29,0x3A,0x61,0x70,0xE5	// Japanese	コールドマンDS
	.dh 0x010B :: .db 0x14,0x82,0x33,0x49,0x29,0x3A,0x70,0x6D,0xE5	// Japanese	コールドマンSP
	.dh 0x010A :: .db 0x14,0x82,0x33,0x49,0x29,0x3A,0xE5		// Japanese	コールドマン
	.dh 0x0000
@@chip_15:
	.dh 0x0007 :: .db 0x15,0x0C,0x34,0x3A,0x17,0xE5			// Japanese	サイレンス
	.dh 0x004E :: .db 0x15,0x0C,0x49,0x4A,0x3A,0x4C,0x82,0x02,0xE5	// Japanese	サイドバンブー1
	.dh 0x004F :: .db 0x15,0x0C,0x49,0x4A,0x3A,0x4C,0x82,0x03,0xE5	// Japanese	サイドバンブー2
	.dh 0x0050 :: .db 0x15,0x0C,0x49,0x4A,0x3A,0x4C,0x82,0x04,0xE5	// Japanese	サイドバンブー3
	.dh 0x017B :: .db 0x15,0x25,0x2F,0x42,0x2D,0xE5			// Spikeman	Kakari
	.dh 0x0114 :: .db 0x15,0x29,0x32,0x28,0x33,0x17,0x32,0x76,0xE5	// Spikeman	KendoMnSP
	.dh 0x0115 :: .db 0x15,0x29,0x32,0x28,0x33,0x17,0x32,0x77,0xE5	// Spikeman	KendoMnDS
	.dh 0x0113 :: .db 0x15,0x29,0x32,0x28,0x33,0x17,0x3F,0xE5	// Spikeman	KendoMan
	.dh 0x0113 :: .db 0x15,0x2A,0x33,0x29,0x34,0x17,0x26,0x33,0xE5	// 2012 demo	KendoMan
	.dh 0x0114 :: .db 0x15,0x2A,0x33,0x29,0x34,0x17,0x33,0x43,0xE5	// 2012 demo	KendoMnSP
	.dh 0x0115 :: .db 0x15,0x2A,0x33,0x29,0x34,0x17,0x33,0x44,0xE5	// 2012 demo	KendoMnDS
	.dh 0x00D0 :: .db 0x15,0x3A,0x12,0x1B,0x5B,0x0B,0x32,0xE5	// Japanese	サンクチュアリ
	.dh 0x00EE :: .db 0x15,0x3A,0x45,0x82,0x29,0x3A,0x61,0x70,0xE5	// Japanese	サンダーマンDS
	.dh 0x00ED :: .db 0x15,0x3A,0x45,0x82,0x29,0x3A,0x70,0x6D,0xE5	// Japanese	サンダーマンSP
	.dh 0x00EC :: .db 0x15,0x3A,0x45,0x82,0x29,0x3A,0xE5		// Japanese	サンダーマン
	.dh 0x0039 :: .db 0x15,0x3A,0x45,0x82,0x4E,0x82,0x33,0x02,0xE5	// Japanese	サンダーボール1
	.dh 0x003A :: .db 0x15,0x3A,0x45,0x82,0x4E,0x82,0x33,0x03,0xE5	// Japanese	サンダーボール2
	.dh 0x003B :: .db 0x15,0x3A,0x45,0x82,0x4E,0x82,0x33,0x04,0xE5	// Japanese	サンダーボール3
	.dh 0x011E :: .db 0x15,0x3A,0x45,0x82,0x51,0x31,0x17,0xE5	// Japanese	サンダープラス
	.dh 0x002F :: .db 0x15,0x3A,0x49,0x32,0x3A,0x3D,0xE5		// Japanese	サンドリング
	.dh 0x0042 :: .db 0x15,0x82,0x12,0x33,0x3B,0x3A,0x02,0xE5	// Japanese	サークルガン1
	.dh 0x0043 :: .db 0x15,0x82,0x12,0x33,0x3B,0x3A,0x03,0xE5	// Japanese	サークルガン2
	.dh 0x0044 :: .db 0x15,0x82,0x12,0x33,0x3B,0x3A,0x04,0xE5	// Japanese	サークルガン3
	.dh 0x00E8 :: .db 0x15,0x82,0x1B,0x29,0x3A,0x61,0x70,0xE5	// Japanese	サーチマンDS
	.dh 0x00E7 :: .db 0x15,0x82,0x1B,0x29,0x3A,0x70,0x6D,0xE5	// Japanese	サーチマンSP
	.dh 0x00E6 :: .db 0x15,0x82,0x1B,0x29,0x3A,0xE5			// Japanese	サーチマン
	.dh 0x00A0 :: .db 0x15,0x82,0x1B,0x4E,0x2B,0x02,0xE5		// Japanese	サーチボム1
	.dh 0x00A1 :: .db 0x15,0x82,0x1B,0x4E,0x2B,0x03,0xE5		// Japanese	サーチボム2
	.dh 0x00A2 :: .db 0x15,0x82,0x1B,0x4E,0x2B,0x04,0xE5		// Japanese	サーチボム3
	.dh 0x0000
@@chip_16:
	.dh 0x0111 :: .db 0x16,0x25,0x37,0x41,0x17,0x32,0x76,0xE5	// Spikeman	LaserMnSP
	.dh 0x0112 :: .db 0x16,0x25,0x37,0x41,0x17,0x32,0x77,0xE5	// Spikeman	LaserMnDS
	.dh 0x0110 :: .db 0x16,0x25,0x37,0x41,0x17,0x3F,0xE5		// Spikeman	LaserMan
	.dh 0x0051 :: .db 0x16,0x26,0x33,0x28,0x2A,0xE5			// 2012 demo	Lance
	.dh 0x0110 :: .db 0x16,0x26,0x38,0x2A,0x37,0x17,0x26,0x33,0xE5	// 2012 demo	LaserMan
	.dh 0x0111 :: .db 0x16,0x26,0x38,0x2A,0x37,0x17,0x33,0x43,0xE5	// 2012 demo	LaserMnSP
	.dh 0x0112 :: .db 0x16,0x26,0x38,0x2A,0x37,0x17,0x33,0x44,0xE5	// 2012 demo	LaserMnDS
	.dh 0x00C9 :: .db 0x16,0x2D,0x2A,0x29,0x0B,0x39,0x36,0x25,0xE5	// Spikeman	LifeAura
	.dh 0x001C :: .db 0x16,0x2D,0x2A,0x29,0x1D,0x3D,0x32,0x27,0xE5	// Spikeman	LifeSync
	.dh 0x00A6 :: .db 0x16,0x2D,0x2B,0x38,0x32,0x43,0x02,0xE5	// Spikeman	Ligtnin1
	.dh 0x00A7 :: .db 0x16,0x2D,0x2B,0x38,0x32,0x43,0x03,0xE5	// Spikeman	Ligtnin2
	.dh 0x00A8 :: .db 0x16,0x2D,0x2B,0x38,0x32,0x43,0x04,0xE5	// Spikeman	Ligtnin3
	.dh 0x00C9 :: .db 0x16,0x2E,0x2B,0x2A,0x0B,0x3A,0x37,0x26,0xE5	// 2012 demo	LifeAura
	.dh 0x0158 :: .db 0x16,0x2E,0x2B,0x2A,0x1D,0x37,0x29,0xE5	// 2012 demo	LifeSrd
	.dh 0x001C :: .db 0x16,0x2E,0x2B,0x2A,0x1D,0x3E,0x33,0x28,0xE5	// 2012 demo	LifeSync
	.dh 0x00A6 :: .db 0x16,0x2E,0x2C,0x39,0x33,0x2E,0x33,0x02,0xE5	// 2012 demo	Ligtnin1
	.dh 0x00A7 :: .db 0x16,0x2E,0x2C,0x39,0x33,0x2E,0x33,0x03,0xE5	// 2012 demo	Ligtnin2
	.dh 0x00A8 :: .db 0x16,0x2E,0x2C,0x39,0x33,0x2E,0x33,0x04,0xE5	// 2012 demo	Ligtnin3
	.dh 0x0092 :: .db 0x16,0x31,0x24,0x49,0x32,0xE5			// Japanese	シラハドリ
	.dh 0x0034 :: .db 0x16,0x33,0x32,0x2B,0x0C,0x30,0x28,0x29,0xE5	// Spikeman	LongBlde
	.dh 0x0032 :: .db 0x16,0x33,0x32,0x2B,0x1D,0x3B,0x36,0x28,0xE5	// Spikeman	LongSwrd
	.dh 0x0034 :: .db 0x16,0x34,0x33,0x2C,0x0C,0x31,0x29,0x2A,0xE5	// 2012 demo	LongBlde
	.dh 0x0032 :: .db 0x16,0x34,0x33,0x2C,0x1D,0x3C,0x37,0x29,0xE5	// 2012 demo	LongSwrd
	.dh 0x0131 :: .db 0x16,0x3D,0x1F,0x33,0x34,0x59,0x49,0xE5	// Japanese	シグナルレッド
	.dh 0x0051 :: .db 0x16,0x3F,0x27,0x29,0xE5			// Spikeman	Lance
	.dh 0x0106 :: .db 0x16,0x57,0x82,0x49,0x29,0x3A,0x61,0x70,0xE5	// Japanese	シェードマンDS
	.dh 0x0105 :: .db 0x16,0x57,0x82,0x49,0x29,0x3A,0x70,0x6D,0xE5	// Japanese	シェードマンSP
	.dh 0x0104 :: .db 0x16,0x57,0x82,0x49,0x29,0x3A,0xE5		// Japanese	シェードマン
	.dh 0x0000
@@chip_17:
	.dh 0x0054 :: .db 0x17,0x0C,0x14,0x2A,0xE5			// Japanese	スイコミ
	.dh 0x0076 :: .db 0x17,0x1B,0x82,0x33,0x32,0x4D,0x3A,0x41,0xE5	// Japanese	スチールリベンジ
	.dh 0x005F :: .db 0x17,0x1B,0x82,0x33,0x43,0x32,0x82,0xE5	// Japanese	スチールゼリー
	.dh 0x0077 :: .db 0x17,0x1B,0x82,0x33,0x4F,0x20,0x16,0x5B,0xE5	// Japanese	スチールパニシュ
	.dh 0x0062 :: .db 0x17,0x1D,0x33,0x17,0x29,0x0C,0x3A,0xE5	// Japanese	ステルスマイン
	.dh 0x0063 :: .db 0x17,0x1E,0x82,0x3A,0x11,0x5B,0x82,0x4C,0xE5	// Japanese	ストーンキューブ
	.dh 0x014F :: .db 0x17,0x25,0x28,0x10,0x3F,0x2B,0x02,0xE5	// Spikeman	MadFang1
	.dh 0x0150 :: .db 0x17,0x25,0x28,0x10,0x3F,0x2B,0x03,0xE5	// Spikeman	MadFang2
	.dh 0x0151 :: .db 0x17,0x25,0x28,0x10,0x3F,0x2B,0x04,0xE5	// Spikeman	MadFang3
	.dh 0x005E :: .db 0x17,0x25,0x2B,0x32,0x39,0x31,0xE5		// Spikeman	Magnum
	.dh 0x0023 :: .db 0x17,0x25,0x2B,0x40,0x30,0x38,0x02,0xE5	// Spikeman	MagBolt1
	.dh 0x0024 :: .db 0x17,0x25,0x2B,0x40,0x30,0x38,0x03,0xE5	// Spikeman	MagBolt2
	.dh 0x0025 :: .db 0x17,0x25,0x2B,0x40,0x30,0x38,0x04,0xE5	// Spikeman	MagBolt3
	.dh 0x017A :: .db 0x17,0x25,0x2F,0x2D,0x31,0xE5			// Spikeman	Makim
	.dh 0x0023 :: .db 0x17,0x26,0x2C,0x0C,0x34,0x31,0x39,0x02,0xE5	// 2012 demo	MagBolt1
	.dh 0x0024 :: .db 0x17,0x26,0x2C,0x0C,0x34,0x31,0x39,0x03,0xE5	// 2012 demo	MagBolt2
	.dh 0x0025 :: .db 0x17,0x26,0x2C,0x0C,0x34,0x31,0x39,0x04,0xE5	// 2012 demo	MagBolt3
	.dh 0x0155 :: .db 0x17,0x26,0x2C,0x1D,0x2D,0x34,0x30,0x02,0xE5	// 2012 demo	MagShok1
	.dh 0x0156 :: .db 0x17,0x26,0x2C,0x1D,0x2D,0x34,0x30,0x03,0xE5	// 2012 demo	MagShok2
	.dh 0x0157 :: .db 0x17,0x26,0x2C,0x1D,0x2D,0x34,0x30,0x04,0xE5	// 2012 demo	MagShok3
	.dh 0x005E :: .db 0x17,0x26,0x2C,0x33,0x3A,0x32,0xE5		// 2012 demo	Magnum
	.dh 0x0119 :: .db 0x17,0x26,0x37,0x30,0x2E,0x33,0x2C,0xE5	// 2012 demo	Marking
	.dh 0x001F :: .db 0x17,0x29,0x2B,0x0F,0x32,0x40,0x31,0xE5	// Spikeman	MegEnBom
	.dh 0x005F :: .db 0x17,0x29,0x38,0x25,0x11,0x29,0x30,0xE5	// Spikeman	MetaGel
	.dh 0x00F6 :: .db 0x17,0x29,0x38,0x25,0x30,0x17,0x32,0x76,0xE5	// Spikeman	MetalMnSP
	.dh 0x00F7 :: .db 0x17,0x29,0x38,0x25,0x30,0x17,0x32,0x77,0xE5	// Spikeman	MetalMnDS
	.dh 0x00F5 :: .db 0x17,0x29,0x38,0x25,0x30,0x17,0x3F,0xE5	// Spikeman	MetalMan
	.dh 0x00A3 :: .db 0x17,0x29,0x38,0x29,0x33,0x36,0x37,0x02,0xE5	// Spikeman	Meteors1
	.dh 0x00A4 :: .db 0x17,0x29,0x38,0x29,0x33,0x36,0x37,0x03,0xE5	// Spikeman	Meteors2
	.dh 0x00A5 :: .db 0x17,0x29,0x38,0x29,0x33,0x36,0x37,0x04,0xE5	// Spikeman	Meteors3
	.dh 0x00AF :: .db 0x17,0x29,0x38,0x30,0x11,0x41,0x02,0xE5	// Spikeman	MetlGer1
	.dh 0x00B0 :: .db 0x17,0x29,0x38,0x30,0x11,0x41,0x03,0xE5	// Spikeman	MetlGer2
	.dh 0x00B1 :: .db 0x17,0x29,0x38,0x30,0x11,0x41,0x04,0xE5	// Spikeman	MetlGer3
	.dh 0x001F :: .db 0x17,0x2A,0x2C,0x0F,0x33,0x0C,0x34,0x32,0xE5	// 2012 demo	MegEnBom
	.dh 0x005F :: .db 0x17,0x2A,0x39,0x26,0x11,0x2A,0x31,0xE5	// 2012 demo	MetaGel
	.dh 0x00F5 :: .db 0x17,0x2A,0x39,0x26,0x31,0x17,0x26,0x33,0xE5	// 2012 demo	MetalMan
	.dh 0x00F6 :: .db 0x17,0x2A,0x39,0x26,0x31,0x17,0x33,0x43,0xE5	// 2012 demo	MetalMnSP
	.dh 0x00F7 :: .db 0x17,0x2A,0x39,0x26,0x31,0x17,0x33,0x44,0xE5	// 2012 demo	MetalMnDS
	.dh 0x00A3 :: .db 0x17,0x2A,0x39,0x2A,0x34,0x37,0x38,0x02,0xE5	// 2012 demo	Meteors1
	.dh 0x00A4 :: .db 0x17,0x2A,0x39,0x2A,0x34,0x37,0x38,0x03,0xE5	// 2012 demo	Meteors2
	.dh 0x00A5 :: .db 0x17,0x2A,0x39,0x2A,0x34,0x37,0x38,0x04,0xE5	// 2012 demo	Meteors3
	.dh 0x0187 :: .db 0x17,0x2A,0x39,0x31,0x11,0x2A,0x26,0x37,0xE5	// English	MetlGear
	.dh 0x00AF :: .db 0x17,0x2A,0x39,0x31,0x11,0x2A,0x37,0x02,0xE5	// 2012 demo	MetlGer1
	.dh 0x00B0 :: .db 0x17,0x2A,0x39,0x31,0x11,0x2A,0x37,0x03,0xE5	// 2012 demo	MetlGer2
	.dh 0x00B1 :: .db 0x17,0x2A,0x39,0x31,0x11,0x2A,0x37,0x04,0xE5	// 2012 demo	MetlGer3
	.dh 0x0187 :: .db 0x17,0x2A,0x39,0x31,0x11,0x2A,0x37,0xE5	// 2012 demo	MetlGer
	.dh 0x0155 :: .db 0x17,0x2B,0x1D,0x2C,0x33,0x2F,0x02,0xE5	// Spikeman	MgShok1
	.dh 0x0156 :: .db 0x17,0x2B,0x1D,0x2C,0x33,0x2F,0x03,0xE5	// Spikeman	MgShok2
	.dh 0x0157 :: .db 0x17,0x2B,0x1D,0x2C,0x33,0x2F,0x04,0xE5	// Spikeman	MgShok3
	.dh 0x0062 :: .db 0x17,0x2E,0x33,0x2A,0xE5			// 2012 demo	Mine
	.dh 0x001D :: .db 0x17,0x2E,0x33,0x2E,0x0C,0x34,0x32,0x27,0xE5	// 2012 demo	MiniBomb
	.dh 0x0082 :: .db 0x17,0x33,0x2F,0x33,0x1C,0x39,0x37,0x02,0xE5	// Spikeman	MokoRus1
	.dh 0x0083 :: .db 0x17,0x33,0x2F,0x33,0x1C,0x39,0x37,0x03,0xE5	// Spikeman	MokoRus2
	.dh 0x0084 :: .db 0x17,0x33,0x2F,0x33,0x1C,0x39,0x37,0x04,0xE5	// Spikeman	MokoRus3
	.dh 0x0082 :: .db 0x17,0x34,0x30,0x34,0x1C,0x3A,0x38,0x02,0xE5	// 2012 demo	MokoRus1
	.dh 0x0083 :: .db 0x17,0x34,0x30,0x34,0x1C,0x3A,0x38,0x03,0xE5	// 2012 demo	MokoRus2
	.dh 0x0084 :: .db 0x17,0x34,0x30,0x34,0x1C,0x3A,0x38,0x04,0xE5	// 2012 demo	MokoRus3
	.dh 0x0187 :: .db 0x17,0x38,0x30,0x11,0x29,0x42,0xE5		// Spikeman	MtlGear
	.dh 0x00CA :: .db 0x17,0x39,0x36,0x25,0x31,0x25,0x37,0x25,0xE5	// Spikeman	Muramasa
	.dh 0x00CA :: .db 0x17,0x3A,0x37,0x26,0x32,0x26,0x38,0x26,0xE5	// 2012 demo	Muramasa
	.dh 0x0119 :: .db 0x17,0x42,0x2F,0x43,0x2B,0xE5			// Spikeman	Marking
	.dh 0x0062 :: .db 0x17,0x43,0x29,0xE5				// Spikeman	Mine
	.dh 0x001D :: .db 0x17,0x43,0x2D,0x40,0x45,0xE5			// Spikeman	MiniBomb
	.dh 0x0003 :: .db 0x17,0x49,0x0D,0x26,0x33,0x33,0x34,0x33,0xE5	// English	M-Cannon
	.dh 0x010F :: .db 0x17,0x4F,0x82,0x12,0x29,0x3A,0x61,0x70,0xE5	// Japanese	スパークマンDS
	.dh 0x010E :: .db 0x17,0x4F,0x82,0x12,0x29,0x3A,0x70,0x6D,0xE5	// Japanese	スパークマンSP
	.dh 0x010D :: .db 0x17,0x4F,0x82,0x12,0x29,0x3A,0xE5		// Japanese	スパークマン
	.dh 0x0012 :: .db 0x17,0x51,0x34,0x59,0x49,0x3B,0x3A,0xE5	// Japanese	スプレッドガン
	.dh 0x0003 :: .db 0x17,0x82,0x0D,0x3F,0x32,0x33,0x32,0xE5	// Spikeman	M-Cannon
	.dh 0x008A :: .db 0x17,0x82,0x4F,0x82,0x11,0x1A,0x10,0x43,0xE5	// Japanese	スーパーキタカゼ
	.dh 0x0177 :: .db 0x17,0x82,0x4F,0x82,0x19,0x20,0x59,0x12,0xE5	// Japanese	スーパーソニック
	.dh 0x0146 :: .db 0x17,0x82,0x4F,0x82,0x36,0x0C,0x49,0x02,0xE5	// Japanese	スーパーワイド1
	.dh 0x0147 :: .db 0x17,0x82,0x4F,0x82,0x36,0x0C,0x49,0x03,0xE5	// Japanese	スーパーワイド2
	.dh 0x0148 :: .db 0x17,0x82,0x4F,0x82,0x36,0x0C,0x49,0x04,0xE5	// Japanese	スーパーワイド3
	.dh 0x00DC :: .db 0x17,0x82,0x4F,0x82,0x4A,0x33,0x10,0x3A,0xE5	// Japanese	スーパーバルカン
	.dh 0x0003 :: .db 0x17,0x98,0x0D,0x26,0x33,0x33,0x34,0x33,0xE5	// 2012 demo	M-Cannon
	.dh 0x0000
@@chip_18:
	.dh 0x0096 :: .db 0x18,0x25,0x3A,0x2D,0x7F,0x03,0x01,0xE5	// Spikeman	Navi+20
	.dh 0x0096 :: .db 0x18,0x26,0x3B,0x2E,0x48,0x03,0x01,0xE5	// English	Navi+20
	.dh 0x0096 :: .db 0x18,0x26,0x3B,0x2E,0x9E,0x03,0x01,0xE5	// 2012 demo	Navi+20
	.dh 0x00D9 :: .db 0x18,0x29,0x33,0x20,0x42,0x2D,0xE5		// Spikeman	NeoVari
	.dh 0x00D9 :: .db 0x18,0x2A,0x34,0x20,0x26,0x37,0x2E,0xE5	// 2012 demo	NeoVari
	.dh 0x0174 :: .db 0x18,0x36,0x2D,0xE5				// Spikeman	Nri
	.dh 0x008A :: .db 0x18,0x36,0x38,0x2C,0x21,0x43,0x28,0xE5	// Spikeman	NrthWind
	.dh 0x008A :: .db 0x18,0x37,0x39,0x2D,0x21,0x2E,0x33,0x29,0xE5	// 2012 demo	NrthWind
	.dh 0x00AC :: .db 0x18,0x39,0x45,0x36,0x0C,0x30,0x02,0xE5	// Spikeman	NumbrBl1
	.dh 0x00AD :: .db 0x18,0x39,0x45,0x36,0x0C,0x30,0x03,0xE5	// Spikeman	NumbrBl2
	.dh 0x00AE :: .db 0x18,0x39,0x45,0x36,0x0C,0x30,0x04,0xE5	// Spikeman	NumbrBl3
	.dh 0x00F3 :: .db 0x18,0x39,0x45,0x36,0x17,0x32,0x76,0xE5	// Spikeman	NumbrMnSP
	.dh 0x00F4 :: .db 0x18,0x39,0x45,0x36,0x17,0x32,0x77,0xE5	// Spikeman	NumbrMnDS
	.dh 0x00F2 :: .db 0x18,0x39,0x45,0x41,0x17,0x32,0xE5		// Spikeman	NumberMn
	.dh 0x00AC :: .db 0x18,0x3A,0x32,0x27,0x37,0x0C,0x31,0x02,0xE5	// 2012 demo	NumbrBl1
	.dh 0x00AD :: .db 0x18,0x3A,0x32,0x27,0x37,0x0C,0x31,0x03,0xE5	// 2012 demo	NumbrBl2
	.dh 0x00AE :: .db 0x18,0x3A,0x32,0x27,0x37,0x0C,0x31,0x04,0xE5	// 2012 demo	NumbrBl3
	.dh 0x00F2 :: .db 0x18,0x3A,0x32,0x27,0x37,0x17,0x26,0x33,0xE5	// 2012 demo	NumbrMan
	.dh 0x00F3 :: .db 0x18,0x3A,0x32,0x27,0x37,0x17,0x33,0x43,0xE5	// 2012 demo	NumbrMnSP
	.dh 0x00F4 :: .db 0x18,0x3A,0x32,0x27,0x37,0x17,0x33,0x44,0xE5	// 2012 demo	NumbrMnDS
	.dh 0x0000
@@chip_19:
	.dh 0x0173 :: .db 0x19,0x20,0x59,0x12,0x4C,0x82,0x2B,0xE5	// Japanese	ソニックブーム
	.dh 0x011C :: .db 0x19,0x82,0x49,0x2D,0x82,0x49,0xE5		// Japanese	ソードモード
	.dh 0x0030 :: .db 0x19,0x82,0x49,0xE5				// Japanese	ソード
	.dh 0x0000
@@chip_1A:
	.dh 0x0074 :: .db 0x1A,0x26,0x33,0x31,0x11,0x37,0x26,0x27,0xE5	// 2012 demo	PanlGrab
	.dh 0x00B2 :: .db 0x1A,0x26,0x33,0x31,0x1D,0x2D,0x39,0x02,0xE5	// 2012 demo	PanlSht1
	.dh 0x00B3 :: .db 0x1A,0x26,0x33,0x31,0x1D,0x2D,0x39,0x03,0xE5	// 2012 demo	PanlSht2
	.dh 0x00B4 :: .db 0x1A,0x26,0x33,0x31,0x1D,0x2D,0x39,0x04,0xE5	// 2012 demo	PanlSht3
	.dh 0x0159 :: .db 0x1A,0x2D,0x30,0x29,0x0E,0x36,0x3A,0x36,0xE5	// Spikeman	PileDrvr
	.dh 0x0152 :: .db 0x1A,0x2D,0x38,0x12,0x33,0x27,0x2F,0x02,0xE5	// Spikeman	PitHock1
	.dh 0x0153 :: .db 0x1A,0x2D,0x38,0x12,0x33,0x27,0x2F,0x03,0xE5	// Spikeman	PitHock2
	.dh 0x0154 :: .db 0x1A,0x2D,0x38,0x12,0x33,0x27,0x2F,0x04,0xE5	// Spikeman	PitHock3
	.dh 0x0159 :: .db 0x1A,0x2E,0x31,0x2A,0x0E,0x37,0x3B,0x37,0xE5	// 2012 demo	PileDrvr
	.dh 0x0152 :: .db 0x1A,0x2E,0x39,0x12,0x34,0x30,0x3E,0x02,0xE5	// 2012 demo	PitHoky1
	.dh 0x0153 :: .db 0x1A,0x2E,0x39,0x12,0x34,0x30,0x3E,0x03,0xE5	// 2012 demo	PitHoky2
	.dh 0x0154 :: .db 0x1A,0x2E,0x39,0x12,0x34,0x30,0x3E,0x04,0xE5	// 2012 demo	PitHoky3
	.dh 0x014C :: .db 0x1A,0x2E,0x39,0x1C,0x33,0x2C,0x02,0xE5	// 2012 demo	PitRng1
	.dh 0x014D :: .db 0x1A,0x2E,0x39,0x1C,0x33,0x2C,0x03,0xE5	// 2012 demo	PitRng2
	.dh 0x014E :: .db 0x1A,0x2E,0x39,0x1C,0x33,0x2C,0x04,0xE5	// 2012 demo	PitRng3
	.dh 0x007A :: .db 0x1A,0x32,0x30,0x1C,0x29,0x38,0x36,0x32,0xE5	// Spikeman	PnlRetrn
	.dh 0x0086 :: .db 0x1A,0x33,0x34,0x39,0x34,0xE5			// Spikeman	Popup
	.dh 0x007A :: .db 0x1A,0x33,0x31,0x1C,0x2A,0x39,0x37,0x33,0xE5	// 2012 demo	PnlRetrn
	.dh 0x015B :: .db 0x1A,0x34,0x2E,0x38,0x1A,0x2D,0x26,0x37,0xE5	// 2012 demo	PoisPhar
	.dh 0x017D :: .db 0x1A,0x34,0x31,0x39,0x37,0x2C,0x38,0x39,0xE5	// 2012 demo	Poltrgst
	.dh 0x0086 :: .db 0x1A,0x34,0x35,0x1F,0x35,0xE5			// 2012 demo	PopUp
	.dh 0x009D :: .db 0x1A,0x36,0x33,0x34,0x40,0x31,0x02,0xE5	// Spikeman	PropBom1
	.dh 0x009E :: .db 0x1A,0x36,0x33,0x34,0x40,0x31,0x03,0xE5	// Spikeman	PropBom2
	.dh 0x009F :: .db 0x1A,0x36,0x33,0x34,0x40,0x31,0x04,0xE5	// Spikeman	PropBom3
	.dh 0x00F0 :: .db 0x1A,0x36,0x33,0x38,0x33,0x17,0x32,0x76,0xE5	// Spikeman	ProtoMnSP
	.dh 0x00F1 :: .db 0x1A,0x36,0x33,0x38,0x33,0x17,0x32,0x77,0xE5	// Spikeman	ProtoMnDS
	.dh 0x00EF :: .db 0x1A,0x36,0x33,0x38,0x33,0x17,0x3F,0xE5	// Spikeman	ProtoMan
	.dh 0x015B :: .db 0x1A,0x37,0x32,0x1A,0x2C,0x42,0x33,0xE5	// Spikeman	PsnPharo
	.dh 0x009D :: .db 0x1A,0x37,0x34,0x35,0x0C,0x34,0x32,0x02,0xE5	// 2012 demo	PropBom1
	.dh 0x009E :: .db 0x1A,0x37,0x34,0x35,0x0C,0x34,0x32,0x03,0xE5	// 2012 demo	PropBom2
	.dh 0x009F :: .db 0x1A,0x37,0x34,0x35,0x0C,0x34,0x32,0x04,0xE5	// 2012 demo	PropBom3
	.dh 0x00EF :: .db 0x1A,0x37,0x34,0x39,0x34,0x17,0x26,0x33,0xE5	// 2012 demo	ProtoMan
	.dh 0x00F0 :: .db 0x1A,0x37,0x34,0x39,0x34,0x17,0x33,0x43,0xE5	// 2012 demo	ProtoMnSP
	.dh 0x00F1 :: .db 0x1A,0x37,0x34,0x39,0x34,0x17,0x33,0x44,0xE5	// 2012 demo	ProtoMnDS
	.dh 0x0175 :: .db 0x1A,0x3A,0x33,0x2E,0x38,0x2D,0x2A,0x37,0xE5	// 2012 demo	Punisher
	.dh 0x0181 :: .db 0x1A,0x3A,0x3F,0x15,0x53,0x82,0x1E,0xE5	// Japanese	タンゴサポート
	.dh 0x0074 :: .db 0x1A,0x3F,0x30,0x11,0x36,0x25,0x26,0xE5	// Spikeman	PanlGrab
	.dh 0x00B2 :: .db 0x1A,0x3F,0x30,0x1D,0x2C,0x38,0x02,0xE5	// Spikeman	PanlSht1
	.dh 0x00B3 :: .db 0x1A,0x3F,0x30,0x1D,0x2C,0x38,0x03,0xE5	// Spikeman	PanlSht2
	.dh 0x00B4 :: .db 0x1A,0x3F,0x30,0x1D,0x2C,0x38,0x04,0xE5	// Spikeman	PanlSht3
	.dh 0x017D :: .db 0x1A,0x46,0x38,0x36,0x2B,0x37,0x38,0xE5	// Spikeman	Poltrgst
	.dh 0x0103 :: .db 0x1A,0x59,0x51,0x29,0x3A,0x61,0x70,0xE5	// Japanese	タップマンDS
	.dh 0x0102 :: .db 0x1A,0x59,0x51,0x29,0x3A,0x70,0x6D,0xE5	// Japanese	タップマンSP
	.dh 0x0101 :: .db 0x1A,0x59,0x51,0x29,0x3A,0xE5			// Japanese	タップマン
	.dh 0x0000
@@chip_1C:
	.dh 0x0045 :: .db 0x1C,0x0C,0x3A,0x26,0x54,0x3A,0x3D,0x02,0xE5	// Japanese	ツインファング1
	.dh 0x0046 :: .db 0x1C,0x0C,0x3A,0x26,0x54,0x3A,0x3D,0x03,0xE5	// Japanese	ツインファング2
	.dh 0x0047 :: .db 0x1C,0x0C,0x3A,0x26,0x54,0x3A,0x3D,0x04,0xE5	// Japanese	ツインファング3
	.dh 0x006B :: .db 0x1C,0x29,0x27,0x33,0x3A,0x02,0x01,0xE5	// Spikeman	Recov10
	.dh 0x006F :: .db 0x1C,0x29,0x27,0x33,0x3A,0x02,0x03,0x01,0xE5	// Spikeman	Recov120
	.dh 0x0070 :: .db 0x1C,0x29,0x27,0x33,0x3A,0x02,0x06,0x01,0xE5	// Spikeman	Recov150
	.dh 0x0071 :: .db 0x1C,0x29,0x27,0x33,0x3A,0x03,0x01,0x01,0xE5	// Spikeman	Recov200
	.dh 0x0072 :: .db 0x1C,0x29,0x27,0x33,0x3A,0x04,0x01,0x01,0xE5	// Spikeman	Recov300
	.dh 0x006C :: .db 0x1C,0x29,0x27,0x33,0x3A,0x04,0x01,0xE5	// Spikeman	Recov30
	.dh 0x006D :: .db 0x1C,0x29,0x27,0x33,0x3A,0x06,0x01,0xE5	// Spikeman	Recov50
	.dh 0x006E :: .db 0x1C,0x29,0x27,0x33,0x3A,0x09,0x01,0xE5	// Spikeman	Recov80
	.dh 0x0130 :: .db 0x1C,0x29,0x28,0x1D,0x44,0xE5			// Spikeman	RedSun
	.dh 0x0073 :: .db 0x1C,0x29,0x34,0x25,0x47,0xE5			// Spikeman	Repair
	.dh 0x006B :: .db 0x1C,0x2A,0x28,0x34,0x3B,0x02,0x01,0xE5	// 2012 demo	Recov10
	.dh 0x006F :: .db 0x1C,0x2A,0x28,0x34,0x3B,0x02,0x03,0x01,0xE5	// 2012 demo	Recov120
	.dh 0x0070 :: .db 0x1C,0x2A,0x28,0x34,0x3B,0x02,0x06,0x01,0xE5	// 2012 demo	Recov150
	.dh 0x0071 :: .db 0x1C,0x2A,0x28,0x34,0x3B,0x03,0x01,0x01,0xE5	// 2012 demo	Recov200
	.dh 0x0072 :: .db 0x1C,0x2A,0x28,0x34,0x3B,0x04,0x01,0x01,0xE5	// 2012 demo	Recov300
	.dh 0x006C :: .db 0x1C,0x2A,0x28,0x34,0x3B,0x04,0x01,0xE5	// 2012 demo	Recov30
	.dh 0x006D :: .db 0x1C,0x2A,0x28,0x34,0x3B,0x06,0x01,0xE5	// 2012 demo	Recov50
	.dh 0x006E :: .db 0x1C,0x2A,0x28,0x34,0x3B,0x09,0x01,0xE5	// 2012 demo	Recov80
	.dh 0x0130 :: .db 0x1C,0x2A,0x29,0x1D,0x3A,0x33,0xE5		// 2012 demo	RedSun
	.dh 0x0073 :: .db 0x1C,0x2A,0x35,0x26,0x2E,0x37,0xE5		// 2012 demo	Repair
	.dh 0x017A :: .db 0x1C,0x2A,0x3C,0x2E,0x33,0x29,0xE5		// 2012 demo	Rewind
	.dh 0x0063 :: .db 0x1C,0x33,0x27,0x2F,0x0D,0x39,0x26,0x29,0xE5	// Spikeman	RockCube
	.dh 0x0185 :: .db 0x1C,0x34,0x28,0x30,0x02,0xE5			// 2012 demo	Rock1
	.dh 0x0186 :: .db 0x1C,0x34,0x28,0x30,0x03,0xE5			// 2012 demo	Rock2
	.dh 0x0063 :: .db 0x1C,0x34,0x28,0x30,0x0D,0x3A,0x27,0x2A,0xE5	// 2012 demo	RockCube
	.dh 0x0097 :: .db 0x1C,0x34,0x31,0x31,0x0B,0x37,0x34,0x02,0xE5	// 2012 demo	RollAro1
	.dh 0x0098 :: .db 0x1C,0x34,0x31,0x31,0x0B,0x37,0x34,0x03,0xE5	// 2012 demo	RollAro2
	.dh 0x0099 :: .db 0x1C,0x34,0x31,0x31,0x0B,0x37,0x34,0x04,0xE5	// 2012 demo	RollAro3
	.dh 0x00DE :: .db 0x1C,0x34,0x31,0x31,0x43,0xE5			// 2012 demo	RollSP
	.dh 0x00DF :: .db 0x1C,0x34,0x31,0x31,0x44,0xE5			// 2012 demo	RollDS
	.dh 0x00DD :: .db 0x1C,0x34,0x31,0x31,0xE5			// 2012 demo	Roll
	.dh 0x017F :: .db 0x1C,0x39,0x37,0x2C,0xE5			// Spikeman	Rush
	.dh 0x017F :: .db 0x1C,0x3A,0x38,0x2D,0xE5			// 2012 demo	Rush
	.dh 0x0097 :: .db 0x1C,0x46,0x30,0x0B,0x36,0x33,0x02,0xE5	// Spikeman	RollAro1
	.dh 0x0098 :: .db 0x1C,0x46,0x30,0x0B,0x36,0x33,0x03,0xE5	// Spikeman	RollAro2
	.dh 0x0099 :: .db 0x1C,0x46,0x30,0x0B,0x36,0x33,0x04,0xE5	// Spikeman	RollAro3
	.dh 0x00DE :: .db 0x1C,0x46,0x30,0x76,0xE5			// Spikeman	RollSP
	.dh 0x00DF :: .db 0x1C,0x46,0x30,0x77,0xE5			// Spikeman	RollDS
	.dh 0x00DD :: .db 0x1C,0x46,0x30,0xE5				// Spikeman	Roll
	.dh 0x0000
@@chip_1D:
	.dh 0x002F :: .db 0x1D,0x26,0x33,0x29,0x1C,0x2E,0x33,0x2C,0xE5	// 2012 demo	SandRing
	.dh 0x00A0 :: .db 0x1D,0x29,0x29,0x2F,0x40,0x31,0x02,0xE5	// Spikeman	SeekBom1
	.dh 0x00A1 :: .db 0x1D,0x29,0x29,0x2F,0x40,0x31,0x03,0xE5	// Spikeman	SeekBom2
	.dh 0x00A2 :: .db 0x1D,0x29,0x29,0x2F,0x40,0x31,0x04,0xE5	// Spikeman	SeekBom3
	.dh 0x00A0 :: .db 0x1D,0x2A,0x2A,0x30,0x0C,0x34,0x32,0x02,0xE5	// 2012 demo	SeekBom1
	.dh 0x00A1 :: .db 0x1D,0x2A,0x2A,0x30,0x0C,0x34,0x32,0x03,0xE5	// 2012 demo	SeekBom2
	.dh 0x00A2 :: .db 0x1D,0x2A,0x2A,0x30,0x0C,0x34,0x32,0x04,0xE5	// 2012 demo	SeekBom3
	.dh 0x00E6 :: .db 0x1D,0x2A,0x37,0x28,0x2D,0x17,0x26,0x33,0xE5	// 2012 demo	SerchMan
	.dh 0x00E7 :: .db 0x1D,0x2A,0x37,0x28,0x2D,0x17,0x33,0x43,0xE5	// 2012 demo	SerchMnSP
	.dh 0x00E8 :: .db 0x1D,0x2A,0x37,0x28,0x2D,0x17,0x33,0x44,0xE5	// 2012 demo	SerchMnDS
	.dh 0x0105 :: .db 0x1D,0x2C,0x25,0x28,0x29,0x17,0x32,0x76,0xE5	// Spikeman	ShadeMnSP
	.dh 0x0106 :: .db 0x1D,0x2C,0x25,0x28,0x29,0x17,0x32,0x77,0xE5	// Spikeman	ShadeMnDS
	.dh 0x0104 :: .db 0x1D,0x2C,0x25,0x28,0x29,0x17,0x3F,0xE5	// Spikeman	ShadeMan
	.dh 0x00D2 :: .db 0x1D,0x2C,0x33,0x38,0x1D,0x38,0x42,0xE5	// Spikeman	ShotStar
	.dh 0x0104 :: .db 0x1D,0x2D,0x26,0x29,0x2A,0x17,0x26,0x33,0xE5	// 2012 demo	ShadeMan
	.dh 0x0105 :: .db 0x1D,0x2D,0x26,0x29,0x2A,0x17,0x33,0x43,0xE5	// 2012 demo	ShadeMnSP
	.dh 0x0106 :: .db 0x1D,0x2D,0x26,0x29,0x2A,0x17,0x33,0x44,0xE5	// 2012 demo	ShadeMnDS
	.dh 0x004E :: .db 0x1D,0x2D,0x28,0x0C,0x45,0x33,0x02,0xE5	// Spikeman	SidBmbo1
	.dh 0x004F :: .db 0x1D,0x2D,0x28,0x0C,0x45,0x33,0x03,0xE5	// Spikeman	SidBmbo2
	.dh 0x0050 :: .db 0x1D,0x2D,0x28,0x0C,0x45,0x33,0x04,0xE5	// Spikeman	SidBmbo3
	.dh 0x0131 :: .db 0x1D,0x2D,0x2B,0x32,0x30,0x1C,0x29,0x28,0xE5	// Spikeman	SignlRed
	.dh 0x0007 :: .db 0x1D,0x2D,0x30,0x29,0x32,0x27,0x29,0xE5	// Spikeman	Silence
	.dh 0x00D2 :: .db 0x1D,0x2D,0x34,0x39,0x1D,0x39,0x26,0x37,0xE5	// 2012 demo	ShotStar
	.dh 0x004E :: .db 0x1D,0x2E,0x29,0x0C,0x32,0x27,0x34,0x02,0xE5	// 2012 demo	SidBmbo1
	.dh 0x004F :: .db 0x1D,0x2E,0x29,0x0C,0x32,0x27,0x34,0x03,0xE5	// 2012 demo	SidBmbo2
	.dh 0x0050 :: .db 0x1D,0x2E,0x29,0x0C,0x32,0x27,0x34,0x04,0xE5	// 2012 demo	SidBmdo3
	.dh 0x0131 :: .db 0x1D,0x2E,0x2C,0x33,0x31,0x1C,0x2A,0x29,0xE5	// 2012 demo	SignlRed
	.dh 0x0007 :: .db 0x1D,0x2E,0x31,0x2A,0x33,0x28,0x2A,0xE5	// 2012 demo	Silence
	.dh 0x0038 :: .db 0x1D,0x30,0x25,0x37,0x2C,0x41,0xE5		// Spikeman	Slasher
	.dh 0x0078 :: .db 0x1D,0x30,0x33,0x11,0x25,0x39,0x2B,0x29,0xE5	// Spikeman	SloGauge
	.dh 0x0038 :: .db 0x1D,0x31,0x26,0x38,0x2D,0x2A,0x37,0xE5	// 2012 demo	Slasher
	.dh 0x0078 :: .db 0x1D,0x31,0x34,0x11,0x26,0x3A,0x2C,0x2A,0xE5	// 2012 demo	SloGauge
	.dh 0x0060 :: .db 0x1D,0x32,0x25,0x2F,0x29,0xE5			// Spikeman	Snake
	.dh 0x00D0 :: .db 0x1D,0x32,0x27,0x38,0x39,0x42,0x3D,0xE5	// Spikeman	Snctuary
	.dh 0x0060 :: .db 0x1D,0x33,0x26,0x30,0x2A,0xE5			// 2012 demo	Snake
	.dh 0x00D0 :: .db 0x1D,0x33,0x28,0x39,0x3A,0x26,0x37,0x3E,0xE5	// 2012 demo	Snctuary
	.dh 0x0173 :: .db 0x1D,0x33,0x32,0x2D,0x27,0x0C,0x31,0xE5	// Spikeman	SonicBm
	.dh 0x0173 :: .db 0x1D,0x34,0x33,0x2E,0x28,0x0C,0x34,0x32,0xE5	// 2012 demo	SonicBom
	.dh 0x0177 :: .db 0x1D,0x34,0x36,0x1D,0x33,0x32,0x2D,0x27,0xE5	// Spikeman	SprSonic
	.dh 0x0146 :: .db 0x1D,0x34,0x36,0x21,0x2D,0x28,0x29,0x02,0xE5	// Spikeman	SprWide1
	.dh 0x0147 :: .db 0x1D,0x34,0x36,0x21,0x2D,0x28,0x29,0x03,0xE5	// Spikeman	SprWide2
	.dh 0x0148 :: .db 0x1D,0x34,0x36,0x21,0x2D,0x28,0x29,0x04,0xE5	// Spikeman	SprWide3
	.dh 0x0012 :: .db 0x1D,0x34,0x36,0x29,0x25,0x28,0x41,0xE5	// Spikeman	Spreader
	.dh 0x010E :: .db 0x1D,0x34,0x42,0x2F,0x17,0x32,0x76,0xE5	// Spikeman	SparkMnSP
	.dh 0x010F :: .db 0x1D,0x34,0x42,0x2F,0x17,0x32,0x77,0xE5	// Spikeman	SparkMnDS
	.dh 0x010D :: .db 0x1D,0x34,0x42,0x2F,0x17,0x3F,0xE5		// Spikeman	SparkMan
	.dh 0x010D :: .db 0x1D,0x35,0x26,0x37,0x30,0x17,0x26,0x33,0xE5	// 2012 demo	SparkMan
	.dh 0x010E :: .db 0x1D,0x35,0x26,0x37,0x30,0x17,0x33,0x43,0xE5	// 2012 demo	SparkMnSP
	.dh 0x010F :: .db 0x1D,0x35,0x26,0x37,0x30,0x17,0x33,0x44,0xE5	// 2012 demo	SparkMnDS
	.dh 0x0177 :: .db 0x1D,0x35,0x37,0x1D,0x34,0x33,0x2E,0x28,0xE5	// 2012 demo	SprSonic
	.dh 0x0012 :: .db 0x1D,0x35,0x37,0x2A,0x26,0x29,0x2A,0x37,0xE5	// 2012 demo	Spreader
	.dh 0x001B :: .db 0x1D,0x38,0x25,0x38,0x2D,0x27,0xE5		// Spikeman	Static
	.dh 0x001B :: .db 0x1D,0x39,0x26,0x39,0x2E,0x28,0xE5		// 2012 demo	Static
	.dh 0x00DC :: .db 0x1D,0x39,0x34,0x36,0x20,0x39,0x30,0x27,0xE5	// Spikeman	SuprVulc
	.dh 0x0146 :: .db 0x1D,0x3A,0x35,0x37,0x1D,0x35,0x37,0x02,0xE5	// 2012 demo	SuprSpr1
	.dh 0x0147 :: .db 0x1D,0x3A,0x35,0x37,0x1D,0x35,0x37,0x03,0xE5	// 2012 demo	SuprSpr2
	.dh 0x0148 :: .db 0x1D,0x3A,0x35,0x37,0x1D,0x35,0x37,0x04,0xE5	// 2012 demo	SuprSpr3
	.dh 0x00DC :: .db 0x1D,0x3A,0x35,0x37,0x20,0x3A,0x31,0x28,0xE5	// 2012 demo	SuprVulc
	.dh 0x0030 :: .db 0x1D,0x3B,0x33,0x36,0x28,0xE5			// Spikeman	Sword
	.dh 0x011C :: .db 0x1D,0x3B,0x36,0x28,0x17,0x33,0x28,0x29,0xE5	// Spikeman	SwrdMode
	.dh 0x0030 :: .db 0x1D,0x3C,0x34,0x37,0x29,0xE5			// 2012 demo	Sword
	.dh 0x011C :: .db 0x1D,0x3C,0x37,0x29,0x17,0x34,0x29,0x2A,0xE5	// 2012 demo	SwrdMode
	.dh 0x002F :: .db 0x1D,0x3F,0x28,0x1C,0x43,0x2B,0xE5		// Spikeman	SandRing
	.dh 0x00E7 :: .db 0x1D,0x41,0x27,0x2C,0x17,0x32,0x76,0xE5	// Spikeman	SerchMnSP
	.dh 0x00E8 :: .db 0x1D,0x41,0x27,0x2C,0x17,0x32,0x77,0xE5	// Spikeman	SerchMnDS
	.dh 0x00E6 :: .db 0x1D,0x41,0x27,0x2C,0x17,0x3F,0xE5		// Spikeman	SerchMan
	.dh 0x0066 :: .db 0x1D,0x55,0x3A,0x4F,0x20,0x82,0xE5		// Japanese	ティンパニー
	.dh 0x0000
@@chip_1E:
	.dh 0x0181 :: .db 0x1E,0x26,0x33,0x2C,0x34,0xE5			// 2012 demo	Tango
	.dh 0x00ED :: .db 0x1E,0x2C,0x44,0x17,0x3F,0x76,0xE5		// Spikeman	ThunManSP
	.dh 0x00EE :: .db 0x1E,0x2C,0x44,0x17,0x3F,0x77,0xE5		// Spikeman	ThunManDS
	.dh 0x00EC :: .db 0x1E,0x2C,0x44,0x17,0x3F,0xE5			// Spikeman	ThunMan
	.dh 0x0039 :: .db 0x1E,0x2C,0x44,0x28,0x41,0x02,0xE5		// Spikeman	Thunder1
	.dh 0x003A :: .db 0x1E,0x2C,0x44,0x28,0x41,0x03,0xE5		// Spikeman	Thunder2
	.dh 0x003B :: .db 0x1E,0x2C,0x44,0x28,0x41,0x04,0xE5		// Spikeman	Thunder3
	.dh 0x0061 :: .db 0x1E,0x2D,0x31,0x29,0x40,0x45,0xE5		// Spikeman	TimeBomb
	.dh 0x0066 :: .db 0x1E,0x2D,0x31,0x34,0x3F,0x2D,0xE5		// Spikeman	Timpani
	.dh 0x00ED :: .db 0x1E,0x2D,0x3A,0x33,0x17,0x26,0x33,0x43,0xE5	// 2012 demo	ThunManSP
	.dh 0x00EE :: .db 0x1E,0x2D,0x3A,0x33,0x17,0x26,0x33,0x44,0xE5	// 2012 demo	ThunManDS
	.dh 0x00EC :: .db 0x1E,0x2D,0x3A,0x33,0x17,0x26,0x33,0xE5	// 2012 demo	ThunMan
	.dh 0x011E :: .db 0x1E,0x2D,0x3A,0x33,0x1A,0x31,0x3A,0x38,0xE5	// 2012 demo	ThunPlus
	.dh 0x0039 :: .db 0x1E,0x2D,0x3A,0x33,0x29,0x2A,0x37,0x02,0xE5	// 2012 demo	Thunder1
	.dh 0x003A :: .db 0x1E,0x2D,0x3A,0x33,0x29,0x2A,0x37,0x03,0xE5	// 2012 demo	Thunder2
	.dh 0x003B :: .db 0x1E,0x2D,0x3A,0x33,0x29,0x2A,0x37,0x04,0xE5	// 2012 demo	Thunder3
	.dh 0x0061 :: .db 0x1E,0x2E,0x32,0x2A,0x0C,0x34,0x32,0x27,0xE5	// 2012 demo	TimeBomb
	.dh 0x015A :: .db 0x1E,0x2E,0x32,0x2A,0x0C,0x34,0x32,0x48,0xE5	// English	TimeBom+
	.dh 0x015A :: .db 0x1E,0x2E,0x32,0x2A,0x0C,0x34,0x32,0x9E,0xE5	// 2012 demo	TimeBom+
	.dh 0x0066 :: .db 0x1E,0x2E,0x32,0x35,0x26,0x33,0x2E,0xE5	// 2012 demo	Timpani
	.dh 0x005D :: .db 0x1E,0x32,0x51,0x33,0x12,0x31,0x59,0x12,0xE5	// Japanese	トリプルクラック
	.dh 0x0008 :: .db 0x1E,0x33,0x22,0x82,0x49,0xE5			// Japanese	トルネード
	.dh 0x0102 :: .db 0x1E,0x33,0x34,0x17,0x3F,0x76,0xE5		// Spikeman	TopManSP
	.dh 0x0103 :: .db 0x1E,0x33,0x34,0x17,0x3F,0x77,0xE5		// Spikeman	TopManDS
	.dh 0x0101 :: .db 0x1E,0x33,0x34,0x17,0x3F,0xE5			// Spikeman	TopMan
	.dh 0x0008 :: .db 0x1E,0x33,0x36,0x32,0x25,0x28,0x33,0xE5	// Spikeman	Tornado
	.dh 0x0102 :: .db 0x1E,0x34,0x35,0x17,0x26,0x33,0x43,0xE5	// 2012 demo	TopManSP
	.dh 0x0103 :: .db 0x1E,0x34,0x35,0x17,0x26,0x33,0x44,0xE5	// 2012 demo	TopManDS
	.dh 0x0101 :: .db 0x1E,0x34,0x35,0x17,0x26,0x33,0xE5		// 2012 demo	TopMan
	.dh 0x0008 :: .db 0x1E,0x34,0x37,0x33,0x26,0x29,0x34,0xE5	// 2012 demo	Tornado
	.dh 0x005D :: .db 0x1E,0x36,0x2D,0x34,0x0D,0x36,0x25,0x2F,0xE5	// Spikeman	TripCrak
	.dh 0x017B :: .db 0x1E,0x37,0x26,0x2E,0x33,0x2E,0x33,0x2C,0xE5	// 2012 demo	Training
	.dh 0x005D :: .db 0x1E,0x37,0x2E,0x35,0x0D,0x37,0x26,0x30,0xE5	// 2012 demo	TripCrak
	.dh 0x0045 :: .db 0x1E,0x3B,0x32,0x10,0x32,0x2B,0x02,0xE5	// Spikeman	TwnFng1
	.dh 0x0046 :: .db 0x1E,0x3B,0x32,0x10,0x32,0x2B,0x03,0xE5	// Spikeman	TwnFng2
	.dh 0x0047 :: .db 0x1E,0x3B,0x32,0x10,0x32,0x2B,0x04,0xE5	// Spikeman	TwnFng3
	.dh 0x0045 :: .db 0x1E,0x3C,0x33,0x10,0x33,0x2C,0x02,0xE5	// 2012 demo	TwnFng1
	.dh 0x0046 :: .db 0x1E,0x3C,0x33,0x10,0x33,0x2C,0x03,0xE5	// 2012 demo	TwnFng2
	.dh 0x0047 :: .db 0x1E,0x3C,0x33,0x10,0x33,0x2C,0x04,0xE5	// 2012 demo	TwnFng3
	.dh 0x0181 :: .db 0x1E,0x3F,0x2B,0x33,0xE5			// Spikeman	Tango
	.dh 0x0053 :: .db 0x1E,0x59,0x51,0x0D,0xE5			// Japanese	トップウ
	.dh 0x0000
@@chip_1F:
	.dh 0x00F4 :: .db 0x1F,0x3A,0x4A,0x82,0x29,0x3A,0x61,0x70,0xE5	// Japanese	ナンバーマンDS
	.dh 0x00F3 :: .db 0x1F,0x3A,0x4A,0x82,0x29,0x3A,0x70,0x6D,0xE5	// Japanese	ナンバーマンSP
	.dh 0x00F2 :: .db 0x1F,0x3A,0x4A,0x82,0x29,0x3A,0xE5		// Japanese	ナンバーマン
	.dh 0x00AC :: .db 0x1F,0x3A,0x4A,0x82,0x4E,0x82,0x33,0x02,0xE5	// Japanese	ナンバーボール1
	.dh 0x00AD :: .db 0x1F,0x3A,0x4A,0x82,0x4E,0x82,0x33,0x03,0xE5	// Japanese	ナンバーボール2
	.dh 0x00AE :: .db 0x1F,0x3A,0x4A,0x82,0x4E,0x82,0x33,0x04,0xE5	// Japanese	ナンバーボール3
	.dh 0x0090 :: .db 0x1F,0x4B,0x17,0x10,0x0D,0x1E,0xE5		// Japanese	ナビスカウト
	.dh 0x0096 :: .db 0x1F,0x4B,0x7F,0x03,0x01,0xE5			// Japanese	ナビ+20
	.dh 0x0000
@@chip_20:
	.dh 0x0067 :: .db 0x20,0x0E,0x34,0x31,0x31,0xE5			// 2012 demo	VDoll
	.dh 0x0067 :: .db 0x20,0x0E,0x46,0x30,0xE5			// Spikeman	VDoll
	.dh 0x0037 :: .db 0x20,0x26,0x37,0x1D,0x3C,0x37,0x29,0xE5	// 2012 demo	VarSwrd
	.dh 0x0117 :: .db 0x20,0x2D,0x28,0x29,0x33,0x17,0x32,0x76,0xE5	// Spikeman	VideoMnSP
	.dh 0x0118 :: .db 0x20,0x2D,0x28,0x29,0x33,0x17,0x32,0x77,0xE5	// Spikeman	VideoMnDS
	.dh 0x0116 :: .db 0x20,0x2D,0x28,0x29,0x33,0x17,0x3F,0xE5	// Spikeman	VideoMan
	.dh 0x0116 :: .db 0x20,0x2E,0x29,0x2A,0x34,0x17,0x26,0x33,0xE5	// 2012 demo	VideoMan
	.dh 0x0117 :: .db 0x20,0x2E,0x29,0x2A,0x34,0x17,0x33,0x43,0xE5	// 2012 demo	VideoMnSP
	.dh 0x0118 :: .db 0x20,0x2E,0x29,0x2A,0x34,0x17,0x33,0x44,0xE5	// 2012 demo	VideoMnDS
	.dh 0x000F :: .db 0x20,0x39,0x30,0x27,0x3F,0x02,0xE5		// Spikeman	Vulcan1
	.dh 0x0010 :: .db 0x20,0x39,0x30,0x27,0x3F,0x03,0xE5		// Spikeman	Vulcan2
	.dh 0x0011 :: .db 0x20,0x39,0x30,0x27,0x3F,0x04,0xE5		// Spikeman	Vulcan3
	.dh 0x000F :: .db 0x20,0x3A,0x31,0x28,0x26,0x33,0x02,0xE5	// 2012 demo	Vulcan1
	.dh 0x0010 :: .db 0x20,0x3A,0x31,0x28,0x26,0x33,0x03,0xE5	// 2012 demo	Vulcan2
	.dh 0x0011 :: .db 0x20,0x3A,0x31,0x28,0x26,0x33,0x04,0xE5	// 2012 demo	Vulcan3
	.dh 0x0037 :: .db 0x20,0x42,0x1D,0x3B,0x36,0x28,0xE5		// Spikeman	VarSwrd
	.dh 0x0000
@@chip_21:
	.dh 0x0048 :: .db 0x21,0x2C,0x2D,0x38,0x21,0x29,0x26,0x02,0xE5	// Spikeman	WhitWeb1
	.dh 0x0049 :: .db 0x21,0x2C,0x2D,0x38,0x21,0x29,0x26,0x03,0xE5	// Spikeman	WhitWeb2
	.dh 0x004A :: .db 0x21,0x2C,0x2D,0x38,0x21,0x29,0x26,0x04,0xE5	// Spikeman	WhitWeb3
	.dh 0x0033 :: .db 0x21,0x2D,0x28,0x29,0x0C,0x30,0x28,0x29,0xE5	// Spikeman	WideBlde
	.dh 0x0009 :: .db 0x21,0x2D,0x28,0x29,0x1D,0x2C,0x38,0x02,0xE5	// Spikeman	WideSht1
	.dh 0x000A :: .db 0x21,0x2D,0x28,0x29,0x1D,0x2C,0x38,0x03,0xE5	// Spikeman	WideSht2
	.dh 0x000B :: .db 0x21,0x2D,0x28,0x29,0x1D,0x2C,0x38,0x04,0xE5	// Spikeman	WideSht3
	.dh 0x0031 :: .db 0x21,0x2D,0x28,0x29,0x1D,0x3B,0x36,0x28,0xE5	// Spikeman	WideSwrd
	.dh 0x0048 :: .db 0x21,0x2D,0x2E,0x39,0x21,0x2A,0x27,0x02,0xE5	// 2012 demo	WhitWeb1
	.dh 0x0049 :: .db 0x21,0x2D,0x2E,0x39,0x21,0x2A,0x27,0x03,0xE5	// 2012 demo	WhitWeb2
	.dh 0x004A :: .db 0x21,0x2D,0x2E,0x39,0x21,0x2A,0x27,0x04,0xE5	// 2012 demo	WhitWeb3
	.dh 0x0033 :: .db 0x21,0x2E,0x29,0x2A,0x0C,0x31,0x29,0x2A,0xE5	// 2012 demo	WideBlde
	.dh 0x0009 :: .db 0x21,0x2E,0x29,0x2A,0x1D,0x2D,0x39,0x02,0xE5	// 2012 demo	WideSht1
	.dh 0x000A :: .db 0x21,0x2E,0x29,0x2A,0x1D,0x2D,0x39,0x03,0xE5	// 2012 demo	WideSht2
	.dh 0x000B :: .db 0x21,0x2E,0x29,0x2A,0x1D,0x2D,0x39,0x04,0xE5	// 2012 demo	WideSht3
	.dh 0x0031 :: .db 0x21,0x2E,0x29,0x2A,0x1D,0x3C,0x37,0x29,0xE5	// 2012 demo	WideSwrd
	.dh 0x00E4 :: .db 0x21,0x2E,0x33,0x29,0x17,0x26,0x33,0x43,0xE5	// 2012 demo	WindManSP
	.dh 0x00E5 :: .db 0x21,0x2E,0x33,0x29,0x17,0x26,0x33,0x44,0xE5	// 2012 demo	WindManDS
	.dh 0x00E3 :: .db 0x21,0x2E,0x33,0x29,0x17,0x26,0x33,0xE5	// 2012 demo	WindMan
	.dh 0x0035 :: .db 0x21,0x2E,0x33,0x29,0x1C,0x26,0x28,0x30,0xE5	// 2012 demo	WindRack
	.dh 0x0053 :: .db 0x21,0x2E,0x33,0x29,0xE5			// 2012 demo	Wind
	.dh 0x00FF :: .db 0x21,0x33,0x33,0x28,0x17,0x3F,0x76,0xE5	// Spikeman	WoodManSP
	.dh 0x0100 :: .db 0x21,0x33,0x33,0x28,0x17,0x3F,0x77,0xE5	// Spikeman	WoodManDS
	.dh 0x00FE :: .db 0x21,0x33,0x33,0x28,0x17,0x3F,0xE5		// Spikeman	WoodMan
	.dh 0x002B :: .db 0x21,0x33,0x33,0x28,0x1A,0x3B,0x28,0x36,0xE5	// Spikeman	WoodPwdr
	.dh 0x0120 :: .db 0x21,0x33,0x33,0x28,0x1A,0x3B,0x36,0xE5	// Spikeman	WoodPwr
	.dh 0x00FF :: .db 0x21,0x34,0x34,0x29,0x17,0x26,0x33,0x43,0xE5	// 2012 demo	WoodManSP
	.dh 0x0100 :: .db 0x21,0x34,0x34,0x29,0x17,0x26,0x33,0x44,0xE5	// 2012 demo	WoodManDS
	.dh 0x00FE :: .db 0x21,0x34,0x34,0x29,0x17,0x26,0x33,0xE5	// 2012 demo	WoodMan
	.dh 0x0120 :: .db 0x21,0x34,0x34,0x29,0x1A,0x34,0x3C,0x37,0xE5	// 2012 demo	WoodPowr
	.dh 0x002B :: .db 0x21,0x34,0x34,0x29,0x1A,0x3C,0x29,0x37,0xE5	// 2012 demo	WoodPwdr
	.dh 0x00E4 :: .db 0x21,0x43,0x28,0x17,0x3F,0x76,0xE5		// Spikeman	WindManSP
	.dh 0x00E5 :: .db 0x21,0x43,0x28,0x17,0x3F,0x77,0xE5		// Spikeman	WindManDS
	.dh 0x00E3 :: .db 0x21,0x43,0x28,0x17,0x3F,0xE5			// Spikeman	WindMan
	.dh 0x0035 :: .db 0x21,0x43,0x28,0x1C,0x25,0x27,0x2F,0xE5	// Spikeman	WindRack
	.dh 0x0053 :: .db 0x21,0x43,0x28,0xE5				// Spikeman	Wind
	.dh 0x0000
@@chip_22:
	.dh 0x00D9 :: .db 0x22,0x0F,0x4A,0x32,0x0B,0x4C,0x33,0xE5	// Japanese	ネオバリアブル
	.dh 0x0000
@@chip_23:
	.dh 0x001B :: .db 0x23,0x0C,0x42,0x17,0x1E,0x82,0x2B,0xE5	// Japanese	ノイズストーム
	.dh 0x0174 :: .db 0x23,0x35,0x0C,0xE5				// Japanese	ノロイ
	.dh 0x0000
@@chip_24:
	.dh 0x00DA :: .db 0x24,0x00,0x1D,0x26,0x3B,0x2A,0x37,0xE5	// English	Z Saver
	.dh 0x0002 :: .db 0x24,0x0C,0x11,0x5A,0x23,0x3A,0xE5		// Japanese	ハイキャノン
	.dh 0x015D :: .db 0x24,0x0C,0x4F,0x82,0x4A,0x82,0x17,0x1E,0xE5	// Japanese	ハイパーバースト
	.dh 0x0179 :: .db 0x24,0x2E,0x0F,0x12,0x32,0xE5			// Japanese	ハヤオクリ
	.dh 0x00A9 :: .db 0x24,0x2E,0x4C,0x15,0x3C,0x32,0x02,0xE5	// Japanese	ハヤブサギリ1
	.dh 0x00AA :: .db 0x24,0x2E,0x4C,0x15,0x3C,0x32,0x03,0xE5	// Japanese	ハヤブサギリ2
	.dh 0x00AB :: .db 0x24,0x2E,0x4C,0x15,0x3C,0x32,0x04,0xE5	// Japanese	ハヤブサギリ3
	.dh 0x00DA :: .db 0x24,0x82,0x1D,0x25,0x26,0x41,0xE5		// Spikeman	Z-Saber
	.dh 0x00DA :: .db 0x24,0x98,0x1D,0x26,0x27,0x2A,0x37,0xE5	// 2012 demo	Z-Saber
	.dh 0x0000
@@chip_25:
	.dh 0x008E :: .db 0x25,0x31,0x0C,0x16,0x3A,0xE5			// Japanese	ヒライシン
	.dh 0x0015 :: .db 0x25,0x82,0x1E,0x15,0x0C,0x49,0xE5		// Japanese	ヒートサイド
	.dh 0x0013 :: .db 0x25,0x82,0x1E,0x16,0x5C,0x59,0x1E,0xE5	// Japanese	ヒートショット
	.dh 0x0141 :: .db 0x25,0x82,0x1E,0x17,0x51,0x34,0x59,0x49,0xE5	// Japanese	ヒートスプレッド
	.dh 0x0014 :: .db 0x25,0x82,0x1E,0x4C,0x0C,0xE5			// Japanese	ヒートブイ
	.dh 0x0006 :: .db 0x25,0x82,0x1E,0x4C,0x34,0x17,0xE5		// Japanese	ヒートブレス
	.dh 0x0000
@@chip_26:
	.dh 0x0035 :: .db 0x26,0x0D,0x41,0x3A,0x31,0x13,0x59,0x1E,0xE5	// Japanese	フウジンラケット
	.dh 0x00D1 :: .db 0x26,0x33,0x10,0x17,0x1A,0x2B,0xE5		// Japanese	フルカスタム
	.dh 0x0149 :: .db 0x26,0x34,0x0C,0x2B,0x12,0x35,0x17,0x02,0xE5	// Japanese	フレイムクロス1
	.dh 0x014A :: .db 0x26,0x34,0x0C,0x2B,0x12,0x35,0x17,0x03,0xE5	// Japanese	フレイムクロス2
	.dh 0x014B :: .db 0x26,0x34,0x0C,0x2B,0x12,0x35,0x17,0x04,0xE5	// Japanese	フレイムクロス3
	.dh 0x000C :: .db 0x26,0x34,0x0C,0x2B,0x31,0x0C,0x3A,0x02,0xE5	// Japanese	フレイムライン1
	.dh 0x000D :: .db 0x26,0x34,0x0C,0x2B,0x31,0x0C,0x3A,0x03,0xE5	// Japanese	フレイムライン2
	.dh 0x000E :: .db 0x26,0x34,0x0C,0x2B,0x31,0x0C,0x3A,0x04,0xE5	// Japanese	フレイムライン3
	.dh 0x00EB :: .db 0x26,0x54,0x0C,0x0B,0x29,0x3A,0x61,0x70,0xE5	// Japanese	ファイアマンDS
	.dh 0x00EA :: .db 0x26,0x54,0x0C,0x0B,0x29,0x3A,0x70,0x6D,0xE5	// Japanese	ファイアマンSP
	.dh 0x00E9 :: .db 0x26,0x54,0x0C,0x0B,0x29,0x3A,0xE5		// Japanese	ファイアマン
	.dh 0x011D :: .db 0x26,0x54,0x0C,0x0B,0x51,0x31,0x17,0xE5	// Japanese	ファイアプラス
	.dh 0x0172 :: .db 0x26,0x54,0x0C,0x1A,0x82,0x19,0x82,0x49,0xE5	// Japanese	ファイターソード
	.dh 0x0122 :: .db 0x26,0x54,0x0C,0x1F,0x33,0x3B,0x3A,0xE5	// Japanese	ファイナルガン
	.dh 0x0182 :: .db 0x26,0x54,0x0C,0x1F,0x33,0x3B,0x3A,0xE5	// Japanese	ファイナルガン
	.dh 0x0132 :: .db 0x26,0x58,0x33,0x1D,0x0B,0x1F,0x40,0x82,0xE5	// Japanese	フォルテアナザー
	.dh 0x012D :: .db 0x26,0x58,0x33,0x1D,0xE5			// Japanese	フォルテ
	.dh 0x0000
@@chip_27:
	.dh 0x014C :: .db 0x27,0x33,0x4C,0x82,0x2C,0x31,0x3A,0x02,0xE5	// Japanese	ヘルブーメラン1
	.dh 0x014D :: .db 0x27,0x33,0x4C,0x82,0x2C,0x31,0x3A,0x03,0xE5	// Japanese	ヘルブーメラン2
	.dh 0x014E :: .db 0x27,0x33,0x4C,0x82,0x2C,0x31,0x3A,0x04,0xE5	// Japanese	ヘルブーメラン3
	.dh 0x0078 :: .db 0x27,0x4B,0x82,0x3E,0x82,0x41,0xE5		// Japanese	ヘビーゲージ
	.dh 0x0000
@@chip_28:
	.dh 0x011B :: .db 0x28,0x0D,0x3B,0x3A,0x2D,0x82,0x49,0xE5	// Japanese	ホウガンモード
	.dh 0x002C :: .db 0x28,0x0D,0x3B,0x3A,0xE5			// Japanese	ホウガン
	.dh 0x0048 :: .db 0x28,0x36,0x0C,0x1E,0x0D,0x57,0x4C,0x02,0xE5	// Japanese	ホワイトウェブ1
	.dh 0x0049 :: .db 0x28,0x36,0x0C,0x1E,0x0D,0x57,0x4C,0x03,0xE5	// Japanese	ホワイトウェブ2
	.dh 0x004A :: .db 0x28,0x36,0x0C,0x1E,0x0D,0x57,0x4C,0x04,0xE5	// Japanese	ホワイトウェブ3
	.dh 0x0133 :: .db 0x28,0x82,0x32,0x82,0x49,0x32,0x82,0x2B,0xE5	// Japanese	ホーリードリーム
	.dh 0x008B :: .db 0x28,0x82,0x32,0x82,0x4F,0x22,0x33,0xE5	// Japanese	ホーリーパネル
	.dh 0x0000
@@chip_29:
	.dh 0x017A :: .db 0x29,0x11,0x2D,0x49,0x16,0xE5			// Japanese	マキモドシ
	.dh 0x008F :: .db 0x29,0x30,0x0C,0x23,0x2D,0x32,0xE5		// Japanese	マヨイノモリ
	.dh 0x0155 :: .db 0x29,0x3D,0x16,0x5C,0x59,0x12,0x02,0xE5	// Japanese	マグショック1
	.dh 0x0156 :: .db 0x29,0x3D,0x16,0x5C,0x59,0x12,0x03,0xE5	// Japanese	マグショック2
	.dh 0x0157 :: .db 0x29,0x3D,0x16,0x5C,0x59,0x12,0x04,0xE5	// Japanese	マグショック3
	.dh 0x005E :: .db 0x29,0x3D,0x1F,0x2B,0xE5			// Japanese	マグナム
	.dh 0x0023 :: .db 0x29,0x3D,0x4E,0x33,0x1E,0x02,0xE5		// Japanese	マグボルト1
	.dh 0x0024 :: .db 0x29,0x3D,0x4E,0x33,0x1E,0x03,0xE5		// Japanese	マグボルト2
	.dh 0x0025 :: .db 0x29,0x3D,0x4E,0x33,0x1E,0x04,0xE5		// Japanese	マグボルト3
	.dh 0x014F :: .db 0x29,0x59,0x49,0x26,0x54,0x3A,0x3D,0x02,0xE5	// Japanese	マッドファング1
	.dh 0x0150 :: .db 0x29,0x59,0x49,0x26,0x54,0x3A,0x3D,0x03,0xE5	// Japanese	マッドファング2
	.dh 0x0151 :: .db 0x29,0x59,0x49,0x26,0x54,0x3A,0x3D,0x04,0xE5	// Japanese	マッドファング3
	.dh 0x0119 :: .db 0x29,0x82,0x11,0x3A,0x3D,0xE5			// Japanese	マーキング
	.dh 0x0000
@@chip_2A:
	.dh 0x001D :: .db 0x2A,0x20,0x4E,0x2B,0xE5			// Japanese	ミニボム
	.dh 0x0000
@@chip_2B:
	.dh 0x00CA :: .db 0x2B,0x31,0x29,0x15,0x4C,0x34,0x82,0x49,0xE5	// Japanese	ムラマサブレード
	.dh 0x0000
@@chip_2C:
	.dh 0x00F7 :: .db 0x2C,0x1A,0x33,0x29,0x3A,0x61,0x70,0xE5	// Japanese	メタルマンDS
	.dh 0x00F6 :: .db 0x2C,0x1A,0x33,0x29,0x3A,0x70,0x6D,0xE5	// Japanese	メタルマンSP
	.dh 0x00F5 :: .db 0x2C,0x1A,0x33,0x29,0x3A,0xE5			// Japanese	メタルマン
	.dh 0x00AF :: .db 0x2C,0x1A,0x33,0x3C,0x0B,0x02,0xE5		// Japanese	メタルギア1
	.dh 0x00B0 :: .db 0x2C,0x1A,0x33,0x3C,0x0B,0x03,0xE5		// Japanese	メタルギア2
	.dh 0x00B1 :: .db 0x2C,0x1A,0x33,0x3C,0x0B,0x04,0xE5		// Japanese	メタルギア3
	.dh 0x0187 :: .db 0x2C,0x1A,0x33,0x3C,0x0B,0xE5			// Japanese	メタルギア
	.dh 0x00A3 :: .db 0x2C,0x1D,0x0F,0x34,0x0C,0x3A,0x02,0xE5	// Japanese	メテオレイン1
	.dh 0x00A4 :: .db 0x2C,0x1D,0x0F,0x34,0x0C,0x3A,0x03,0xE5	// Japanese	メテオレイン2
	.dh 0x00A5 :: .db 0x2C,0x1D,0x0F,0x34,0x0C,0x3A,0x04,0xE5	// Japanese	メテオレイン3
	.dh 0x0130 :: .db 0x2C,0x1D,0x0F,0x34,0x59,0x49,0x15,0x3A,0xE5	// Japanese	メテオレッドサン
	.dh 0x001F :: .db 0x2C,0x3B,0x0E,0x1F,0x41,0x82,0x4E,0x2B,0xE5	// Japanese	メガエナジーボム	
	.dh 0x0003 :: .db 0x2C,0x3B,0x11,0x5A,0x23,0x3A,0xE5		// Japanese	メガキャノン
	.dh 0x0058 :: .db 0x2C,0x59,0x1E,0x3B,0x82,0x49,0x02,0xE5	// Japanese	メットガード1
	.dh 0x0059 :: .db 0x2C,0x59,0x1E,0x3B,0x82,0x49,0x03,0xE5	// Japanese	メットガード2
	.dh 0x005A :: .db 0x2C,0x59,0x1E,0x3B,0x82,0x49,0x04,0xE5	// Japanese	メットガード3
	.dh 0x0000
@@chip_2D:
	.dh 0x0082 :: .db 0x2D,0x14,0x31,0x59,0x16,0x5B,0x02,0xE5	// Japanese	モコラッシュ1
	.dh 0x0083 :: .db 0x2D,0x14,0x31,0x59,0x16,0x5B,0x03,0xE5	// Japanese	モコラッシュ2
	.dh 0x0084 :: .db 0x2D,0x14,0x31,0x59,0x16,0x5B,0x04,0xE5	// Japanese	モコラッシュ3
	.dh 0x0000
@@chip_2F:
	.dh 0x0086 :: .db 0x2F,0x10,0x16,0x1A,0xE5			// Japanese	ユカシタ
	.dh 0x0000
@@chip_31:
	.dh 0x00A6 :: .db 0x31,0x0C,0x1E,0x20,0x3A,0x3D,0x02,0xE5	// Japanese	ライトニング1
	.dh 0x00A7 :: .db 0x31,0x0C,0x1E,0x20,0x3A,0x3D,0x03,0xE5	// Japanese	ライトニング2
	.dh 0x00A8 :: .db 0x31,0x0C,0x1E,0x20,0x3A,0x3D,0x04,0xE5	// Japanese	ライトニング3
	.dh 0x001C :: .db 0x31,0x0C,0x26,0x16,0x3A,0x12,0x35,0xE5	// Japanese	ライフシンクロ
	.dh 0x017F :: .db 0x31,0x59,0x16,0x5B,0x15,0x53,0x82,0x1E,0xE5	// Japanese	ラッシュサポート
	.dh 0x0000
@@chip_32:
	.dh 0x006B :: .db 0x32,0x10,0x4A,0x32,0x82,0x02,0x01,0xE5	// Japanese	リカバリー10
	.dh 0x006F :: .db 0x32,0x10,0x4A,0x32,0x82,0x02,0x03,0x01,0xE5	// Japanese	リカバリー120
	.dh 0x0070 :: .db 0x32,0x10,0x4A,0x32,0x82,0x02,0x06,0x01,0xE5	// Japanese	リカバリー150
	.dh 0x0071 :: .db 0x32,0x10,0x4A,0x32,0x82,0x03,0x01,0x01,0xE5	// Japanese	リカバリー200
	.dh 0x0072 :: .db 0x32,0x10,0x4A,0x32,0x82,0x04,0x01,0x01,0xE5	// Japanese	リカバリー300
	.dh 0x006C :: .db 0x32,0x10,0x4A,0x32,0x82,0x04,0x01,0xE5	// Japanese	リカバリー30
	.dh 0x006D :: .db 0x32,0x10,0x4A,0x32,0x82,0x06,0x01,0xE5	// Japanese	リカバリー50
	.dh 0x006E :: .db 0x32,0x10,0x4A,0x32,0x82,0x09,0x01,0xE5	// Japanese	リカバリー80
	.dh 0x0073 :: .db 0x32,0x52,0x0B,0x79,0xE5			// Japanese	リペア-
	.dh 0x00D2 :: .db 0x32,0x5B,0x0D,0x18,0x0C,0x3D,0x3A,0xE5	// Japanese	リュウセイグン
	.dh 0x0000
@@chip_34:
	.dh 0x0112 :: .db 0x34,0x82,0x40,0x82,0x29,0x3A,0x61,0x70,0xE5	// Japanese	レーザーマンDS
	.dh 0x0111 :: .db 0x34,0x82,0x40,0x82,0x29,0x3A,0x70,0x6D,0xE5	// Japanese	レーザーマンSP
	.dh 0x0110 :: .db 0x34,0x82,0x40,0x82,0x29,0x3A,0xE5		// Japanese	レーザーマン
	.dh 0x0000
@@chip_35:
	.dh 0x0032 :: .db 0x35,0x3A,0x3D,0x19,0x82,0x49,0xE5		// Japanese	ロングソード
	.dh 0x0034 :: .db 0x35,0x3A,0x3D,0x4C,0x34,0x82,0x49,0xE5	// Japanese	ロングブレード
	.dh 0x0097 :: .db 0x35,0x82,0x33,0x0B,0x35,0x82,0x02,0xE5	// Japanese	ロールアロー1
	.dh 0x0098 :: .db 0x35,0x82,0x33,0x0B,0x35,0x82,0x03,0xE5	// Japanese	ロールアロー2
	.dh 0x0099 :: .db 0x35,0x82,0x33,0x0B,0x35,0x82,0x04,0xE5	// Japanese	ロールアロー3
	.dh 0x00DF :: .db 0x35,0x82,0x33,0x61,0x70,0xE5			// Japanese	ロールDS
	.dh 0x00DE :: .db 0x35,0x82,0x33,0x70,0x6D,0xE5			// Japanese	ロールSP
	.dh 0x00DD :: .db 0x35,0x82,0x33,0xE5				// Japanese	ロール
	.dh 0x0000
@@chip_36:
	.dh 0x0009 :: .db 0x36,0x0C,0x49,0x16,0x5C,0x59,0x1E,0x02,0xE5	// Japanese	ワイドショット1
	.dh 0x000A :: .db 0x36,0x0C,0x49,0x16,0x5C,0x59,0x1E,0x03,0xE5	// Japanese	ワイドショット2
	.dh 0x000B :: .db 0x36,0x0C,0x49,0x16,0x5C,0x59,0x1E,0x04,0xE5	// Japanese	ワイドショット3
	.dh 0x0031 :: .db 0x36,0x0C,0x49,0x19,0x82,0x49,0xE5		// Japanese	ワイドソード
	.dh 0x0033 :: .db 0x36,0x0C,0x49,0x4C,0x34,0x82,0x49,0xE5	// Japanese	ワイドブレード
	.dh 0x0067 :: .db 0x36,0x31,0x20,0x3A,0x3C,0x5C,0x0D,0xE5	// Japanese	ワラニンギョウ
	.dh 0x0000
@@chip_3B:
	.dh 0x0020 :: .db 0x3B,0x3A,0x48,0x33,0x19,0x33,0x02,0xE5	// Japanese	ガンデルソル1
	.dh 0x0021 :: .db 0x3B,0x3A,0x48,0x33,0x19,0x33,0x03,0xE5	// Japanese	ガンデルソル2
	.dh 0x0022 :: .db 0x3B,0x3A,0x48,0x33,0x19,0x33,0x04,0xE5	// Japanese	ガンデルソル3
	.dh 0x00DB :: .db 0x3B,0x3A,0x48,0x33,0x19,0x33,0x62,0x75,0xE5	// Japanese	ガンデルソルEX
	.dh 0x0183 :: .db 0x3B,0x59,0x1C,0x29,0x16,0x3A,0x3B,0x3A,0xE5	// Japanese	ガッツマシンガン
	.dh 0x00E2 :: .db 0x3B,0x59,0x1C,0x29,0x3A,0x61,0x70,0xE5	// Japanese	ガッツマンDS
	.dh 0x00E1 :: .db 0x3B,0x59,0x1C,0x29,0x3A,0x70,0x6D,0xE5	// Japanese	ガッツマンSP
	.dh 0x00E0 :: .db 0x3B,0x59,0x1C,0x29,0x3A,0xE5			// Japanese	ガッツマン
	.dh 0x009A :: .db 0x3B,0x59,0x1C,0x4F,0x3A,0x1B,0x02,0xE5	// Japanese	ガッツパンチ1
	.dh 0x009B :: .db 0x3B,0x59,0x1C,0x4F,0x3A,0x1B,0x03,0xE5	// Japanese	ガッツパンチ2
	.dh 0x009C :: .db 0x3B,0x59,0x1C,0x4F,0x3A,0x1B,0x04,0xE5	// Japanese	ガッツパンチ3
	.dh 0x0000
@@chip_3C:
	.dh 0x017C :: .db 0x3C,0x0B,0x1B,0x57,0x3A,0x41,0xE5		// Japanese	ギアチェンジ
	.dh 0x015A :: .db 0x3C,0x3B,0x10,0x0D,0x3A,0x1E,0x4E,0x2B,0xE5	// Japanese	ギガカウントボム
	.dh 0x0143 :: .db 0x3C,0x3B,0x11,0x5A,0x23,0x3A,0x02,0xE5	// Japanese	ギガキャノン1
	.dh 0x0144 :: .db 0x3C,0x3B,0x11,0x5A,0x23,0x3A,0x03,0xE5	// Japanese	ギガキャノン2
	.dh 0x0145 :: .db 0x3C,0x3B,0x11,0x5A,0x23,0x3A,0x04,0xE5	// Japanese	ギガキャノン3
	.dh 0x0000
@@chip_3D:
	.dh 0x0138 :: .db 0x3D,0x31,0x3A,0x51,0x32,0x4F,0x36,0x82,0xE5	// Japanese	グランプリパワー
	.dh 0x00B8 :: .db 0x3D,0x32,0x82,0x3A,0x0D,0x59,0x49,0x02,0xE5	// Japanese	グリーンウッド1
	.dh 0x00B9 :: .db 0x3D,0x32,0x82,0x3A,0x0D,0x59,0x49,0x03,0xE5	// Japanese	グリーンウッド2
	.dh 0x00BA :: .db 0x3D,0x32,0x82,0x3A,0x0D,0x59,0x49,0x04,0xE5	// Japanese	グリーンウッド3
	.dh 0x0000
@@chip_3F:
	.dh 0x00D7 :: .db 0x3F,0x59,0x49,0x24,0x3A,0x29,0x82,0xE5	// Japanese	ゴッドハンマー
	.dh 0x0000
@@chip_40:
	.dh 0x015C :: .db 0x40,0x28,0x3D,0x11,0x36,0x28,0xE5		// Spikeman	BodyGrd
	.dh 0x004B :: .db 0x40,0x33,0x31,0x41,0x02,0xE5			// Spikeman	Boomer1
	.dh 0x004C :: .db 0x40,0x33,0x31,0x41,0x03,0xE5			// Spikeman	Boomer2
	.dh 0x004D :: .db 0x40,0x33,0x31,0x41,0x04,0xE5			// Spikeman	Boomer3
	.dh 0x0055 :: .db 0x40,0x3D,0x40,0x45,0x02,0xE5			// Spikeman	BoyBomb1
	.dh 0x0056 :: .db 0x40,0x3D,0x40,0x45,0x03,0xE5			// Spikeman	BoyBomb2
	.dh 0x0057 :: .db 0x40,0x3D,0x40,0x45,0x04,0xE5			// Spikeman	BoyBomb3
	.dh 0x0188 :: .db 0x40,0x3D,0x40,0x45,0xE5			// Spikeman	BoyBomb
	.dh 0x0000
@@chip_41:
	.dh 0x0152 :: .db 0x41,0x3F,0x12,0x28,0x59,0x13,0x82,0x02,0xE5	// Japanese	ジゴクホッケー1
	.dh 0x0153 :: .db 0x41,0x3F,0x12,0x28,0x59,0x13,0x82,0x03,0xE5	// Japanese	ジゴクホッケー2
	.dh 0x0154 :: .db 0x41,0x3F,0x12,0x28,0x59,0x13,0x82,0x04,0xE5	// Japanese	ジゴクホッケー3
	.dh 0x00D4 :: .db 0x41,0x57,0x31,0x16,0x82,0xE5			// Japanese	ジェラシー
	.dh 0x00FA :: .db 0x41,0x5A,0x3A,0x12,0x29,0x3A,0x61,0x70,0xE5	// Japanese	ジャンクマンDS
	.dh 0x00F9 :: .db 0x41,0x5A,0x3A,0x12,0x29,0x3A,0x70,0x6D,0xE5	// Japanese	ジャンクマンSP
	.dh 0x00F8 :: .db 0x41,0x5A,0x3A,0x12,0x29,0x3A,0xE5		// Japanese	ジャンクマン
	.dh 0x0000
@@chip_45:
	.dh 0x008D :: .db 0x45,0x0C,0x14,0x0D,0x42,0x0C,0xE5		// Japanese	ダイコウズイ
	.dh 0x005C :: .db 0x45,0x4C,0x33,0x12,0x31,0x59,0x12,0xE5	// Japanese	ダブルクラック
	.dh 0x0178 :: .db 0x45,0x4C,0x33,0x49,0x32,0x82,0x2B,0xE5	// Japanese	ダブルドリーム
	.dh 0x00CF :: .db 0x45,0x4C,0x33,0x53,0x0C,0x3A,0x1E,0xE5	// Japanese	ダブルポイント
	.dh 0x00BB :: .db 0x45,0x82,0x12,0x11,0x5A,0x23,0x3A,0xE5	// Japanese	ダークキャノン
	.dh 0x00C1 :: .db 0x45,0x82,0x12,0x17,0x1D,0x82,0x41,0xE5	// Japanese	ダークステージ
	.dh 0x00C0 :: .db 0x45,0x82,0x12,0x17,0x51,0x34,0x59,0x49,0xE5	// Japanese	ダークスプレッド
	.dh 0x00BC :: .db 0x45,0x82,0x12,0x19,0x82,0x49,0xE5		// Japanese	ダークソード
	.dh 0x0052 :: .db 0x45,0x82,0x12,0x28,0x82,0x33,0xE5		// Japanese	ダークホール
	.dh 0x0140 :: .db 0x45,0x82,0x12,0x2C,0x16,0x0B,0x22,0x0F,0xE5	// Japanese	ダークメシアネオ
	.dh 0x00D8 :: .db 0x45,0x82,0x12,0x31,0x0C,0x3A,0xE5		// Japanese	ダークライン
	.dh 0x00BF :: .db 0x45,0x82,0x12,0x31,0x3A,0x17,0xE5		// Japanese	ダークランス
	.dh 0x00C2 :: .db 0x45,0x82,0x12,0x32,0x10,0x4A,0x32,0x82,0xE5	// Japanese	ダークリカバリー
	.dh 0x0170 :: .db 0x45,0x82,0x12,0x34,0x82,0x40,0x82,0xE5	// Japanese	ダークレーザー
	.dh 0x00BE :: .db 0x45,0x82,0x12,0x4A,0x33,0x10,0x3A,0xE5	// Japanese	ダークバルカン
	.dh 0x00BD :: .db 0x45,0x82,0x12,0x4E,0x2B,0xE5			// Japanese	ダークボム
	.dh 0x0000
@@chip_47:
	.dh 0x0171 :: .db 0x47,0x47,0x47,0x47,0xE5			// English	????
@@chip_48:
	.dh 0x007B :: .db 0x48,0x17,0x29,0x59,0x1B,0x02,0xE5		// Japanese	デスマッチ1
	.dh 0x007C :: .db 0x48,0x17,0x29,0x59,0x1B,0x03,0xE5		// Japanese	デスマッチ2
	.dh 0x007D :: .db 0x48,0x17,0x29,0x59,0x1B,0x04,0xE5		// Japanese	デスマッチ3
	.dh 0x012E :: .db 0x48,0x33,0x1A,0x34,0x0C,0x0E,0x59,0x41,0xE5	// Japanese	デルタレイエッジ
	.dh 0x0065 :: .db 0x48,0x55,0x17,0x14,0x82,0x49,0xE5		// Japanese	ディスコード
	.dh 0x0137 :: .db 0x48,0x5B,0x82,0x0F,0xE5			// Japanese	デューオ
	.dh 0x0000
@@chip_49:
	.dh 0x00C9 :: .db 0x49,0x32,0x82,0x2B,0x0F,0x82,0x31,0xE5	// Japanese	ドリームオーラ
	.dh 0x0158 :: .db 0x49,0x32,0x82,0x2B,0x19,0x82,0x49,0xE5	// Japanese	ドリームソード
	.dh 0x0000
@@chip_4A:
	.dh 0x0026 :: .db 0x4A,0x0D,0x3A,0x49,0x23,0x82,0x1E,0x02,0xE5	// Japanese	バウンドノート1
	.dh 0x0027 :: .db 0x4A,0x0D,0x3A,0x49,0x23,0x82,0x1E,0x03,0xE5	// Japanese	バウンドノート2
	.dh 0x0028 :: .db 0x4A,0x0D,0x3A,0x49,0x23,0x82,0x1E,0x04,0xE5	// Japanese	バウンドノート3
	.dh 0x0175 :: .db 0x4A,0x1B,0x0B,0x1A,0x32,0xE5			// Japanese	バチアタリ
	.dh 0x0088 :: .db 0x4A,0x32,0x0B,0x02,0x01,0x01,0xE5		// Japanese	バリア100
	.dh 0x0089 :: .db 0x4A,0x32,0x0B,0x03,0x01,0x01,0xE5		// Japanese	バリア200
	.dh 0x0037 :: .db 0x4A,0x32,0x0B,0x4C,0x33,0x19,0x82,0x49,0xE5	// Japanese	バリアブルソード
	.dh 0x0087 :: .db 0x4A,0x32,0x0B,0xE5				// Japanese	バリア
	.dh 0x000F :: .db 0x4A,0x33,0x10,0x3A,0x02,0xE5			// Japanese	バルカン1
	.dh 0x0010 :: .db 0x4A,0x33,0x10,0x3A,0x03,0xE5			// Japanese	バルカン2
	.dh 0x0011 :: .db 0x4A,0x33,0x10,0x3A,0x04,0xE5			// Japanese	バルカン3
	.dh 0x0051 :: .db 0x4A,0x3A,0x4C,0x82,0x31,0x3A,0x17,0xE5	// Japanese	バンブーランス
	.dh 0x00CE :: .db 0x4A,0x3D,0x16,0x5B,0x0D,0x18,0x0C,0xE5	// Japanese	バグシュウセイ
	.dh 0x00D3 :: .db 0x4A,0x3D,0x1B,0x57,0x82,0x3A,0xE5		// Japanese	バグチェーン
	.dh 0x0136 :: .db 0x4A,0x3D,0x1B,0x5A,0x82,0x41,0xE5		// Japanese	バグチャージ
	.dh 0x0029 :: .db 0x4A,0x3D,0x4E,0x2B,0xE5			// Japanese	バグボム
	.dh 0x0018 :: .db 0x4A,0x4C,0x33,0x15,0x0C,0x49,0xE5		// Japanese	バブルサイド
	.dh 0x0016 :: .db 0x4A,0x4C,0x33,0x16,0x5C,0x59,0x1E,0xE5	// Japanese	バブルショット
	.dh 0x0142 :: .db 0x4A,0x4C,0x33,0x17,0x51,0x34,0x59,0x49,0xE5	// Japanese	バブルスプレッド
	.dh 0x0017 :: .db 0x4A,0x4C,0x33,0x4C,0x0C,0xE5			// Japanese	バブルブイ
	.dh 0x0093 :: .db 0x4A,0x59,0x49,0x2C,0x48,0x55,0x17,0x3A,0xE5	// Japanese	バッドメディスン
	.dh 0x0109 :: .db 0x4A,0x82,0x1F,0x82,0x29,0x3A,0x61,0x70,0xE5	// Japanese	バーナーマンDS
	.dh 0x0108 :: .db 0x4A,0x82,0x1F,0x82,0x29,0x3A,0x70,0x6D,0xE5	// Japanese	バーナーマンSP
	.dh 0x0107 :: .db 0x4A,0x82,0x1F,0x82,0x29,0x3A,0xE5		// Japanese	バーナーマン
	.dh 0x0000
@@chip_4B:
	.dh 0x0118 :: .db 0x4B,0x48,0x0F,0x29,0x3A,0x61,0x70,0xE5	// Japanese	ビデオマンDS
	.dh 0x0117 :: .db 0x4B,0x48,0x0F,0x29,0x3A,0x70,0x6D,0xE5	// Japanese	ビデオマンSP
	.dh 0x0116 :: .db 0x4B,0x48,0x0F,0x29,0x3A,0xE5			// Japanese	ビデオマン
	.dh 0x0068 :: .db 0x4B,0x59,0x3D,0x24,0x3A,0x29,0x82,0x02,0xE5	// Japanese	ビッグハンマー1
	.dh 0x0069 :: .db 0x4B,0x59,0x3D,0x24,0x3A,0x29,0x82,0x03,0xE5	// Japanese	ビッグハンマー2
	.dh 0x006A :: .db 0x4B,0x59,0x3D,0x24,0x3A,0x29,0x82,0x04,0xE5	// Japanese	ビッグハンマー3
	.dh 0x0180 :: .db 0x4B,0x82,0x1E,0x15,0x53,0x82,0x1E,0xE5	// Japanese	ビートサポート
	.dh 0x0000
@@chip_4C:
	.dh 0x0081 :: .db 0x4C,0x31,0x0C,0x3A,0x49,0xE5			// Japanese	ブラインド
	.dh 0x00D6 :: .db 0x4C,0x31,0x59,0x12,0x0D,0x0C,0x3A,0x3D,0xE5	// Japanese	ブラックウイング
	.dh 0x0121 :: .db 0x4C,0x31,0x59,0x12,0x0D,0x0E,0x53,0x3A,0xE5	// Japanese	ブラックウエポン
	.dh 0x0134 :: .db 0x4C,0x31,0x59,0x12,0x4A,0x32,0x0B,0xE5	// Japanese	ブラックバリア
	.dh 0x002E :: .db 0x4C,0x31,0x59,0x12,0x4E,0x2B,0xE5		// Japanese	ブラックボム
	.dh 0x0005 :: .db 0x4C,0x32,0x40,0x82,0x49,0xE5			// Japanese	ブリザード
	.dh 0x00F1 :: .db 0x4C,0x33,0x82,0x17,0x61,0x70,0xE5		// Japanese	ブルースDS
	.dh 0x00F0 :: .db 0x4C,0x33,0x82,0x17,0x70,0x6D,0xE5		// Japanese	ブルースSP
	.dh 0x00EF :: .db 0x4C,0x33,0x82,0x17,0xE5			// Japanese	ブルース
	.dh 0x0135 :: .db 0x4C,0x33,0x82,0x2B,0x82,0x3A,0x34,0x0C,0xE5	// Japanese	ブルームーンレイ
	.dh 0x004B :: .db 0x4C,0x82,0x2C,0x31,0x3A,0x02,0xE5		// Japanese	ブーメラン1
	.dh 0x004C :: .db 0x4C,0x82,0x2C,0x31,0x3A,0x03,0xE5		// Japanese	ブーメラン2
	.dh 0x004D :: .db 0x4C,0x82,0x2C,0x31,0x3A,0x04,0xE5		// Japanese	ブーメラン3
	.dh 0x0000
@@chip_4E:
	.dh 0x015C :: .db 0x4E,0x48,0x55,0x3B,0x82,0x49,0xE5		// Japanese	ボディガード
	.dh 0x0055 :: .db 0x4E,0x82,0x0C,0x42,0x4E,0x2B,0x02,0xE5	// Japanese	ボーイズボム1
	.dh 0x0056 :: .db 0x4E,0x82,0x0C,0x42,0x4E,0x2B,0x03,0xE5	// Japanese	ボーイズボム2
	.dh 0x0057 :: .db 0x4E,0x82,0x0C,0x42,0x4E,0x2B,0x04,0xE5	// Japanese	ボーイズボム3
	.dh 0x0188 :: .db 0x4E,0x82,0x0C,0x42,0x4E,0x2B,0xE5		// Japanese	ボーイズボム
	.dh 0x0000
@@chip_4F:
	.dh 0x0159 :: .db 0x4F,0x0C,0x33,0x49,0x31,0x0C,0x4A,0x82,0xE5	// Japanese	パイルドライバー
	.dh 0x00B2 :: .db 0x4F,0x22,0x33,0x16,0x5B,0x82,0x1E,0x02,0xE5	// Japanese	パネルシュート1
	.dh 0x00B3 :: .db 0x4F,0x22,0x33,0x16,0x5B,0x82,0x1E,0x03,0xE5	// Japanese	パネルシュート2
	.dh 0x00B4 :: .db 0x4F,0x22,0x33,0x16,0x5B,0x82,0x1E,0x04,0xE5	// Japanese	パネルシュート3
	.dh 0x0074 :: .db 0x4F,0x22,0x33,0x17,0x1B,0x82,0x33,0xE5	// Japanese	パネルスチール
	.dh 0x007A :: .db 0x4F,0x22,0x33,0x32,0x1A,0x82,0x3A,0xE5	// Japanese	パネルリターン
	.dh 0x0000
@@chip_51:
	.dh 0x009D :: .db 0x51,0x35,0x52,0x31,0x4E,0x2B,0x02,0xE5	// Japanese	プロペラボム1
	.dh 0x009E :: .db 0x51,0x35,0x52,0x31,0x4E,0x2B,0x03,0xE5	// Japanese	プロペラボム2
	.dh 0x009F :: .db 0x51,0x35,0x52,0x31,0x4E,0x2B,0x04,0xE5	// Japanese	プロペラボム3
	.dh 0x0000
@@chip_53:
	.dh 0x00CC :: .db 0x53,0x0C,0x42,0x3A,0x0B,0x21,0x4B,0x17,0xE5	// Japanese	ポイズンアヌビス
	.dh 0x015B :: .db 0x53,0x0C,0x42,0x3A,0x26,0x54,0x31,0x0F,0xE5	// Japanese	ポイズンファラオ
	.dh 0x017D :: .db 0x53,0x33,0x1A,0x82,0x3B,0x0C,0x17,0x1E,0xE5	// Japanese	ポルターガイスト
	.dh 0x0000
@@chip_77:
	.dh 0x00DA :: .db 0x77,0x18,0x0C,0x4A,0x82,0xE5			// Japanese	Zセイバー
	.dh 0x0000
@@chip_7E:
	.dh 0x0171 :: .db 0x7E,0x7E,0x7E,0x7E,0xE5			// Japanese	????
	.dh 0x0000
@@chip_9D:
	.dh 0x0171 :: .db 0x9D,0x9D,0x9D,0x9D,0xE5			// 2012 demo	????
	.dh 0x0000